2023-06-28 Mike Gabriel

        * release 3.5.99.27 (HEAD -> 3.6.x, tag: 3.5.99.27)
        * Merge branch 'Ionic-bugfix/nxdialog-rpm-hashbang' into 3.6.x
          (cb929010f)

2023-06-27 Mihai Moldovan

        * nx-libs.spec: fix hashbang when manually replacing instead of using
          pathfix.py. (e925e37f0)

2023-04-28 Mike Gabriel

        * Merge branch 'uli42-pr/bump_years' into 3.6.x (4e70e0cb0)

2022-04-29 Ulrich Sibiller

        * Update Copyright years (390887b74)

2023-04-28 Mike Gabriel

        * Merge branch 'uli42-pr/silence_imake' into 3.6.x (70df7168c)

2022-01-28 Ulrich Sibiller

        * silence imake for normal builds (637a170e7)

2023-04-28 Mike Gabriel

        * Merge branch 'mjtrangoni-move-to-stream' into 3.6.x (fb0f8c1b7)

2022-03-28 Mario Trangoni

        * GHActions: Move to CentOS stream images (d6acd9253)

2023-04-27 Mike Gabriel

        * Merge branch 'uli42-pr/various9' into 3.6.x (9b94209f5)

2021-12-22 Ulrich Sibiller

        * Screen.c: use %s / __func__ for fprintf (16f6803f1)

2021-11-18 Ulrich Sibiller

        * Imakefiles: delete trailing whitespace (acd7de885)
        * nx-X11/config: whitespace fixes (f8a664e65)
        * testscripts: whitespace fixes (446a8ad69)
        * nxcomp: delete trailing whitespace (b40d0b1aa)
        * nxagent: delete trailing whitespace in many files (36c6f0943)
        * Loop.cpp: spelling fix (75c10f342)
        * Compext.c: spelling fixes (2d26be7da)
        * Compext.c: fix typo in datatype (9859a79d6)

2021-11-15 Ulrich Sibiller

        * Pointer.c: fix trailing whitespace (eaa532710)

2023-04-27 Mike Gabriel

        * Merge branch 'uli42-pr/update_libX11_2022' into 3.6.x (91d9218c0)

2022-01-19 Ulrich Sibiller

        * Update libNX_X11 to upstream's libX11-1.7.3.1-10-gd60ede78
          (4875a15ca)

2023-04-27 Mike Gabriel

        * Merge branch 'uli42-pr/extend_readme' into 3.6.x (a502149a8)

2021-12-29 Ulrich Sibiller

        * README.md: add references to maintained opennx, rxclient and freenx
          repos (091e06e47)

2023-02-23 Mihai Moldovan

        * nx-libs.spec: only depend upon pathfix.py for Fedora 27+ and RHEL
          7+. (288394c18)
        * nx-libs.spec: fix TIRPC usage on *SuSE 15.3+. (b536e9f91)
        * debian/rules: fix version detection on testing and unstable.
          (ec4f09add)
        * nx-libs.spec: add BR: upon pathfix.py. (f16808513)
        * nx-libs.spec: fix nxdialog hashbang selection, especially on *SuSE.
          (d35c5d011)

2022-01-29 Ulrich Sibiller

        * Merge pull request #1028 from uli42/pr/fix_clipboard_callbacks
          (8129c1f6b)
        * Merge pull request #1033 from uli42/pr/nxclient_geometry
          (106d6c8d4)
        * Merge pull request #1035 from gratuxri/ubuntu_jammy (ae9a6b2e4)

2022-01-16 gratuxri

        * Add Ubuntu 22.04 (1a1b5e9c2)

2021-12-29 Ulrich Sibiller

        * Screen.c: fix handling of AllScreens without a running window
          manager (c8553c70e)
          Fixes: ArcticaProject/nx-libs#1030

2021-11-10 Ulrich Sibiller

        * NXdispatch.c: use defined value CurrentTime instead of 0
          (a8d7b0c8c)

2021-11-15 Ulrich Sibiller

        * Clipboard.c: fix some comments (5ec4d7b8a)

2021-11-11 Ulrich Sibiller

        * Events.c: fix typo in comment (ce9782280)

2021-11-10 Ulrich Sibiller

        * Clipboard.c: use a TimeStamp datatype for lastTimeChanged as dix
          does (7b22b2d40)
        * Clipboard.c: fix typo in array name (a86957b91)
        * Clipboard.c: re-add callbacks (1d9ba187b)

2021-10-30 Mike Gabriel

        * Merge branch 'uli42-pr/various8' into 3.6.x (b06b6b1ef)

2021-10-28 Ulrich Sibiller

        * Clipboard.c: fix/reformat some comments (70fde4c74)

2021-10-25 Ulrich Sibiller

        * Screen.c, Window.c: use "None" everywhere for FullscreenWindow
          (5323e2cea)
        * Screen.c: Fix wrong format specifier (cf5bb486d)

2021-10-18 Ulrich Sibiller

        * Imakefiles: whitespace fixes (3ab28297c)
        * Args.c: remove superfluous SAFE_free() call (5a6928f86)
        * Args.c: fix wrong comment (4bdf03add)
        * Args.c: remove some empty lines (2e99e6234)

2021-06-08 Ulrich Sibiller

        * nxdialog: use os.linesep to make it work on other systems
          (e23efeb11)
        * nxdialog: rework comments (6090ab111)

2021-10-30 Mike Gabriel

        * Merge branch 'uli42-pr/extend_x2go_check' into 3.6.x (1ef24c379)

2021-10-18 Ulrich Sibiller

        * nxagent: extend x2go check (3d76ed45e)

2021-10-30 Mike Gabriel

        * Merge branch 'sunweaver-pr/debian-use-tirpc-in-ghactions' into
          3.6.x (c26b9b291)
        * .github/workflows/nx-libs.ym: Always build with -DUseTIRPC=YES.
          (00cc40a3b)

2021-10-18 Ulrich Sibiller

        * github actions: Use TIRPC for debian:sid (d207d02f1)

2021-10-30 Mike Gabriel

        * Merge branch 'AlexGhiti-int/alex/riscv64_support' into 3.6.x
          (2124e2fae)

2021-09-10 Alexandre Ghiti

        * nx-X11: Add support for riscv64 architecture (460562852)

2021-10-18 Mike Gabriel

        * Merge branch 'uli42-pr/many_clipboard_fixes' into 3.6.x (b7034724a)

2021-09-11 Mike Gabriel

        * debian/rules: Define -DUseTIRPC=1 for nx-X11 build on Debian and
          Ubuntu versions that already have libtirpc. (31057d00b)
        * debian/control: Add B-D: libtirpc-dev. (46b75d818)
        * debian/rules: Define -DUseTIRPC=1 for nx-X11 build on Debian and
          Ubuntu versions that already have libtirpc. (b67b910a6)
        * debian/control: Add B-D: libtirpc-dev. (6be4f87c6)

2021-06-21 Ulrich Sibiller

        * Clipboard.c: Add debug output when selection is already cleared
          (8264b03e8)

2021-06-20 Ulrich Sibiller

        * Clipboard.c: check for invalid index (987402309)
        * Events.c: add another comment (5da2be394)

2021-06-16 Ulrich Sibiller

        * Fix Xfixes event handling (7aa969cd4)

2021-06-22 Ulrich Sibiller

        * NXdispatch.c: add an explaining comment (15ee25b7d)

2021-06-21 Ulrich Sibiller

        * Clipboard.c: print debug message if selection is already cleared
          (bbf9d74c4)

2021-06-20 Ulrich Sibiller

        * Clipboard.c: Only take full clipboard clearing action if non-empty
          (65d29df13)

2021-06-18 Ulrich Sibiller

        * Clipboard.c: improve some comments (eae0eff3a)
        * Clipboard.c: remove superflous check (289ac3dfd)
        * Clipboard.c: restruct setSelectionOwnerOnXServer (30e9b82ce)
        * Clipboard.c: do not process requests if we do not have a local
          owner (5e017044f)

2021-06-16 Ulrich Sibiller

        * Clipboard.c: extend setSelectionOwnerOnXServer() (423caaf0f)
        * Clipboard.c: remove obsolete (disabled) code (1c8869b92)
        * Clipboard.c: add missing target cache invalidation to some
          (currently unused) code (9b4602847)
        * Events.c: fix unused variable (2b156c397)
        * Clipboard.c: rename nxagentFindLastSelectionOwnerIndex()
          (c775bedbc)
        * Clipboard.c: rename intermediate variable (62775ed67)
        * Clipboard.c: fix format specifier (d42ebd2ae)
        * Clipboard.c: fix typos in comment (15a60b1c1)

2021-06-14 Ulrich Sibiller

        * Clipboard.c: Fix: forward the correct type and format (e65e71512)
        * Clipboard.c: improve output for PRINT_CLIPBOARD_CONTENT_ON_DEBUG
          (ad69d4a0e)
        * Clipboard.c: extend comment (4eba9d6b1)
        * Clipboard.c: add helper variable (e8217798d)

2021-06-11 Ulrich Sibiller

        * Clipboard.c: remove superfluous brackets (f03c589ab)
        * Clipboard.c: remove old code (9fb5949b0)

2021-06-10 Ulrich Sibiller

        * Clipboard.c: harmonize naming regarding internal/local (55af71edc)
        * Clipboard.c: use NXAGENT_ONSTART macro on one more location
          (535104db2)
        * Clipboard.c: improve some comments as requested by reviewer
          (34e1413cd)

2021-03-17 Ulrich Sibiller

        * NXEvents.c: improve debugging (bee3d3205)

2021-03-10 Ulrich Sibiller

        * Clipboard.c: add FIXMEs (0631eece9)
        * Clipboard.c: improve debug output in special case (ba898dfcd)

2021-03-02 Ulrich Sibiller

        * Clipboard.c: improve comments (1723afb64)
        * Clipboard.c: always flush after XConvertSelection() call
          (6fe8bf8fb)
        * Clipboard.c: sanity check for invalid resource (124f5a5c6)
        * Clipboard.c: print more debug details for reply (9293348c8)
        * Clipboard.c: print clipboard content only on explicit request
          (03502b36e)
        * Clipboard.c: fix wrong debug message (5c205f57a)

2021-02-12 Ulrich Sibiller

        * Clipboard.c: check target cache for valid targets (d97e5022e)
        * Clipboard.c: fix some comments, add FIXME (04ca25eb1)
        * Clipboard.c: move comment to correct location (9eb76cf5d)
        * Clipboard.c: delete property before/after certain operations
          (6ba180937)
        * Clipboard.c: improve debugging output once more (65c260edf)

2021-01-30 Ulrich Sibiller

        * Clipboard.c: do not handle unknown selections in Callback handler
          (d335fc8fb)
        * Clipboard.c: limit selection nxagentFindCurrentSelectionIndex can
          return (9d8771562)
        * Clipboard.c: rework nxagentFind*SelectionIndex() helpers
          (f578b86d3)

2020-12-23 Ulrich Sibiller

        * Clipboard.c: make index the first argument everywhere (75acbbf29)

2020-12-14 Ulrich Sibiller

        * Clipboard.c: move property transfer to separate function
          (7a2c743ac)

2020-12-02 Ulrich Sibiller

        * Clipboard.c: extend target caching for the other direction
          (51dae621f)

2020-11-25 Ulrich Sibiller

        * Clipboard.c: add another FIXME (1fd98b193)
        * Clipboard.c: cancel pending requests in certain situations
          (ff4a1967c)
        * Clipboard.c: introduce replyPendingRequestSelectionToXServer helper
          (8f182cd74)
        * Clipboard.c: move some (currently commented) code to inner scope
          (7746358b6)

2020-11-24 Ulrich Sibiller

        * Events.c: use already available variable instead of repeating
          conversion (b7021c675)
        * Clipboard.c: reset lastServer[].requestor on reconnect (cf85c7258)

2020-11-18 Ulrich Sibiller

        * Clipboard.c: improve some comments (55f9c94b2)
        * Clipboard.c: implement target caching (99a2d6e29)
        * Clipboard.c: fix indentation (63ef52c63)

2020-11-17 Ulrich Sibiller

        * Clipboard.c: correctly pass back failure to real X server
          (41ea3b684)
        * Clipboard.c: fix: return after denying request (53c03eaf3)

2020-11-16 Ulrich Sibiller

        * Clipboard.c: remove obsolete FIXME comment (7e548faa2)

2020-11-13 Ulrich Sibiller

        * Clipboard.c: once again improved DEBUG output (6a1ee6c0b)

2020-11-12 Ulrich Sibiller

        * Clipboard.c: fix: remove wrong optimization (177d76179)

2020-11-02 Ulrich Sibiller

        * Clipboard.c: use NullClient instead of NULL where appropriate
          (b66b99a83)

2020-10-30 Ulrich Sibiller

        * Events.c: use index instead of i (9ca972705)

2020-10-29 Ulrich Sibiller

        * Clipboard.c: fix transfer from agent to X server (2d4b0f846)
        * Clipboard.c: fix some whitepace, comments and FIXMEs (e42ab9831)
        * Clipboard: init variable (a8b375079)
        * Clipboard.c: print separator when receiving events/requests in
          debug mode (a4f2dd3fe)
        * Clipboard.c: another round of debug improvements (6b659fe4a)
        * Clipboard.c: replace loop by helper (a296b437d)
        * Clipboard.c: disable TEXT and COMPOUND_TEXT (710d5c5f9)

2020-10-26 Ulrich Sibiller

        * nxagent: add option -textclipboard (90947c1f7)
        * Clipboard.c: extend comments (9ec417484)
        * Clipboard.c: add TARGET_SIZES (533f08ddb)

2020-09-24 Ulrich Sibiller

        * Clipboard.c: add FIXMEs (ba02ad3ad)
        * Clipboard.c: add some more selection atoms (8316d614a)

2020-09-23 Ulrich Sibiller

        * Clipboard.c: target forwarding (Part 2/2) (a87ee1e8f)
        * Clipboard.c: target forwarding (Part 1/2) (eba654ea7)

2020-10-13 Ulrich Sibiller

        * Clipboard.c: fix: use XlibWindow instead of Window (9dd509c01)
        * Clipboard.c: fix type in status output (87eb4236a)
        * Clipboard.c: avoid superflous atom conversion (855ddf281)
        * Atoms.c: ensure to always return a valid string... (a470de000)
        * Clipboard.c: make use of the new helpers from Atoms.c (204bbef04)
        * Atoms.c: add helper to easily print Atom names in debugging
          (27ecb8959)
        * Clipboard.c: compact clipboard status output (a31353bdd)
        * Clipboard.c: fix comment position and init array pointer
          (29413b32a)
        * Clipboard.c: drop clientCLIPBOARD (59ee58ee7)

2020-10-12 Ulrich Sibiller

        * Clipboard.c: move selection Atoms into separate arrays (9d3683896)
        * Clipboard.c: rephrase FIXME (bff23cb94)
        * Clipboard.c: restructure request accumulation code (bf0e05fd1)

2020-10-11 Ulrich Sibiller

        * Clipboard.c: use for loops everywhere. (6753eb592)

2020-10-03 Ulrich Sibiller

        * Clipboard.c: fix memleaks in DEBUG mode (d32b4f5b1)
        * Clipboard.c: split if clause (278ebeb70)

2020-09-23 Ulrich Sibiller

        * Clipboard.c: remove superflous index determination (a3adf6641)
        * Clipboard.c: always print SelectionCallBackKind in debug output
          (d79db429d)
        * Clipboard.c: mark self-initiated event (3682be594)
        * Clipboard.c: rename function to better reflect meaning (d2370a1ba)
        * Clipboard.c: have lastServer* per selection (a8d09f815)

2020-09-22 Ulrich Sibiller

        * Clipboard.c: fix nxagentConvertSelection (e526e1cd0)
        * Clipboard.c: improve debug/test messages (4701db7bc)
        * Clipboard.c: simplify nxagentHandleSelectionRequestFromXServer
          (e8b00edb5)

2020-10-03 Ulrich Sibiller

        * Clipboard.c: use index everywhere (0ad6b8bd6)

2020-09-22 Ulrich Sibiller

        * Clipboard.c: introduce translateLocalToRemote* helpers (edfea3cd1)
        * Clipboard.c: rename selection fields to {int,rem}Selection
          (550742511)

2020-10-03 Ulrich Sibiller

        * Clipboard.c: reformat for better readability (619236b98)
        * Clipboard.c: improve function names once more (717661b1d)

2020-09-20 Ulrich Sibiller

        * Clipboard.c: rework LastClient stuff to work _per selection_
          (94fd5f590)

2020-10-03 Ulrich Sibiller

        * Clipboard.c: catch selection failure from real X server (e9a25e794)

2020-09-20 Ulrich Sibiller

        * Clipboard.c: do not set stage to new value if already set to that
          value (60380a6a5)

2020-09-19 Ulrich Sibiller

        * Clipboard.c: print times unsigned (12ed2c635)

2020-09-20 Ulrich Sibiller

        * Clipboard.c: improve explanations/FIXMEs (2742fde00)

2020-10-02 Ulrich Sibiller

        * Clipboard.c: improve debugging output (32e194d46)
        * Clipboard.c: improve error message (18c91fd94)
        * Clipboard.c: add/fix comments (972a92cab)

2021-06-08 Mike Gabriel

        * Merge branch 'uli42-pr/various7' into 3.6.x (59a0620f6)

2021-05-01 Ulrich Sibiller

        * nxagent: add missing command line switches to usage text
          (fcc1b57fb)

2021-03-30 Ulrich Sibiller

        * Trap.h: fix type of traps (9f1d0a807)
        * nxagent: fix some variable types in Init (18a8a3610)
        * nxagent: make nxagentX2go a Boolean everywhere (4a6ca0033)
        * nxagent: make nxagentAlpha* Booleans (a6d018bef)

2021-03-29 Ulrich Sibiller

        * nxagent: treat enableBackingStore as Boolean (af5cf2659)
        * nxagent: make nxagentCompositeEnable a Boolean (3823b0a5b)
        * Composite.c: fix comment (31c456bf3)
        * nxagent: add command line switch to enable composite (555cbcb32)

2021-03-17 Ulrich Sibiller

        * Compext.c: fix comparisons of 16bit sequence numbers (2739d0868)

2021-03-10 Ulrich Sibiller

        * Compext.c: fix misleading error message (3228dcfc5)
        * Compext.c: print received vs expected sequence number (e9a0f94d0)

2021-03-09 Ulrich Sibiller

        * Compext.c: document function return codes (d3573613f)

2021-03-07 Ulrich Sibiller

        * document additional options only nxagent knows about (9b1dd3401)
        * Error.c: untabify (5271eed2d)

2021-02-09 Ulrich Sibiller

        * nxagent: drop NXAGENT_SHAPE2 define (3fcb7ae3f)
        * nxagent: drop NXAGENT_SHAPE define (666c4d16a)
        * nxagent: make X2GO support optional (111ac2eed)
        * Use NXAGENT_ONSTART define at more locations (8fe2c1140)

2021-03-07 Ulrich Sibiller

        * Compext.c: add specific DEBUG and TEST macros (906aa0714)
        * Compext.c: some scope improvements (f0f91ed26)

2021-06-08 Mike Gabriel

        * Merge branch 'Ponce-binutils-2.36' into 3.6.x (6208dade8)

2021-04-05 ponce

        * fix building with binutils >= 2.36. (605a26691)

2021-06-08 Mike Gabriel

        * Merge branch 'uli42-pr/fix_randr_crash' into 3.6.x (b73374805)

2021-03-17 Ulrich Sibiller

        * randr: Do not update ConnectionInfo if NULL (a14e1a59a)

2021-06-08 Mike Gabriel

        * Merge branch 'uli42-pr/fix_async_replies' into 3.6.x (1bd98ef77)

2021-03-17 Ulrich Sibiller

        * Compext.c: fix comparisons of 16bit sequence numbers (1b4ebce2c)

2021-06-08 Mike Gabriel

        * Merge branch 'vatral-support_cygwin64' into 3.6.x (00711f914)
        * nxcomp/src/BlockCacheSet.cpp: Amend comment behind if-clause
          closure. (ff0c2b148)

2021-03-10 Vadim Troshchinskiy

        * nxcomp: Support Cygwin64. (46258974d)

2021-06-08 Mike Gabriel

        * Merge branch 'uli42-pr/dialog_text' into 3.6.x (9815f32d5)

2021-02-28 Ulrich Sibiller

        * nxagent: fix RESIZE dialog text to not end with a linefeed
          (5dcb19b3d)
        * nxcomp/Children.cpp: print a message if the dialog could not be
          displayed (1338cffc9)
        * nxcomp/Children.cpp: reformat code (2e3fe61d1)
        * nxcomp/Children.cpp: also try searching nxdialog, not only nxclient
          (31beb51df)
        * nxcomp/Children.cpp: add macro checks around some log/stderr prints
          (90ff3d025)
        * nxcomp/Children.cpp: display dialog text in output (d7a49834e)

2021-06-08 Mike Gabriel

        * Merge branch 'uli42-pr/forward_clientmessages' into 3.6.x
          (c3476b6a8)

2021-05-02 Ulrich Sibiller

        * Forward ClientMessages to nxproxy side (36f804e54)

2021-06-07 Mike Gabriel

        * Merge branch
          'sunweaver-pr/fix-ci-builds-against-fedora-greater-than-33'
          into 3.6.x (90728fadc)
        * nx-libs.spec: In Fedora 34 and beyond, files from
          xorg-x11-xkb-utils-devel have been moved into bin:pkg
          xkbcomp-devel. (bbc59f214)
        * .github/workflows/nx-libs.yml: In Fedora 34 and beyond, files from
          xorg-x11-xkb-utils-devel have been moved into bin:pkg
          xkbcomp-devel. (940b7843f)
        * Merge branch 'uli42-pr/pylint_fixes' into 3.6.x (5c09159ae)

2021-02-07 Ulrich Sibiller

        * nxdialog: fix/suppress some pylint findings (420754489)

2021-06-07 Mike Gabriel

        * Merge branch 'mjtrangoni-fix-shellcheck-issues' into 3.6.x
          (1fc5c689e)
        * shellcheck: Fix SC2230 issue (6bada8f63)

2021-02-06 Mario Trangoni

        * shellcheck: Fix SC2022 issue (71ae04011)
        * shellcheck: Fix SC2064 issues (dfee5a988)

2021-02-05 Mario Trangoni

        * shellcheck: Fix SC2164 issues (ffba3aab3)

2021-06-07 Mike Gabriel

        * Merge branch 'test-github-actions' into 3.6.x (f4d654e6b)

2021-02-07 Mario Trangoni

        * Add pylint to GitHub Actions (69864ad11)
        * Install build-essentials on clang (b42544cf4)
        * Add linter references (077089c4e)
        * Fix missing quilt on CentOS7 (d570730e6)

2021-02-06 Mario Trangoni

        * Build nx-libs on different architectures (899c2a6f1)
        * linters: Enable shellcheck (3dfd7a711)

2021-01-31 Mario Trangoni

        * Move PVS run to GitHub Actions (3da6e9c3a)
        * Replace TravisCI with GitHub Actions (1620c93f0)
        * Add shellcheck and cppcheck linters (637d6d733)

2021-01-30 Mario Trangoni

        * Add build jobs on containers (763a9ee0e)

2020-12-19 Mario Trangoni

        * Implement github actions basics (e0e999f4c)

2021-02-04 Mike Gabriel

        * release 3.5.99.26 (0e2b79713) (tag: 3.5.99.26)

2021-02-03 Mike Gabriel

        * Merge branch 'mjtrangoni-fix-shellcheck-issues' into 3.6.x
          (3e02494cb)

2021-01-30 Ulrich Sibiller

        * Screen.c: rephrase comment (9d0364198)
        * Screen.c: Fix fullscreen (onescreen) at startup (b09f5e03e)

2021-02-03 Ulrich Sibiller

        * Window.c: add another FIXME (6d8ccec75)

2021-01-31 Ulrich Sibiller

        * NXproperty.c: reorder functions (82028465c)

2021-01-30 Ulrich Sibiller

        * NXproperty.c, dix.c: simplify ProcDeleteProperty() (da9ac92e9)
        * NXproperty.c: GetWindowProperty(): add more comments, restruct
          prototype (969d9af23)
        * NXproperty.c: simplify and reformat GetWindowProperty() (3cabdfa2a)
        * NXproperty.c: clean returns (513418ace)
        * Window.c: Fix 32bit code path (19b639b91)
        * nxagent: drop unused nxagentVisibility variables (150e9bda9)

2021-02-03 Mike Gabriel

        * Merge branch 'uli42-pr/fix_onescreen' into 3.6.x (f696a57f8)

2021-01-30 Ulrich Sibiller

        * Screen.c: rephrase comment (06724dfe0)
        * Screen.c: Fix fullscreen (onescreen) at startup (f92e1a5a2)

2021-02-03 Mike Gabriel

        * Merge branch 'uli42-pr/windowfixes' into 3.6.x (770f468cd)

2021-02-03 Ulrich Sibiller

        * Window.c: add another FIXME (cbd9875e5)

2021-01-31 Ulrich Sibiller

        * NXproperty.c: reorder functions (5121188f0)

2021-01-31 Mario Trangoni

        * shellcheck: Fix SC2061 issue (8ce12d613)
        * shellcheck: Fix SC2048 issue (407651b39)
        * shellcheck: Fix SC2196 issues (afe0c1473)
        * shellcheck: Fix SC2034 issue (930fbe08b)
        * shellcheck: Fix SC2002 issue (22b40e690)
        * shellcheck: Fix SC2045 issue (2168bc689)
        * shellcheck: Fix some SC2086 issues (747a33744)
        * shellcheck: Fix SC2059 issue (18aca1f69)
        * shellcheck: Fix SC2148 issues (cb6e3b7d3)
        * shellcheck: Fix SC2162 issue (daeb82e33)
        * shellcheck: Fix SC2006 issue (5b628e2d7)

2021-01-30 Ulrich Sibiller

        * NXproperty.c, dix.c: simplify ProcDeleteProperty() (d627e948f)
        * NXproperty.c: GetWindowProperty(): add more comments, restruct
          prototype (b8b1edb2b)
        * NXproperty.c: simplify and reformat GetWindowProperty() (8b2b41113)
        * NXproperty.c: clean returns (5a00da5ec)
        * Window.c: Fix 32bit code path (ee60cc50c)
        * nxagent: drop unused nxagentVisibility variables (57e662b83)

2021-01-18 Mike Gabriel

        * debian/patches: Drop
          2002_xserver-xext_set-securitypolicy-path.debian.patch.
          Not required anymore since 689f811b. (e5746df80)
        * Merge branch 'uli42-pr/drop_alternative_securitypolicy' into 3.6.x
          (24b903be5)

2021-01-16 Ulrich Sibiller

        * Xext: drop NX_ALTERNATIVEPOLICYFILE (a26011503)
        * Xext: use $USRDATADIR/SecurityPolicy (689f811ba)

2021-01-18 Mike Gabriel

        * Merge branch 'uli42-pr/fix_fullscreen' into 3.6.x (f4782bbd2)

2021-01-16 Ulrich Sibiller

        * Args.c: improve usage string for -geometry (e156bdc03)
        * Screen.c: remove superflous code that produces a crash (a83ec33d5)

2021-01-16 Mike Gabriel

        * Merge branch 'uli42-pr/musl_fixes' into 3.6.x (f60ac5777)

2021-01-04 Ulrich Sibiller

        * Xext: include limits.h (46c9c493f)
        * Mesa: make compilation with work with musl (8b6d454cf)

2021-01-16 Mike Gabriel

        * Merge branch 'uli42-pr/pvs_findings' into 3.6.x (8c3bb2715)

2021-01-15 Ulrich Sibiller

        * Display.c: fix and reformat broken comment (1b80750f6)

2021-01-04 Ulrich Sibiller

        * Window.c: suppress warning (669299de3)
        * fix formatting and spelling in various files (12b96fd9a)
        * nxagent: Drop unused nxagentRootTileWindow (0a06ee77a)

2020-12-31 Ulrich Sibiller

        * Handlers.c: add FIXME (7aec57a40)
        * Screen.c: clarify that characters are compared (cc781ae2e)

2020-12-30 Ulrich Sibiller

        * Client.h: conditionally add unused field (d1136ea2f)

2020-11-09 Ulrich Sibiller

        * Handlers.c: use the same boolean values as in NXdispatch.c
          (f64fac47e)
        * manpage: document defaults for options -defer and -tile (eef306c2d)

2020-11-08 Ulrich Sibiller

        * NXDispatch.c: remove double nxagentFreeAtomMap() (35556cac9)

2021-01-16 Mike Gabriel

        * Merge branch 'uli42-pr/various6' into 3.6.x (b66699555)

2021-01-04 Ulrich Sibiller

        * Window.c: check for malloc failure (4d95e29b8)
        * Window.c: check for malloc failure (5ad0b4dde)
        * Screen.c: check for malloc failures (6214c71b3)
        * Splash.c: remove unneccessary check (a57097ad0)
        * Rootless.c: prevent PVS error (1251e8347)
        * Render.c: Init BoxRec (c1cae3c66)
        * Reconnect.c: fix possible realloc() memory loss (8bb77997f)
        * NXglyph.c: check for malloc error (948bbe50a)
        * Keyboard.c: fix possible NULL pointer dereference (7443fea69)
        * Drawable.c: Prevent PVS Studio warning (e664d8201)
        * Display.c: prevent PVS Studio realloc warning (67c7513bf)
        * Atoms.c: add explanation for PVS Studio warning (db134de3b)

2020-08-03 Ulrich Sibiller

        * NXpicture.c: remove unneccessary check (5871100dd)
        * Keyboard.c: simplify code (41bf83979)
        * Colormap.c: remove unneccessary check (5735e164e)
        * Colormap.c: fix parentheses (28fef3bc0)
        * Atoms.c: silence PVS Studio warning (36d7e152f)
        * Atoms.c: cosmetics in nxagentWriteAtom() (e991dbae9)
        * Atoms.c: fix strlen(NULL) (1529b3217)

2021-01-15 Ulrich Sibiller

        * Display.c: fix and reformat broken comment (97a69b95a)

2021-01-04 Ulrich Sibiller

        * Window.c: suppress warning (21c631f4d)
        * fix formatting and spelling in various files (6aff5bfdf)
        * nxagent: Drop unused nxagentRootTileWindow (c7f9ff0b6)

2020-12-31 Ulrich Sibiller

        * Handlers.c: add FIXME (63a39619c)
        * Screen.c: clarify that characters are compared (599334aff)

2020-12-30 Ulrich Sibiller

        * Client.h: conditionally add unused field (dd5d8bc89)

2020-11-09 Ulrich Sibiller

        * Handlers.c: use the same boolean values as in NXdispatch.c
          (c1843ef88)
        * manpage: document defaults for options -defer and -tile (432cc0ca4)

2020-11-08 Ulrich Sibiller

        * NXDispatch.c: remove double nxagentFreeAtomMap() (7c22dbfda)

2021-01-15 Mike Gabriel

        * Merge branch 'uli42-pr/fullscreen_select' into 3.6.x (3523d15e2)

2020-12-30 Ulrich Sibiller

        * nxagent: make full screen mode selectable at startup (e7b4440f2)

2021-01-15 Mike Gabriel

        * Revert "CVE-2020-14360: Check SetMap request length carefully."
          (125756157)
        * Merge branch 'uli42-pr/fix_unusable_mouse_in_fullscreen' into 3.6.x
          (013a6ba3c)

2020-12-31 Ulrich Sibiller

        * nxagent: nxagent(Default)WindowIsVisible() are Booleans (f8b759263)
        * Keyboard.c: noXkbExtension is a Boolean (108ed9d92)
        * Font.c: Use Booleans where appropriate (f4dd9d76a)
        * nxagent: make nxagentXkbState.Initialized a Boolean (d2ba4ddb8)
        * Events.h: fix wrong prototype (f10e9d9ac)
        * nxagent: make nxagentXFixesInfo.Initialized a Boolean (af7d8e3fa)
        * Drawable.c: make doRoundRobin a Boolean (b9c2db67b)
        * Handlers.c: make synchronize a Boolean variable (9aa339176)
        * nxagent: make nxagentSkipImage a Boolean (90178b548)
        * nxagent: make nxagentForceSynchronization a Boolean (48279ae79)
        * Drawable.c: make abort flag a Boolean (1ed28c85b)
        * Client.c: cleanup Boolean handling for nxagentNeedWakeup*() macros
          (ab83e4688)
        * GC.c: make internal variable and function Boolean (15cf1eee0)
        * GCOps.c: make internal variable an function Booleans (e8a5e3287)
        * nxagent: make nxagentBlocking an Boolean (db3efd45c)
        * Render.c: improve Boolean handling of
          nxagentCheckPictureRemoteValue (af2964c7e)
        * nxagent: improve Boolean handling for Reconnect functions
          (99ca67c2f)
        * nxagent: make XDMCP variables Booleans (6c09c0b7e)

2020-12-30 Ulrich Sibiller

        * GCOps.c: make internal function Boolean (1b91c8ac1)
        * GCOps.c: handle some internal variables as Booleans (4303b1131)
        * Drawable.c: make some variables Booleans (acf3e21f1)
        * nxagent: handle RegionNil macro as Boolean (f6b386e65)
        * Split.c, Image.c: make some internal variables Booleans (059a37205)
        * nxagent: rework some Boolean checks (5920e36e1)
        * nxagent: make nxagentUserDefinedFontPath a Boolean (6f4dbefbf)
        * nxagent: make nxagentShadowResize a Boolean (1b7f37a80)
        * nxagent: make nxagentDoFullgeneration a Boolean (3e093f9eb)
        * nxagent: some more Boolean improvements (090742b3b)
        * nxagent: treat nxagentLastWindowDestroyed as Boolean (92c8325f3)
        * nxagent: treat all Traps as Booleans everywhere (616d8619f)
        * nxagent: make nxagentVerbose a Boolean (c3b6dfe2e)
        * nxagent: make Desktop, Rootless and Binder options Booleans (again)
          (8bb7d2cd1)
        * Options.h: mark Booleans (1e4d8e32b)
        * nxagent: make nxagentOption Shadow a Boolean (acb861df4)
        * nxagent: treat several nxagentOptions as real Booleans (2565484f5)
        * nxagent: treat DesktopResize and nxagentResizeDesktopAtStartup as
          Booleans (ca5a14743)
        * nxagent: make Fullscreen and AllScreens Booleans (6e9b3a7f8)
        * Handlers.c: ensure regular yields if suspended (262fe771c)

2020-12-10 Mike Gabriel

        * CVE-2020-14360: Check SetMap request length carefully. (4eba4f53a)

2021-01-15 Mike Gabriel

        * Merge branch 'uli42-pr/rework_booleans_v2' into 3.6.x (faae65fb3)

2020-12-31 Ulrich Sibiller

        * nxagent: nxagent(Default)WindowIsVisible() are Booleans (b44ecc0f8)
        * Keyboard.c: noXkbExtension is a Boolean (d78837ec3)
        * Font.c: Use Booleans where appropriate (91cef61a0)
        * nxagent: make nxagentXkbState.Initialized a Boolean (0bca321fb)
        * Events.h: fix wrong prototype (9e9568028)
        * nxagent: make nxagentXFixesInfo.Initialized a Boolean (feb7b9773)
        * Drawable.c: make doRoundRobin a Boolean (b76dddcdc)
        * Handlers.c: make synchronize a Boolean variable (b814aef39)
        * nxagent: make nxagentSkipImage a Boolean (a9d3050c5)
        * nxagent: make nxagentForceSynchronization a Boolean (c035ddead)
        * Drawable.c: make abort flag a Boolean (5d7b6db0c)
        * Client.c: cleanup Boolean handling for nxagentNeedWakeup*() macros
          (54dd29cc6)
        * GC.c: make internal variable and function Boolean (2ce0fa8f0)
        * GCOps.c: make internal variable an function Booleans (3151736d3)
        * nxagent: make nxagentBlocking an Boolean (e2ff39e04)
        * Render.c: improve Boolean handling of
          nxagentCheckPictureRemoteValue (94fd6d234)
        * nxagent: improve Boolean handling for Reconnect functions
          (41d75f6b2)
        * nxagent: make XDMCP variables Booleans (3cb0a134d)

2020-12-30 Ulrich Sibiller

        * GCOps.c: make internal function Boolean (714a212fd)
        * GCOps.c: handle some internal variables as Booleans (1239dffec)
        * Drawable.c: make some variables Booleans (f98114c95)
        * nxagent: handle RegionNil macro as Boolean (b8017065d)
        * Split.c, Image.c: make some internal variables Booleans (06833b964)
        * nxagent: rework some Boolean checks (84bad7324)
        * nxagent: make nxagentUserDefinedFontPath a Boolean (f4adcbc59)
        * nxagent: make nxagentShadowResize a Boolean (fbc4a9158)
        * nxagent: make nxagentDoFullgeneration a Boolean (41f7a8b4a)
        * nxagent: some more Boolean improvements (73bdca0f8)
        * nxagent: treat nxagentLastWindowDestroyed as Boolean (a72f77fc9)
        * nxagent: treat all Traps as Booleans everywhere (fec462906)
        * nxagent: make nxagentVerbose a Boolean (42f76ddee)
        * nxagent: make Desktop, Rootless and Binder options Booleans (again)
          (bd336c92b)
        * Options.h: mark Booleans (7b299a4ce)
        * nxagent: make nxagentOption Shadow a Boolean (f6cebfd85)
        * nxagent: treat several nxagentOptions as real Booleans (2b4ccc30a)
        * nxagent: treat DesktopResize and nxagentResizeDesktopAtStartup as
          Booleans (a85adf5ea)
        * nxagent: make Fullscreen and AllScreens Booleans (de5eb54c6)

2021-01-15 Mike Gabriel

        * Merge branch 'uli42-pr/fix_resume' into 3.6.x (d545afdf3)

2021-01-12 Ulrich Sibiller

        * Init.c: Initialize nxagentGrabServerInfo (89b37de7c)

2020-12-30 Ulrich Sibiller

        * Handlers.c: ensure regular yields if suspended (e7d5ba4e5)

2020-12-10 Mike Gabriel

        * CVE-2020-14360: Check SetMap request length carefully. (d5a3b4401)

2020-12-03 Ulrich Sibiller

        * Events.c: fix leftover DEBUG and TEST definitions (ad275d507)

2020-11-04 Mike Gabriel

        * NXdixfonts.c: Regression fix for db45683a. Fix typo in libXfont1
          function call (FreeFontName -> FreeFontNames). Fixes FTBFS
          on Ubuntu 14.04 and 16.04. (5ca9a6b1e)
        * release 3.5.99.25 (f2973029d) (tag: 3.5.99.25)
        * Merge branch 'uli42-pr/various5' into 3.6.x (48b914810)

2020-11-03 Mike Gabriel

        * NXdixfonts.c: Hard-code the enablement of
          NXAGENT_DANGEROUS_XFONT_LOOP_EXIT. (252b86ee2)
        * NXdixfonts.c: Rename BREAK_XFONT_LOOP to
          NXAGENT_DANGEROUS_XFONT_LOOP_EXIT (better macro name).
          (1af077648)

2020-11-04 Mike Gabriel

        * Merge branch
          'sunweaver-pr/default-to-NXAGENT_DANGEROUS_XFONT_LOOP_EXIT'
          into 3.6.x (6cd4f1232)

2020-09-23 Ulrich Sibiller

        * Clipboard.c: fix bug in special optimization for nested settings
          (b07b6c537)

2020-11-03 Ulrich Sibiller

        * compext/Png.c: fix shadowing (522eea6f2)

2020-06-03 Ulrich Sibiller

        * Screen.c: fix indentation in nxagentMaximizeToFullScreen
          (b1efdd94d)

2020-10-12 Ulrich Sibiller

        * Atoms.c: fix FIXME comment (f1e543b09)
        * Atoms.c: improve debug output (4460183a6)

2020-10-30 Ulrich Sibiller

        * Events.c: scope improvement (8b0bb28eb)

2020-11-03 Ulrich Sibiller

        * Log.h: fix some shadow warnings (e66d2c86b)
        * Channel.h: rename variable to prevent shadowing (2c66355c2)
        * nx-libs.spec: Set python shebang to python3 on fedora and rhel8
          (5bd72aec3)

2020-10-02 Ulrich Sibiller

        * Xext/panoramiX.c: rename shadowing variables (1701a4a44)
        * Clipboard.c: add missing ifdefs (ebee6af05)
        * Compext.c: scope improvements (06173efd3)
        * GCs.h: fix typo (ee379d3a7)
        * Atoms.c: drop double include (8bfe760d5)
        * Compext.c: use SAFE_free macro (447ee1570)

2020-06-03 Ulrich Sibiller

        * Clipboard.c: fix missing ) (edb5a918a)

2020-11-03 Mike Gabriel

        * NXdixfonts.c: Hard-code the enablement of
          NXAGENT_DANGEROUS_XFONT_LOOP_EXIT. (7da2ee0bd)
        * NXdixfonts.c: Rename BREAK_XFONT_LOOP to
          NXAGENT_DANGEROUS_XFONT_LOOP_EXIT (better macro name).
          (fbde6d285)
        * Merge branch 'uli42-pr/font_memleak' into 3.6.x (ced973e36)

2020-10-18 Ulrich Sibiller

        * NXdixfonts.c: fix memory leak (db45683a6)

2020-11-03 Mike Gabriel

        * Merge branch 'uli42-pr/xlib_memleak' into 3.6.x (14df32cdb)

2020-10-18 Ulrich Sibiller

        * yConnDis.c: fix memory leak (12b22e97e)

2020-11-02 Ulrich Sibiller

        * Merge pull request #960 from uli42/pr/fix_specfile (ca7b33103)
        * fix spec file (dee4a560a)

2020-10-18 Mike Gabriel

        * Merge branch 'uli42-pr/window_resize_bug' into 3.6.x (13211ec6a)

2020-07-27 Ulrich Sibiller

        * Events.c: More cosmetics (2d99cdd1c)

2020-05-26 Ulrich Sibiller

        * Window.c: some more TEST and DEBUG output (4c6940cdd)
        * Screen.c: some more (cosmetic) changes (199c32eaf)
        * Screen.c: scope improvements (42fb68331)
        * Screen.c: move attributes/valuemask to inner scopes (f534a4860)
        * Screen.c: drop unneccessary mask variable (d7a091a64)
        * Screen.c: remove another pointless code block (d07c78881)
        * Screen.c: remove code that will have no effect (2c6b9117f)
        * Screen.c: scope improvement (ed4cbaeda)
        * Screen.c: cleanup auto dpi handling (00d60a82e)
        * Init.c: small simplification (3a7c37593)

2020-05-25 Ulrich Sibiller

        * NXwindow.c: fix some format specifiers (832e02811)
        * Window.c: simplify setting of isMapped private var (601a57849)
        * Window.c: -reportprivatewids reports root window as such
          (2a92ed0f5)
        * Screen.c: simplify nxagentResizeScreen (2ada71fba)
        * Screen.c: improve output of nxagentPrintAgentGeometry (1af470a23)
        * Screen.c: improve debug output (e48ceedcc)
        * nxagent: add names to some windows in DEBUG mode (ce649c027)
        * Display.c: disable confine window (210db3163)
        * Events.c: store parent window from event to meaningful variable
          (a4dd6a462)
        * Events.c: add some comments/FIXMEs (ffbc63f91)
        * Events.c: add more DEBUG output (337afd839)

2020-05-19 Ulrich Sibiller

        * nxagent: Prevent resize loop (8deda7bd4)

2020-05-15 Ulrich Sibiller

        * Display.c: factor out confinement window creation (abe5e8479)

2020-05-11 Ulrich Sibiller

        * Screen.c: fix resizing bug with mutter window manager (0f8ed4d10)

2020-10-17 Mike Gabriel

        * Merge branch 'uli42-pr/fix_stack_smashing' into 3.6.x (7a02b4aba)

2020-10-02 Ulrich Sibiller

        * nxagent: fix stack smashing (ae037701f)

2020-10-17 Mike Gabriel

        * Merge branch 'uli42-pr/fix_caps_handling' into 3.6.x (2b0976e93)

2020-06-19 Ulrich Sibiller

        * Keyboard.c: improve capslock and numlock handling (ffc2c3840)
        * Keyboard.c: fix indentation of ifdef (e74b99117)

2020-10-17 Mike Gabriel

        * Merge branch 'uli42-pr/libNX_X11_defines' into 3.6.x (05cb09a5f)

2019-03-01 Ulrich Sibiller

        * libNX_X11: set XTRANS_SEND_FDS=0 (1215c36f7)

2019-02-28 Ulrich Sibiller

        * libNX_X11: set FAIL_HARD (94fcba361)

2019-02-26 Ulrich Sibiller

        * nx-xtrans.m4: reintroduce HAS_STICKY_DIR_BIT (b4124219a)
        * libNX_X11: reintroduce SECURE_RPC (3335f2503)
        * libNX_X11: reintroduce HASXDMAUTH (475d6c1f2)

2020-10-17 Mike Gabriel

        * Merge branch 'uli42-pr/nxdialog_rpm' into 3.6.x (d121f2a9c)

2020-07-12 Ulrich Sibiller

        * nx-libs.spec: create nxdialog rpm (2ef652d35)

2020-10-17 Mike Gabriel

        * Merge branch 'mjtrangoni-fix-pvs-ci' into 3.6.x (6857e26b4)

2020-07-07 Mario Trangoni

        * travisci: Fix PVS job (870a9491c)

2020-10-17 Mike Gabriel

        * Merge branch 'uli42-pr/fix_wrap_macros' into 3.6.x (bc68b4aad)

2020-10-16 Ulrich Sibiller

        * randr: fix broken macros / memory corruption (d1a967f3a)

2020-10-01 Mike Gabriel

        * Update SECURITY.md (67330d9ea)
        * Update SECURITY.md (ee77e9706)
        * Create SECURITY.md (53ace2743)

2020-06-29 Mike Gabriel

        * Merge branch 'mjtrangoni-add-pvs-studio' into 3.6.x (e10302404)

2020-06-06 Mario Trangoni

        * travis-ci: add PVS Studio (61859da35)

2020-06-29 Mike Gabriel

        * Merge branch 'uli42-pr/clarify_sleep' into 3.6.x (a3d493a60)

2020-06-02 Ulrich Sibiller

        * Extend sleep documentation (ede842c21)
        * nxagent: clarify sleep time units (bf0861aa0)

2020-06-29 Mike Gabriel

        * Merge branch 'uli42-pr/extend_manpage' into 3.6.x (4213bf46c)

2020-06-02 Ulrich Sibiller

        * Args.c: adapt message to use same format as similar messages
          (470228698)
        * manpage: document copysize parameter (23f18a825)
        * manpage and usage output: add -irlimit (536c849fa)
        * Extend some manpage entries (70d4f9117)

2020-06-29 Mike Gabriel

        * Merge branch 'uli42-pr/hint_on_current_builds' into 3.6.x
          (16cfb8d33)

2020-06-18 Ulrich Sibiller

        * README.md: Add a "Binary Builds" section (a2549e27c)

2020-05-31 Mike Gabriel

        * release 3.5.99.24 (a593481b3) (tag: 3.5.99.24)
        * Merge branch 'uli42-pr/clipboard_dump' into 3.6.x (3f7bb584e)

2020-05-07 Ulrich Sibiller

        * NXevents.c, NXdispatch.c: add some DEBUG statements (49d63d92a)
        * Client.h: make macro NULL pointer safe (2a0d57831)
        * Clipboard.c: small code improvement (9e7afaa42)

2020-02-17 Ulrich Sibiller

        * Clipboard.c: add description/warning for nxagentClearClipboard
          (fc4c8a3ac)

2020-02-16 Ulrich Sibiller

        * Clipboard.c: improve some more debugging messages (6c751087e)
        * Clipboard.c: use nxagentClientInfoString for debug output
          (3881d1473)

2020-02-15 Ulrich Sibiller

        * Clipboard.c: add elapsed time for lastClient to stats output if
          available (5771a619a)
        * Clipboard.c: call endTransfer() (6db07e995)
        * Clipboard.c: drop notifyConvertFailure (c8cec7586)
        * Clipboard.c: drop unused return code of
          sendSelectionNotifyEventToClient (ea0da6aa1)

2020-02-14 Ulrich Sibiller

        * Clipboard.c: Fix: always reset selectionStage in endTransfer
          (ad55ebc93)
        * Clipboard.c: make setClientSelectionStage a function (f3320571d)
        * Clipboard.c: improve Clipboard stats (46bd33402)
        * nxagent: Add keystroke for dumping the current clipboard state
          (b82f44e35)

2020-01-07 Ulrich Sibiller

        * nxagent: Free atom map on termination (89de77cdc)

2020-05-30 Mike Gabriel

        * Merge branch 'uli42-pr/fix_region_crash' into 3.6.x (4904bfe1f)

2020-05-27 Ulrich Sibiller

        * mi: define NXAGENT_SERVER (6f22fb9ee)

2020-02-11 Vadim Troshchinskiy

        * Enable slave socket in server mode (bdc698b7a)

2020-05-30 Mike Gabriel

        * Merge branch 'mjtrangoni-update-ci' into 3.6.x (5deb1bc73)

2020-05-09 Mario Trangoni

        * TravisCI: Upgrade CI configuration (099def1de)

2020-05-07 Mike Gabriel

        * Merge branch 'uli42-pr/various4' into 3.6.x (e91d08cb8)

2020-05-06 Ulrich Sibiller

        * Events.h: reformat comments (c69d2ad0f)
        * Reconnect.c: save some lines (7de7cb094)
        * Reconnect.c: reformat comments (64c95c0a0)
        * Screen.c: fix missing type in DEBUG mode (cf2bd1cf3)
        * Reconnect.c: reformat saveAgentState() (310eadb3a)

2020-04-23 Ulrich Sibiller

        * Rootless.c: do not import private properties (5c99ec51a)
        * Rootless.c: improve TEST output (8604b18e0)
        * Rootless.c: add some comments (fb6e43e30)
        * Clipboard.c: fix typo (0a7147747)

2020-04-09 Ulrich Sibiller

        * Keystroke.c: whitespace fixes (2578471e8)
        * NXdixfonts.c: some code cleanups (2f61c9296)
        * NXdixfonts.c: fix debugging output (2e50ee079)
        * Keyboard.c: free remote keybord names once no longer needed
          (b0b0efc98)
        * NXdispatch.c: free font data on exit (13536693d)
        * Font.c: add hint of deliberate pointer misuse (99f541c1e)
        * Font.c: fix realloc bugs (58b3c8cdd)
        * Font.c: cleanup (acd45283b)

2019-12-03 Ulrich Sibiller

        * NXshm.c: cleanup nxagent_fbShmCreatePixmap (92589f41a)

2020-04-01 Ulrich Sibiller

        * Dialog.h: reformat comment (b4b0a1a77)
        * Dialog.h: Fix incomplete macro nxagentNoDialogIsRunning (f85e71a6e)

2018-03-06 Ulrich Sibiller

        * Screen.c: fix wrong debug statement (ba5a85fb8)

2019-12-02 Ulrich Sibiller

        * NXshm.c: slight simplification (fe39d8a38)
        * NXshm.c: simplify Dispatch functions (b65dd4e30)

2019-06-24 Ulrich Sibiller

        * Improve clipboard/xfixes related debug output (27933a8d8)

2020-02-19 Ulrich Sibiller

        * Display.c: filter remote Pixmap formats before doing the
          compatiblity check (d9e4526b3)
          Fixes:
          ArcticaProject/nx-libs#635

2020-02-16 Ulrich Sibiller

        * Client.c: add clientInfoString to client privates (13f97cbc8)

2020-02-17 Ulrich Sibiller

        * NXdispatch.c: move nxagentCheckIfShadowAgent to client callback
          (8e1d97732)
        * NXdispatch.c: move nxagentClearClipboard to client callback
          (7358581d7)

2020-02-15 Ulrich Sibiller

        * nxagent: use Xorg's callback mechanism for init/free of client
          privates (067031a3b)

2020-02-19 Ulrich Sibiller

        * Client.c: use nxagentClientHint macro everywhere (783520492)

2020-02-18 Ulrich Sibiller

        * Client.c: mask unused clientBytes stuff (0d9d21287)
        * Handlers.c: slight cosmetics (7921cf79f)
        * dix/dispatch.c: Fix copy/paste error from before git history in
          UpdateCurrentTimeIf() (c73ddd311)

2020-02-17 Ulrich Sibiller

        * dix/dispatch.c: fix buggy callback invocation (f38ecc6ff)

2020-02-14 Ulrich Sibiller

        * Clipboard.c: rename some exported functions (a94fef86c)
        * Clipboard.c: rename static helpers and macros (649c17524)
        * Clipboard.{c,h}: cleanup prototypes (fad1b5f0c)

2020-02-13 Ulrich Sibiller

        * Clipboard.c: deactivate unused code (34109b856)
        * Clipboard.c: clear windowPtr in ClearSelectionOwner (c6aed6ad1)
        * Clipboard.h: reformat comments (96bd8748a)
        * Clipboard.h: add missing externs (a92467f3c)
        * Clipboard.c: print if selection owner is inside nagent in debugging
          output (c0e8cb069)
        * Clipboard.c: fix some format specifiers (d2f66923a)
        * Clipboard.c: fix/improve debugging output (c889c27de)
        * Clipboard.c: rename nxagentLastRequestedSelection (dd74cad83)
        * Clipboard.c: fix compilation with DEBUG (2e18dff8b)
        * Clipboard.c: use validateString in debugging output (ebe5f05cb)
        * Clipboard.c: rearrange Atoms in debugging output (32930b9b7)

2020-02-12 Ulrich Sibiller

        * NX.h: Add missing NX_CHANNEL_SLAVE type to description (ab1e10197)

2020-02-05 Ulrich Sibiller

        * XlibInt.c: scope improvements/reformat (f3473e38c)

2020-02-04 Ulrich Sibiller

        * XlibInt.c: simplify NX code insertion (52a458282)
        * XlibInt.c: reformat some comments (17ab45b92)
        * XlibInt.c: simplify handling of NX_TRANS_{CHANGE,DEBUG} macros
          (e9f628fd2)

2020-02-01 Ulrich Sibiller

        * dixfont.h: add missing extern (042f84887)

2020-01-30 Ulrich Sibiller

        * nxagent: move variable definitions from headers to source files
          (fdde5b125)
        * nxagent: Fix double variables (762bfb504)

2020-01-29 Ulrich Sibiller

        * Windows.h, Window.c*: reformat comments (d1e91fae6)
        * NXproperty.c: fix comment/formatting (fba279d35)
        * Window.c: scope improvements (5d2dbfaa2)

2020-01-26 Ulrich Sibiller

        * NXresource.c: scope improvements (dfcb5d0b0)

2020-01-25 Ulrich Sibiller

        * NXresource.c: Fix uninitialized variable (026ddd8e1)

2020-01-26 Ulrich Sibiller

        * NXresource.c: rework marked nx code (b4ef65d66)

2020-01-25 Ulrich Sibiller

        * NXproperty.c: fix implicit declaration (7a8eea1f1)
        * Display.c: fix implicit declaration (f09d3f521)
        * Display.c: fix common realloc mistake (891f24c65)
        * Rootless.c: fix common realloc mistake (9b56675dd)
        * NXdispatch.c, Reconnect.c: fix format specifiers (434d50853)
        * NXdispatch.c: fix invalid number of character '(' (5c90f28db)

2020-01-12 Ulrich Sibiller

        * NXdispatch.c: some cleanup (8c5a3b822)

2020-01-08 Ulrich Sibiller

        * NXdispatch.c: whitespace fix (07b9e9370)

2020-01-25 Ulrich Sibiller

        * Screen.h: improve NXAGENT_ARTSD prototype definition (bd6ff1949)

2020-01-19 Ulrich Sibiller

        * (NX)property.c: harmonize function name (f3856e9c7)
        * NXdixfonts.c: mark NX changes (aecebe41d)
        * NXdixfonts.c: drop NXAGENT_DEBUG (4ad501b3f)
        * NXdixfonts.c: call dix version of SetDefaultFontPath (c135bbcfe)
        * Keystroke.c: fix typo (8199ec319)

2020-01-18 Ulrich Sibiller

        * WaitFor.c Implement the intended NX_WAKEUP functionality
          (92ac0d277)
        * os/Waitfor.c: simplify macro handling (d282724c4)
        * hw/nxagent/Imakefile: explain more macros (fbf18cfdc)
        * README.md: remove embarassing planned release dates... (ad0219fe5)
        * Dialog.c: show configured keystrokes in dialogs (afceb7eba)
        * nxagent: make all traps Booleans (b7169bdca)
        * Literals.h: always include in compilation (6d9679886)
        * Init.c Use dpmsstubs.c instead of an own copy (679e11182)
        * dix: also compile ffs.c (8558e321f)
        * Clarify use of and need for mffs vs. ffs (91925d70d)
        * XKBsrv.h: remove XKBSRV_NEED_FILE_FUNCS stuff (cf461c367)
        * XKBsrv.h: remove unused externs (38528c9a9)
        * Drop unused screensaver xpm (d3fa41a1a)
        * Drop unused scrnsaver.h (37de96c61)
        * Drop unused XWDFile.h (0943abfaf)
        * Drop unused rgb.h (a59ad630b)
        * Drop unused Xalloca.h (1d4d8da23)

2020-01-19 Ulrich Sibiller

        * Splash.c: reduce number of X calls for logo painting (ca2ec409c)
        * Splash.c: reduce number of Xlib calls (ae20e50c7)
        * Splash.c: always paint background over the whole window (2e467efb2)
        * Splash.c: move the GC to nxagentPaintLogo (de46c64ec)

2020-01-18 Ulrich Sibiller

        * Splash.h: split out xdmcp parts into separate header file
          (26ea6d33f)
        * Splash.c: make variables static (98c6c162e)
        * Splash.c: use uppercase color defines (436eef46a)
        * Splash.c: some reformatting (e44a93b0b)

2020-01-28 Ulrich Sibiller

        * Splash.c: use more Xlib types (ca531cce2)
        * Splash.c: add nxagentHaveSplashWindow helper (2cddd5c5e)

2020-01-18 Ulrich Sibiller

        * Splash.c: center logo (7b669d7e0)

2020-01-17 Ulrich Sibiller

        * Splash.c: fix syntax error in TEST mode (b1b02fe1c)

2020-01-14 Ulrich Sibiller

        * xkb/xkbUtils.c: add link to bugreport (3053d7a80)

2020-01-11 Ulrich Sibiller

        * Xext: rename saver's EventType to SaverEventType. (ad90098f1)
        * Xext: Fix cursor reference counting hazard. (238a4b681)

2020-01-27 Ulrich Sibiller

        * Render.c: describe function purpose (192112d88)

2020-01-09 Ulrich Sibiller

        * Render.c: replace two while loops by shorter for loops (919e4fad3)
        * Rootless.c: undo overzealous scope improvement (39bf8d9d7)

2020-01-08 Ulrich Sibiller

        * nxagent: simplify nxagentFreeRegion macro (dfb18f8fe)
        * Drawable.c: get rid of goto code in nxagentSynchronizeDrawableData
          (cc8d8f72d)
        * Drawable.c: refactor nxagentSynchronizeDrawableData (beef0cd99)
        * Screen.c: formatting fixes (066385757)

2020-01-07 Ulrich Sibiller

        * nxagent: Free atom map on termination (66eea14c2)

2020-01-29 Ulrich Sibiller

        * Atoms.c: refine comment on NX_CUT_BUFFER_SERVER (18439f55a)

2020-01-07 Ulrich Sibiller

        * Atoms.c: scope improvements (c49e41a4d)
        * Atoms.c: remove unused return value of nxagentInitAtomsMap
          (e7cf23ba7)
        * Atoms.h: reformat comments (6136c49a0)
        * Atoms.c: always duplicate strings before storing them in
          privAtomMap (bed0d6ce2)
        * Atoms.c: some code cleanup (8a5c1d3d8)
        * Atoms.c: add missing free (2594ca998)
        * Atoms.c: remove one obsolete FIXME (85d0717b0)

2020-01-08 Ulrich Sibiller

        * Screen.c: spelling fix (27e8913a5)

2020-01-09 Ulrich Sibiller

        * Events.c: simplify nxagentInternalWindowsTree (0d3546fbf)

2020-01-08 Ulrich Sibiller

        * Events.c: Whitespace fix (0c45fe046)
        * os: remove CYGWIN remnants (bd9ada59b)

2020-05-07 Mike Gabriel

        * Merge branch 'uli42-pr/use_nxdialog' into 3.6.x (424c0e8ee)

2020-05-05 Ulrich Sibiller

        * Use nxdialog as nxclient replacement (46c8dce9a)

2020-05-07 Mike Gabriel

        * Merge branch 'uli42-pr/drop_nxwin' into 3.6.x (db105546c)

2020-01-30 Ulrich Sibiller

        * remove obsolete pending patches (1796f8233)
        * Drop patch that is for nxwin only (acab90be7)

2020-01-29 Ulrich Sibiller

        * Makefiles: drop support for NXwin (40997f84c)

2020-05-07 Mike Gabriel

        * Merge branch 'uli42-pr/refactor_timeout' into 3.6.x (f2dc8121d)

2020-01-16 Ulrich Sibiller

        * Screen.c: activate fallback to dix blanking (fde52a9b7)
        * Screen.c: document nxagentSaveScreen (567e700b1)
        * nxagent: remove now-obsolete own copies of ScreenSaver procs
          (ae94215d0)
        * nxagent: re-implement timeout handling (46ec00366)

2020-01-30 Mike Gabriel

        * release 3.5.99.23 (82fc54e57) (tag: 3.5.99.23)
        * debian/libnx-x11-6.symbols: Sync with .symbols file found in
          official Debian package. (bd5b20192)
        * debian/rules: Adopt changes from official Debian package.
          (deffba48d)
        * Merge branch 'uli42-pr/fix_shadowed_vars' into 3.6.x (c8d69ebae)

2020-01-25 Ulrich Sibiller

        * nxagent: rename variables that shadow globals (4821edfe0)
        * Events.c: fix capslock weirdness (re-add lost code) (2adab2972)

2020-01-09 Ulrich Sibiller

        * compext/Clean.c: fix shadow warnings / scope (870746222)
        * os: Fix -Wshadow errors (a94e8258f)
        * mi: fix shadow warnings (4b8194e1e)
        * _XkbFilterDeviceBtn: move variable declarations to match usage
          scope (1a1ace774)
        * XkbFindSrvLedInfo: remove extraneous name-clashing sli variable
          (914f88a8a)
        * xkb: fix shadow warnings (ae180b6b5)
        * CheckForEmptyMask does not need to declare int n twice (3c3e11cb0)

2020-01-08 Ulrich Sibiller

        * Drawable.c: fix logic broken by scope cleanup (fbfef7e62)

2020-01-09 Ulrich Sibiller

        * Cursor.c: drop unused return code for nxagentDisconnectAllCursor
          (32b64d7d7)
        * Pixmap.c: drop unused return code for nxagentDisconnectAllPixmaps
          (33fbc6211)
        * Pixmap.c: fix variable shadowing (7977b9f8f)
        * Display.c: fix shadowed/unused variable (a93e25077)
        * Events.c: fix two shadowed variables (7031219d9)
        * Clipboard.c: fix shadowed variable (c137c2a4d)
        * nxagent: build with -Wshadow to detect shadowing variables
          (4953c651d)
        * Drawable.c: fix segfault (21079cf31)

2020-01-08 Ulrich Sibiller

        * Rootless.c: fix wring datatype being used (105cd2be6)

2020-01-06 Mike Gabriel

        * hw/nxagent/Splash.c Fix build on 32bit architecture. (bb9ac3fd3)
        * Merge branch 'uli42-pr/various3' into 3.6.x (67599026d)

2019-12-16 Ulrich Sibiller

        * Atoms.c: describe atoms usage (cf8797c3c)
        * Atoms.c: describe atoms usage (d2ac4ce35)

2020-01-05 Ulrich Sibiller

        * Display.c: Fix broken code in TEST case (bf9b70d7b)

2020-01-04 Ulrich Sibiller

        * Image.c: undo wrong string replacement nxagentBitmapBitOrder
          (bf958eced)
        * Display.c: add a describing comment for
          nxagentDisplayErrorPredicate (61619be52)
        * Screen.c: harmonize size/wmhints code (209c8d8c5)
        * Events.c: pass a Boolean to nxagentSwitchFullscreen (4b9466ff5)
        * Keystroke.c: fix formatting of keystrokes (e276b23b3)
        * Init.h: Fix superfluous space (14aab54f4)

2020-01-03 Ulrich Sibiller

        * Display.c: reformat some comments (52cefdd7e)
        * Display.c: scope improvements (141d6bea5)

2020-01-02 Ulrich Sibiller

        * Reconnect.c: fix typos (892804811)
        * Keyboard.c: improve keyboard output (cdd381105)

2019-12-29 Ulrich Sibiller

        * Error.c: mark NX changes (cfa17ffac)
        * Keyboard.c: fix typo (100b27892)
        * Remove the numVideoScreens xprintism. (b8b897e3f)
        * nxagent: remove another xprint renmant (12358d64a)
        * drop xprint remnants: xpstubs (662708b3d)

2019-12-28 Ulrich Sibiller

        * nxagent: drop CYGWIN and WIN32 defines (2c03bd793)
        * Image.c: code simplification/scope (f3aca240d)
        * Screen.c: code simplification/scope (203891d11)
        * Screen.c: fix handling of NX_SHADOW atom (a6335cf3d)
        * Screen.c: drop variable (c6a2fda07)
        * Window.c: code simplifications/scope (576255425)
        * Window.c: fix comment (aa0662bbd)

2019-12-19 Ulrich Sibiller

        * Rootless.c: fix wording (d2f694360)

2019-12-18 Ulrich Sibiller

        * X.Org bug 4947/Sun bug 6646626: Xv extension not byte-swapping
          properly (f5348bdc4)

2019-12-17 Ulrich Sibiller

        * NXproperty.c: simplify ChangeWindowProperty (a894fa8bd)
        * Events.c: improve debugging output (11d9b74b6)

2018-11-07 Ulrich Sibiller

        * os: unifdef WIN32 (d409b566b)
        * os: unifdef UNIXWARE (74270d6b7)
        * os: unifdef __SCO__ (38ab9ad85)
        * os: unifdef ISC (5fb7f53c6)

2019-12-03 Ulrich Sibiller

        * NXdispatch.c: port forgotten patch (bccf81ea0)
        * NXDispatch.c: mark NX changes (25677711b)

2019-05-03 Ulrich Sibiller

        * NXdispatch.c: cleanup ProcCloseFont() (2b9a6ddc2)
        * NXdispatch.c: add FIXME (51e60ada3)

2019-12-03 Ulrich Sibiller

        * xkbsrv.h: drop non-existing externs (e9ee4505a)

2019-05-25 Ulrich Sibiller

        * NX{mitrap,picture}.c: mark NX changes (7c1bd6f52)

2019-12-03 Ulrich Sibiller

        * Pointer.c: code simplification (66f0a85e9)
        * Pointer.c: use __func__ in fprintf (759f89aa2)
        * xkbsrv.h: move extern XkbFreePrivates to central include file
          (e9ee5a007)
        * xkbActions.c: fix formatting (3d77840c1)

2019-06-10 Ulrich Sibiller

        * Window.c: print internal window id as well (047b7ff21)

2019-12-03 Ulrich Sibiller

        * mi: Avoid stack smash when drawing dashed lines (d3ae4a0ed)

2020-01-06 Mike Gabriel

        * nx-libs.spec: Don't install nxagent.xpm to any package. Not there
          anymore.. (5a8f1e921)
        * (main) Makefile: Don't install nxagent.xpm during install-full
          target. (fa2f21ec0)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/more_clipboard_improvements' into 3.6.x
          (e89fb895a)

2019-12-17 Ulrich Sibiller

        * Clipboard.c: cleanup parentheses (30fb45b2a)
        * Clipboard.c: extend/reformat some comments (d634f26bb)

2019-12-16 Ulrich Sibiller

        * Clipboard.c: rename variables/atoms to better reflect their meaning
          (d210c584c)
        * Clipboard.c: add clientCLIPBOARD variable (40c243fd2)
        * Clipboard.c: change order of if clause to better match the comment
          above it (ee5cf733f)
        * Clipboard.c: CLINDEX and GetXErrorString are only used for
          debugging (84382e916)
        * Clipboard.c: flush more often to ensure a smooth clipboard
          experience (7cda10124)
        * Clipboard.c: fix handling of clipboard=none/client/server/both
          option (65877a199)
        * Options.h: comment on the four clipboard options (80ab8932d)

2019-11-22 Ulrich Sibiller

        * Clipboard.c: Use Find*Index helpers at more locations (68125b06e)
        * Clipboard.c: cosmetics/typo fix/untabify (feedae86b)
        * Clipboard.c: introduce helper macro IS_INTERNAL_OWNER (6c0536a20)

2019-11-21 Ulrich Sibiller

        * Clipboard.c: simplify nxagentSetSelectionOwner (2b59a1993)
        * Clipboard.c: describe nxagentFind*Index (15ef70874)

2019-11-18 Ulrich Sibiller

        * Clipboard.c: reorder nxagentInitClipboard (5d1577abe)
        * Clipboard.c: clear all selections in nxagentInitClipboard
          (634d4fc81)
        * Clipboard.c: Fix: re-claim selection on reconnect (20120205b)
        * Clipboard.c: reorder atom allocation code (8500b4bc0)
        * Clipboard: align reported targets (7d9c5ad4d)

2019-11-17 Ulrich Sibiller

        * Clipboard.c: check pointer before usage (509ae051b)
        * Clipboard.c: drop superflous variable (eb51bcb6d)
        * Clipboard.c: split combined check (8574c233a)
        * Clipboard.c: more debugging output (28f07b526)
        * Clipboard.c: add more explaining comments (1d0d54730)
        * Clipboard.c: use macros instead of hardcoced values for timeouts
          (166102e07)
        * Clipboard.c: fix timeout comparison (f05a2eca5)
        * Clipboard: make nxagentInitClipboard return a Boolean (b2af0c686)
        * Clipboard.c: avoid nested extern (fa7fb7499)
        * Clipboard.c: fix string formatting directives (8c36f1dd2)
        * Clipboard.c: Fix formatting (3a935c674)
        * Clipboard.c, NXproperty.c: match prototypes (cc01d4992)
        * Clipboard.c: reformat some comments (ffce5337d)
        * Clipboard.c: add FIXMEs (9226abf66)
        * Clipboard.c: add nxagentMatchSelectionOwner helper function
          (5540a1492)
        * Clipboard.c: make agentClipboardStatus a Boolean (1feb4985e)
        * Clipboard.c: refactor nxagent*SelectionOwner (fba367160)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/strings_fixes' into 3.6.x (057ce728f)

2020-01-05 Ulrich Sibiller

        * Error.c: simplify some NULL pointer checks (80b6d6b9c)

2019-12-29 Ulrich Sibiller

        * Error.c: drop now obsolete DEFAULT_STRING_LENGTH (1d50b2ab3)
        * Error.c: make nxagentRootDir a pointer (609b23f19)
        * Error.c: make nxagentHomeDir a pointer (d6cc85e56)
        * Error.c: make nxagentClientsLogName a pointer (03544b3ab)
        * Error.c: fix format-truncation warning (2a4af0c74)
        * Dialog.c: fix format-truncation warning (ce43e4346)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/custom_version_string' into 3.6.x
          (46ef20bdb)

2017-12-15 Ulrich Sibiller

        * Add support for custom version string (ec1b3a44c)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/xlib_types' into 3.6.x (04962efa9)

2019-12-28 Ulrich Sibiller

        * nxagent: Use XlibAtom data type where appropriate (427b7b977)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/code_cleanup' into 3.6.x (a261b7243)

2019-10-31 Ulrich Sibiller

        * Pixels.c: reformat comments (adca0cc92)
        * Pixels.c: scope improvements (fc991b93a)
        * Options.h: reformat (6a02a6795)
        * Options.c: reformat comments (78bb80a84)
        * Pointer.c: scope improvements (024a2bc2e)
        * Pointer.c: reformat comments (c9549f3c9)
        * Visual.{ch}: disable unused code (22f01d23a)
        * Visual.c: reformat comments (1bb0e999e)
        * Visual.c: code improvements/desginated initializers (5db6217cc)
        * Split.c: scope improvements/code simplification (bcca31996)
        * Split.c: reformat comments (53b3d4df3)

2019-09-06 Ulrich Sibiller

        * Keyboard.c: code simplification / scope improvements (cb283d4aa)
        * Keyboard.c: reformat comments (58415b560)
        * Init.c: rewrite two function prototypes (e3b440547)
        * Init.c: reformat comments (c5c821482)
        * Handlers.c: reformat comments (d87988aa2)
        * GCOps.c: code simplification / scope improvements (8e66435a5)
        * GCOps.c: reformat comments (41bc1de98)
        * GC.c: blank line cleanup (193bda764)
        * GC.c: code simplifications / scope improvements (da60cb8ca)
        * GC.c: reformat comments (fb03e31e5)
        * Font.c: scope improvements (5b3af0182)
        * Font.c: reformat comments (7f636648c)
        * Error.c: Code simplification (6d783bac2)
        * Drawable.c: code simplifications / scope improvements (d94f47274)
        * Drawable.c: reformat comments (0133d4619)
        * Display.c: remove blank lines (827defa14)
        * Display.c: code simplification, scope improvements (462ad036e)
        * Display.c: reformat comments (88e3a37ad)

2019-09-05 Ulrich Sibiller

        * Dialog.c: use designated initializer (7e8f638a9)
        * Dialog.c: shorten switch blocks (fab0e477e)
        * Composite.c: scope improvement (883654741)
        * Composite.c: reformat comments (dbe3cc1f7)
        * Client.c: remove tailing whitespace (560b7c6c2)
        * BitmapUtils.c: remove tailing whitespace (ab7113b79)

2019-10-30 Ulrich Sibiller

        * Cursor.c: use __func__ in fprintf calls (5275d2d03)

2019-09-05 Ulrich Sibiller

        * Cursor.c: remove some blank lines (631092bb0)
        * Cursor.c: scope improvements (e72e2375f)
        * Image.c: remove some blank lines (129c8621f)
        * Image.c: scope improvements (5d3029a6c)
        * Image.c: reformat comments (f469ac534)

2019-10-30 Ulrich Sibiller

        * Events.c: fix format specifiers (e74eb7652)
        * Event.c: use __func__ in fprintf (8dbfc1e45)

2019-09-05 Ulrich Sibiller

        * Events.c: use designated initializers (d501d48c3)
        * Events.c: Scope improvements/code simplification (9358eaedc)
        * Events.c: reformat switch blocks (ad89c7055)
        * Events.c: reformat comments (36f679fb3)

2019-05-26 Ulrich Sibiller

        * miwindow.c: mark NX changes (f48e2da3e)

2019-10-28 Ulrich Sibiller

        * NXmitrap.c: mark NX changes (1bd78de58)

2019-10-23 Ulrich Sibiller

        * Binder.c: reformat comments (8b796ee54)
        * Handlers.c: reformat comments (19ba07472)
        * Image.c: reformat comments (9b1e29937)

2019-10-22 Ulrich Sibiller

        * Error.c: reformat comments (24cb46d24)
        * Display.c: reformat comments (b1d156888)
        * Dialog.c: save some lines (838572f7b)
        * Cursor.c: reformat comments (5067b1695)
        * Colormap.c: save some lines (ace3d2d89)
        * Client.c: save some lines (fae611c91)
        * GC.c: condense code (bbb23e586)
        * GC.c: reformat comments (c3a7e9b50)
        * GC.c: fix format specifiers and parameters (e0e602cf1)
        * GCOps.c: fix format length specifiers (9d1a12134)
        * GCOps.c: reformat comments (b9a4dea51)
        * Display.c: shorten code (7860401b0)

2019-10-23 Ulrich Sibiller

        * Binder.c: scope improvements (44138137b)
        * Image.c: scope improvements (d86cb00b6)

2019-10-22 Ulrich Sibiller

        * Error.c: scope improvements (d62155740)
        * Cursor.c: scope improvements (f0742c7fa)
        * GC.c: scope improvements (53f4386b9)
        * GCOps.c: scope improvements (95940104a)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_nxrender' into 3.6.x (0e2b7479c)

2019-05-31 Ulrich Sibiller

        * NXrender.c: call upstream versions of (S)ProcRenderDispatch
          (3bc01d1b8)

2019-05-25 Ulrich Sibiller

        * NXrender.c: modify code to match upstream as close as possible
          (e5a93849b)

2019-10-28 Ulrich Sibiller

        * NXrender.c: mark NX changes (5b6da1aa7)

2019-05-31 Ulrich Sibiller

        * NXrender.c, render.c: fix memory handling bugs (730876f8f)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/fix_keyconv_on_reconnect' into 3.6.x
          (60e0566d8)

2020-01-03 Ulrich Sibiller

        * nxagent: remove additional keyboard handling from Reconnect.c
          (6f390f820)
        * nxagent: central check for keyboard clone mode (a59020b1d)

2020-01-02 Ulrich Sibiller

        * Args.c: more debug output (69443952b)
        * Args.c: do not parse nx/nx marker as option (925f58992)
        * Args.c: fix: do not modify options string (ee3afe303)
        * Keyboard.c: scope cleanups (8fa4d842d)
        * Keyboard.c: Use __func__ at fprintf calls (15bfec7a5)
        * Keyboard.c: use "\0" instead of "0" (4c8568caa)
        * Keyboard.c: fix: handle empty string (bbe2c2ab9)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/drop_icon_file_support' into 3.6.x
          (cf24c658a)

2020-01-03 Ulrich Sibiller

        * Display.c: drop icon file support (3cd622cf4)

2020-01-05 Mike Gabriel

        * Merge branch 'uli42-pr/fix_startup_slowness' into 3.6.x (475961e65)

2020-01-05 Ulrich Sibiller

        * nxagent.xpm: reduce colours from 242 to 8 (72af2d5e1)
        * x2goagent.xpm: move copyright to the end to make it a valid xpm
          file (86d2dcf09)

2019-11-24 Mike Gabriel

        * Merge branch 'uli42-pr/manpages_updates' into 3.6.x (226be98c8)

2019-11-18 Ulrich Sibiller

        * nxagent manpage: improve descriptions and types (16c18714b)
        * nxagent manpage: extend clipboard documentation (408cfc390)

2019-11-23 Mike Gabriel

        * Merge branch 'uli42-pr/silence_mesa' into 3.6.x (15647323c)

2019-11-18 Ulrich Sibiller

        * Mesa: silence "maybe uninitialized" warnings (585334183)

2019-11-15 Mike Gabriel

        * Merge branch 'uli42-pr/utf8_clipboard' into 3.6.x (a040e73ab)

2019-11-15 Ulrich Sibiller

        * Clipboard.c: report more supported targets (cfaf59728)
        * Clipboard: fix debugging output (9681d039c)
        * Clipboard.c: automatically calc the array size (a41e23c06)
        * Clipboard.c: improve XChangeProperty code (2161fa2bd)

2019-11-15 Mike Gabriel

        * Merge branch 'uli42-pr/cleanup_rootless' into 3.6.x (6f5e483cd)

2019-10-30 Ulrich Sibiller

        * Rootless.c: rewrite loop to allow for scope improvements
          (4579207e6)
        * Rootless.c: fix linefeeds when printing lists (c75cdd100)
        * Rootless.c: silence compiler warning about wrong parmeter sizes
          (9e5d72c0e)
        * Rootless.c: disable unused function (63f6c1e70)
        * Rootless.c: silence compiler warnings about wrong fromat specifiers
          (e319268ae)
        * Rootless.c: Fatal error if malloc fails (917d4b3c5)

2019-10-28 Ulrich Sibiller

        * Rootless.c: cleanup function prototypes (4ebd5fcd3)
        * Rootless.c: reformat comments (6d62b2c02)
        * Rootless.c: scope improvements (0f7c5e2a7)
        * Rootless.c: use __func__ instead of hardcoded function name
          (41f6f3eec)
        * Rootless.c: use designated initializers (a43c50bb2)

2019-11-15 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_pixmap' into 3.6.x (1664e1051)

2019-10-29 Ulrich Sibiller

        * Pixmap.c: reformat comments (bc42d11f9)
        * Pixmap.c: scope improvements (ec1aac45e)
        * Pixmap.c: drop code that does not make sense (6c44480de)

2019-06-11 Ulrich Sibiller

        * Pixmap.c: call miModifyPixmapHeader twice instead of duplicating
          code (0535c49ca)

2019-11-15 Mike Gabriel

        * Merge branch 'uli42-pr/args_fixes' into 3.6.x (db74c07e6)

2019-10-28 Ulrich Sibiller

        * Args.c: reformat switch blocks (6ef35a94e)
        * Args.c: Unify formatting (1dd8276fb)
        * Args.c: do not print function name in errors or warnings
          (e9eb3bef2)
        * Args.c: scope improvements (484691334)

2019-06-22 Ulrich Sibiller

        * Args.c: simplify options string allocation (5bb948660)
        * Args.c: fix clipboard=0 or -clipboard 0 (0755f3d6c)
        * Args.c: remove unreachable code (500683ab5)
        * Args.c: fix unitialized variable (773fdb6a8)

2019-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_glxext' into 3.6.x (1ae0ceb7c)

2019-05-01 Ulrich Sibiller

        * NXglxext.c: use upstream versions of Dispatch functions (f3bddad4c)

2019-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_nxwindow' into 3.6.x (eb8c16ef9)

2019-05-01 Ulrich Sibiller

        * NXwindow.c: use upstream function DeleteWindow() (7675af8e1)

2019-09-01 Ulrich Sibiller

        * NXwindow.c: call InitRootWindow from dix (cf0571bb4)

2019-10-28 Ulrich Sibiller

        * NXwindow.c: mark NX changes (5327a85b7)
        * NXwindow.c: drop own UnmapWindow() (aab723eab)

2019-05-01 Ulrich Sibiller

        * NXwindow.c: call upstream version UnmapWindow() (40a4fae66)

2019-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_nxglyph' into 3.6.x (5f806ddfd)

2019-06-12 Ulrich Sibiller

        * NXglyph.c: mark NX changes (fcbd27105)

2019-05-22 Ulrich Sibiller

        * NXglyph.c: adapt FindGlyph() to better match render/glyph.c
          (67b03f5d5)
        * NXglyphcurs.c: use dixChangeCG() (73f88998a)

2019-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_nxxvdisp' into 3.6.x (03d31d2ab)

2019-05-01 Ulrich Sibiller

        * Simplify (NX)xvdisp.c (280cf1264)

2019-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_nxdispatch' into 3.6.x (fdd1e538b)

2019-10-28 Ulrich Sibiller

        * NXdispatch.c: mark NX changes (0fb6af25c)

2019-05-03 Ulrich Sibiller

        * NXdispatch.c: simplify InitClientPrivates() (c61ac23f2)
        * NXdispatch.c: call upstream CloseDownClient() (24c42813d)
        * NXdispatch.c: Simplify InitSelections() (c02ab70ef)

2019-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_nxextension' into 3.6.x (718a58fb1)

2019-10-28 Ulrich Sibiller

        * nxagent: drop NXextension.c (e54d2a390)

2019-05-05 Ulrich Sibiller

        * NXextension.c: use ProcListExtensions() from dix (9120d1b72)
        * NXextension.c: use ProcQueryExtension() from dix (8e9e77665)

2019-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_nxshm' into 3.6.x (d6872d4e0)

2019-05-30 Ulrich Sibiller

        * NXshm.c: call upstream miShmPutImage (6fd0ffc99)

2019-05-01 Ulrich Sibiller

        * NXshm.c: use upstream versions of Dispatch functions (a9bdfd217)
        * NXshm.c: rework code to be identical for ProcShmDispatch and
          SProcShmDispatch (e755e6600)

2019-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/drop_holders' into 3.6.x (7afe95535)

2019-10-23 Ulrich Sibiller

        * nxagent: drop Holder.[ch] (dbf36ece3)
        * Drop unused placeholder code (cbc9f831c)

2019-11-01 Mike Gabriel

        * Merge branch 'uli42-pr/fix_broken_damage' into 3.6.x (7b63809ae)

2019-10-30 Ulrich Sibiller

        * Drop NXdamage.c (2a0994122)
        * damage: Don't rewrite Text ops to GlyphBlt ops (83d9cd4e9)
        * NXdamage.x fix wrong backport (ca7c1c861)

2019-11-01 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_nxevents' into 3.6.x (753535e39)

2019-10-28 Ulrich Sibiller

        * NXevents.c: add some explanations from the original changelog
          (283e4523a)
        * NXevents.c: use XYToWindow from dix (6ed435e44)

2019-05-22 Ulrich Sibiller

        * NXevents.c: call upstream ProcAllocEvents() (f887d428c)
        * NXEvents.c: mark NX specific code (582618af8)
        * NXevents.c: call upstream DefineInitialRootWindow() (4c5331afa)
        * NXevents.c: call upstream version of ProcSendEvent() (b64e1f60b)

2019-05-05 Ulrich Sibiller

        * NXevents.c: call upstream versions of (De)ActivatePointerGrab()
          (a66037786)

2019-11-01 Mike Gabriel

        * Merge branch 'uli42-pr/work_on_xau' into 3.6.x (bdcb5a188)

2019-10-04 Ulrich Sibiller

        * Xau files: adapt code to match upstream libXau 1.0.9 (c590c6472)
        * AuRead.c: remove redundant null check on calling free() (5929dfdeb)
        * AuRead.c: whitespace cleanup (9deebfc8f)
        * Xau: mark NX changes (a7355c5c8)

2019-10-19 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_rebuild' into 3.6.x (e721ba296)

2019-09-28 Ulrich Sibiller

        * nxagent/Imakefile: remove ../../exports/lib (b55c66e8a)

2019-10-10 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_fullscreen_memleak' into 3.6.x
          (c68a579eb)

2019-10-03 Ulrich Sibiller

        * Screen.c: cleanup code a bit (646e3ce24)
        * Screen.c: fix a memleak (8482abd31)

2019-10-10 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_segfault' into 3.6.x (994305ff4)
          Fixes:
          ArcticaProject/nx-libs#847

2019-10-03 Ulrich Sibiller

        * Fix segfault in argument parsing (dc7a78b45)

2019-09-29 Mike Gabriel

        * Merge branch 'uli42-pr/clipboard_overhaul' into 3.6.x (5405447e5)

2019-08-09 Ulrich Sibiller

        * Clipboard.c: rename nxagentNotifySelection to
          nxagentHandleSelectionNotifyFromXServer (72c022406)

2019-08-08 Ulrich Sibiller

        * Clipboard.c: fix nested clipboard handling (6663cbe68)
        * Clipboard.c: add some more FIXMEs (ae44a8cd5)
        * Clipboard.c: drop old commented code (899339f5a)
        * Clipboard.c: fix: translate target on transfer (21598c7e2)
        * Clipboard.c: flush the display during transfer phase (b5cac6722)
        * Clipboard.c: remove superflous return (4db1172ae)
        * Clipboard.c: drop unneeded return code (1c36e49ad)
        * Clipboard.c: add loads of comments (bf87f8bbe)
        * Clipboard.c: rework debug prints (e985f7111)

2019-08-06 Ulrich Sibiller

        * Clipboard.c: translate internal to external atom (92ad24a3b)

2019-08-05 Ulrich Sibiller

        * Clipboard.c: remove unneccessary return (9a144136d)
        * Clipboard.c: whitespace fixes (1bf68e328)
        * Clipboard.c: improve readability by using an if clause (a6c57d6ff)
        * Clipboard.c: introduce nxagentInitSelectionOwner (249e4321c)
        * Clipboard.c: scope improvements (b393bca69)
        * Clipboard.c: Refactor nxagentCollectPropertyEvent (cb3e44a17)
        * Clipboard.c: cleanup in nxagentRequestSelection (9006e19aa)
        * Clipboard.c: use designated initializers where appropriate
          (6f071341b)
        * Clipboard.c: factor out nxagentReplyRequestSelection (1af01db33)
        * Clipboard.c: TIMESTAMP is a special server target (5e2487108)
        * Clipboard.c: introduce macros CLINDEX and WINDOWID (f99f52772)
        * Clipboard.c: simplify nxagentGetClipboardWindow (63320437e)
        * Clipboard.c: drop serverCLIPBOARD (1d05784b4)
        * Clipboard.c: clientAccum is only used for debugging, add DEBUG
          ifdefs (e34f152c9)
        * Clipboard.c: rename some variables (98a0810ff)
        * Clipboard.c: introduce nxagentFind*Index functions (5de8bac22)
        * Clipboard.c: introduce nxagent{Clear,Store}SelectionOwner
          (79867f4a0)

2019-08-04 Ulrich Sibiller

        * Clipboard.c: Fix: report timestamps as XA_INTEGER (6621c53c5)
        * Clipboard.c: improve TARGETS request handling (6d5cda478)
        * Clipboard.c: merge endTransfer and nxagentSendSelectionNotify
          (25cbfd14f)
        * Clipboard.c: introduce SendSelectionNotifyEventToClient helper
          (7d0683701)

2019-08-03 Ulrich Sibiller

        * Clipboard.c: introduce SendEventToClient helper (c233eec5f)
        * Clipboard.c: introduce SendSelectionNotifyEventToServer (2ee7626a6)
        * Clipboard.c: introduce central function to abort the transfer
          (bc997cf64)
        * Clipboard.c: do not send notify when pointer is NULL (f14e80077)

2019-09-29 Mike Gabriel

        * Merge branch 'uli42-pr/various2' into 3.6.x (3a3a3373c)

2019-09-19 Ulrich Sibiller

        * nxcompshad: delete trailing whitespace (085f8a4f6)

2019-09-18 Ulrich Sibiller

        * nxcompshad: fix logging segfault (506378cf2)

2019-09-06 Ulrich Sibiller

        * GC.c: introduce helper macros for GC management (df9d37da5)

2019-09-05 Ulrich Sibiller

        * Events.c: drop unused function (9693d8b98)

2019-09-06 Ulrich Sibiller

        * Holder.c: remove superflous return (9512e6451)
        * Keyboard.c: condense keycode conversion table (bf700ec9e)
        * Display.c: fix format (2682c9407)
        * Font.c: add FIXME (f6cdd0f92)

2019-09-05 Ulrich Sibiller

        * Image.c: fix indentation (0a8027135)
        * Events.c: add nxagentSwitchEventsAllScreens helper (602d4b82b)
        * Trap.h: shorten file (15ac7a809)
        * nxagent: move atom initiatialization to Init.c (f323ada3c)
        * Events.c: whitespace fixes (4fa0ea268)
        * Render.c: remove some more unused functions (8fc7a8057)
        * Render.c: remove lots of superflous empty lines (fd274d058)
        * Render.c: reformat comments (1a9d96e07)
        * Render.c: Code simplifications (56aaea90b)
        * Render.c: remove empty lines around XSync calls (6275bbc6f)
        * Render.c: make nxagentPrintFormat a NOP in normal mode (45f6e41c4)
        * nxagent: simplify nxagentRenderRealizeCursor (7d8323a4a)

2019-09-01 Ulrich Sibiller

        * Render.c. simplify nxagentMatchingFormats (7ca51c529)
        * Render.c: fix broken comment (087b082c7)

2019-09-05 Ulrich Sibiller

        * Render.c: drop unused nxagentDestroyPictureClip (1c019bd1f)

2019-09-01 Ulrich Sibiller

        * Render.c: drop unused nxagentRasterizeTrapezoid (59ea22458)
        * Render.c: drop unused nxagentValidatePicture (8aac9b617)
        * Init.c: some scope improvements (2f2a8ee00)
        * Screen.h: add missing prototype for
          nxagentPropagateArtsdProperties() (c6498ddb7)
        * Atoms.[ch]: drop unused return code of nxagentInitAtoms()
          (82c096ee2)

2019-07-04 Ulrich Sibiller

        * Events.c: scope improvements (39866f5c1)

2019-08-03 Ulrich Sibiller

        * Clipboard.c: whitespace fixes (1920599e1)

2019-08-01 Ulrich Sibiller

        * NXdixfonts.c: use NXAGENT_SERVER instead of NX_TRANS_SOCK
          (4d3bd06ce)
        * nxagent: avoid nested externs (b1850beb9)
        * xkb: replace NX_TRANS_SOCKET by NXAGENT_SERVER (7d2a222f2)
        * Screen.c: fix wrong format character (71fca41ff)

2019-07-31 Ulrich Sibiller

        * Window.c: reactivate disabled debug code (c54feb0bd)
        * Screen.c: fix typo (84867ad0f)
        * Screen.c: improve readability (a514a7e29)
        * Imakefile: make NXAGENT_RANDR_MODE_PREFIX configurable via macro
          (a91e34a8a)
        * Imakefile: Cleanup defines (3b94b9c64)

2019-07-29 Ulrich Sibiller

        * Colormap.c: Formatting and scope improvements (e2fa4f5c4)
        * Screen.c: fix typo in TEST output (19267ddf4)

2019-07-26 Ulrich Sibiller

        * Screen.c: scope improvements (c36efbd37)

2019-07-25 Ulrich Sibiller

        * Pixels.c: scope improvements (fc7cb8657)
        * Colormap.c: scope improvements (f8a1f79b3)

2019-07-24 Ulrich Sibiller

        * NXproperty.c: prevent deletion of NX_AGENT_VERSION property
          (8f609404c)

2018-05-05 Ulrich Sibiller

        * Split.c: whitespace fixes (9dca2c598)

2019-07-23 Ulrich Sibiller

        * Screen.c: code cleanup (cccb25fa7)
        * Screen.c: fix: use bit operator, not logic operator (17e0265a4)
        * Atoms.c: remove unused parameter from nxagentInitAtoms (b8751fca8)
        * Atoms.c: code cleanup (1f71a75f5)
        * Atoms.c: fix wrong variable reference (a61102b62)
        * Atoms.c: add FIXME (6dd6e695a)

2018-11-09 Ulrich Sibiller

        * Events.c: code improvements (mainly scope) (2fbefa708)
        * code-versions.txt: adapt os version information (9da26af35)

2018-11-07 Ulrich Sibiller

        * code-versions.txt: Update composite version (db0187b05)

2018-11-08 Ulrich Sibiller

        * {render,randr}/Imakefile: remove hw/kdrive from include path
          (3a581f165)

2019-06-21 Ulrich Sibiller

        * NXrender.c: fix possible memory leak (59f1d3737)

2019-06-24 Ulrich Sibiller

        * Clipboard.c: fix wrong variable being printed in debugging output
          (157c8c7f3)
        * NXdispatch.c: replace hardcoded values by variables from
          Clipboard.c (084d9cb54)

2019-07-02 Ulrich Sibiller

        * Update currentTime in dispatch loop (7a2836f8d)
        * Events.c: fix wrong size in format specification (2589a1349)

2019-07-03 Ulrich Sibiller

        * nxagent: drop unused DisplayLatency (41e1d4961)

2019-06-30 Ulrich Sibiller

        * NXproperty.c: reformat GetWindowProperty to increase readability
          (c539e0ca5)
        * Events.c: identify internal root window in
          nxagentInternalWindowInfo (7fa6c8808)
        * Events.c: add FIXME (94c7091bc)
        * Events.c: fix wrong returncode interpretation (7404d2178)
        * Events.c: shorten window tree debugging code (3d37db071)
        * Events.c: fix write after buffer end (022d64d2a)
        * Events.c: nxagentInternalWindowInfo is only called with DEBUG_TREE
          (061f7dc9f)

2019-07-05 Ulrich Sibiller

        * Atoms.c: fix wrong fprintf format (0153bf6b7)

2019-09-29 Mike Gabriel

        * Merge branch 'uli42-pr/drop_faulty_render_check' into 3.6.x
          (796c8e421)

2019-09-01 Ulrich Sibiller

        * nxagent: drop nxagentRenderTrap (5aee32e9d)

2019-09-29 Mike Gabriel

        * Merge branch
          'sunweaver-pr/add-autograb-to-known-keystrokes-printout'
          into 3.6.x (c577775f9)

2019-09-17 Mike Gabriel

        * Keystroke.c: Grammar fix in stdout message (Current known ->
          Currently known). (4819712a9)

2019-08-27 Mike Gabriel

        * release 3.5.99.22 (57d3a42c2) (tag: 3.5.99.22)
        * debian/copyright: Update copyright attributions. (7d07442d7)
        * debian/{nxagent,nxdialog}.install: Move nxdialog files from
          nxagent.install to nxdialog.install. (e428e39de)
        * debian/control: Split-out nxdialog bin:pkg. (1b967c701)
        * Merge branch 'uli42-gh-sunweaver/pr/autograb-without-inputlock'
          into 3.6.x (6bca289af)

2019-08-14 Ulrich Sibiller

        * Events.c: introduce separate debug level for autograb debugging
          only (6181aa911)

2019-06-27 Ulrich Sibiller

        * Make AutoGrab work in more situations (063813d35)

2017-07-24 Mike Gabriel

        * Dialog.c: Add NXTransDialog() call for autograb toggling.
          (14d8e0a2a)

2017-05-25 Ulrich Sibiller

        * Events.c: Autograb only for windowed modes (03aa5d743)

2017-05-18 Ulrich Sibiller

        * Events.c: do not ungrab keyboard on LeaveNotify when in autograb
          mode (a4d7a04c4)
        * Events.c: improve debugging output for FocusIn/Out (6dcdc578f)

2017-04-20 Ulrich Sibiller

        * Args.c: make autograb available via options file, too. (ebfd8742c)

2017-03-16 Ulrich Sibiller

        * Args.c: Add command line option -autograb. (4eaedd002)
        * nxagent: Make autograb an nxagentOption. (8bf3429bc)

2017-03-05 Ulrich Sibiller

        * nxagent: Add autograb mode. (58183b7ce)

2019-08-27 Mike Gabriel

        * Merge branch 'uli42-pr/fix_double_free' into 3.6.x (daa50fd80)

2019-08-12 Ulrich Sibiller

        * Screen.c: initialize RandR only on startup... (a7abd45a8)

2019-08-27 Mike Gabriel

        * Merge branch 'uli42-pr/safe_free' into 3.6.x (6f80a06fb)

2019-08-16 Ulrich Sibiller

        * NXdispatch.c: move nxagentWMtimeout into the function (f39b81d31)
        * NXdispatch.c: drop currentDispatch variable (4202d5094)
        * nxagent: move nxagentWMPassed to Splash.c (60a3c9b0a)
        * nxagent: add NXAGENT_ONSTART where missing (db4c220b2)
        * nxagent: drop NXAGENT_SPLASH (0f5e873dc)
        * nxagent: rename nxagentWMStart to nxagentReadyAtom (784846317)
        * Splash.c: move some variables to Splash.c (bd002ffc5)

2019-08-15 Ulrich Sibiller

        * Splash.c: make Splash logo work with white background (-wr) mode,
          too (5bb5adc8a)
        * Splash.c: remove global variables for colors (41bfed975)
        * nxagent: drop nxagentRootTileWindow (e12983a67)
        * Splash.c: nxagentRemoveSplashWindow: drop unused parameter
          (bfb4e9ac9)

2019-08-11 Ulrich Sibiller

        * Splash.c: code cleanup (48c43c837)
        * Splash.c: drop return code of nxagentShowSplashWindow (208e58fb7)
        * Splash.c: do not wait in nxagent mode (9cd602b27)
        * dix: add whiteroot flag (8eeaa40b1)

2019-08-10 Ulrich Sibiller

        * NXwindow.c: simplify window background code (817c3c6fc)
        * nxagent: fix main window being garbled without inner windows
          (d3869aa53)

2018-05-05 Ulrich Sibiller

        * nxagent: simplify nxagentWaitEvents() (17495dd6a)

2019-06-28 Ulrich Sibiller

        * Keystroke.c: fix wrong return code (1d32e5368)
        * Events.c: add more comments and TEST output (bcbf25510)
        * Events.c: refactor nxagentHandleKeypress (e7451477e)

2019-08-27 Mike Gabriel

        * Merge branch 'uli42-pr/fix_background' into 3.6.x (8b15d574b)

2019-08-16 Ulrich Sibiller

        * NXdispatch.c: move nxagentWMtimeout into the function (3563959c0)
        * NXdispatch.c: drop currentDispatch variable (c34d1b201)
        * nxagent: move nxagentWMPassed to Splash.c (ab8015237)
        * nxagent: add NXAGENT_ONSTART where missing (b04b58bad)
        * nxagent: drop NXAGENT_SPLASH (2228513a6)
        * nxagent: rename nxagentWMStart to nxagentReadyAtom (24f392c4a)
        * Splash.c: move some variables to Splash.c (798a053b4)

2019-08-15 Ulrich Sibiller

        * Splash.c: make Splash logo work with white background (-wr) mode,
          too (074821a84)
        * Splash.c: remove global variables for colors (afebb8211)
        * nxagent: drop nxagentRootTileWindow (8fcaafab4)
        * Splash.c: nxagentRemoveSplashWindow: drop unused parameter
          (be508a447)

2019-08-11 Ulrich Sibiller

        * Splash.c: code cleanup (612cbcc43)
        * Splash.c: drop return code of nxagentShowSplashWindow (3c92d8897)
        * Splash.c: do not wait in nxagent mode (470e0bd4d)
        * dix: add whiteroot flag (a539aaa6a)

2019-08-10 Ulrich Sibiller

        * NXwindow.c: simplify window background code (c610d706b)
        * nxagent: fix main window being garbled without inner windows
          (d7d205c0d)

2019-08-16 Mike Gabriel

        * Merge branch 'uli42-pr/improve_wait_events' into 3.6.x (f24767b3c)

2018-05-05 Ulrich Sibiller

        * nxagent: simplify nxagentWaitEvents() (62573abf0)

2019-08-16 Mike Gabriel

        * Merge branch 'uli42-pr/no_keystroke_passthrough' into 3.6.x
          (7f4b50deb)

2019-06-28 Ulrich Sibiller

        * Keystroke.c: fix wrong return code (ceeb53f0c)
        * Events.c: add more comments and TEST output (b3d41485d)
        * Events.c: refactor nxagentHandleKeypress (c260ae425)

2019-07-23 Ulrich Sibiller

        * Clipboard.c: use SAFE_free (504b1400e)
        * Atoms.c: use SAFE_XFree and SAFE_free macros (4421f787d)

2019-07-22 Ulrich Sibiller

        * Keystroke.c: use SAFE_free (7d25771da)
        * GCOps.c: use SAFE_free (8080ad26a)
        * GC.c: use SAFE_free (6378d5ade)
        * Drawable.c: use SAFE_free (a9819436d)
        * Colormap.c: use SAFE_free (43e300ecd)
        * Args.c: use SAFE_free (633d04097)
        * Error.c: use SAFE_free (122fbd3e1)
        * Image.c: use SAFE_free (dde4e7636)
        * Render.c: use SAFE_free (458538010)
        * Pixmap.c: use SAFE_free (8b74ff1c1)
        * Reconnect.c: use SAFE_free (34bd0942b)
        * Keyboard.c: use SAFE_XFree and SAFE_free (fd4fa4e96)
        * Cursor.c: use SAFE_XFree (156533439)
        * Window.c: use SAFE_free and SAFE_XFree (d0a6c98cb)
        * Rootless.c: use SAFE_free and SAFE_XFree (4a826d30f)
        * Font.c: use SAFE_XFree and SAFE_free (a4700c9d0)
        * Screen.c: safe some lines by calling SAFE_XFree (d8012d2a8)
        * Events.c: safe some lines by calling SAFE_XFree (ebc2ea79f)
        * Display.c: safe some lines by calling SAFE_XFree and SAFE_free
          (b8411180e)

2019-07-23 Ulrich Sibiller

        * Utils.h: add SAFE_free macro (1330167fa)

2019-08-05 Mike Gabriel

        * release 3.5.99.21 (360cb5dd9) (tag: 3.5.99.21)

2019-06-27 Mike Gabriel

        * Merge branch 'uli42-pr/drop_ipaq' into 3.6.x (c2ca013fb)

2019-06-27 Ulrich Sibiller

        * drop onscreen keyboard support (738686685)
        * Drop Ipaq support (6bdf9c2fa)

2019-06-27 Mike Gabriel

        * Merge branch 'uli42-pr/fix_fullscreen' into 3.6.x (1ebf78519)

2019-06-27 Ulrich Sibiller

        * Screen.c: use XlibWindow so silence the compiler (032ed3511)
        * Consistently use None instead of 0 for nxagentIconWindow everywhere
          (d487d5879)
        * Screen.c: simplify nxagentMinimizeFromFullscreen (ea571387b)

2019-06-26 Ulrich Sibiller

        * nxagentMaximizeToFullScreen: only reparent if necessary (6657b8cc8)
        * Screen.c: add nxagentIsParentOf helper (d32706888)
        * Window.c: rearrange code regarding window decorations sizes
          (c190fd187)
        * Window.c: add some comments about fullscreen handling (ca54fabed)

2019-06-23 Mike Gabriel

        * Merge branch 'mjtrangoni-add-gcc-9' into 3.6.x (5858ebc6d)

2019-06-22 Mario Trangoni

        * TravisCI: Print compiler version currently used (1ffe92a6f)
        * TravisCI: move from gcc 8.x to gcc 9.x (fba18967f)

2019-06-23 Mike Gabriel

        * Merge branch 'uli42-pr/fix_xkb_privates' into 3.6.x (4a440feaf)

2019-06-22 Ulrich Sibiller

        * rework xkb device private handling (3aabc92cf)

2019-06-22 Mike Gabriel

        * Merge branch 'uli42-pr/various' into 3.6.x (abf374136)

2019-06-20 Ulrich Sibiller

        * Suppress false positives in static analysis (c8a5e33fc)

2019-06-21 Ulrich Sibiller

        * record/set.c: silence cpp finding (b91b3d807)
        * Keyboard.c: use existing define instead of hardcoced value
          (364035c00)
        * Keyboard.c: fix another cppcheck finding (2bb498a4c)
        * xkb: fix what looks to be a copy-paste error with first vs firstMM
          (5be6d271b)
        * xkmread.c: fix compiler warning (31c3d27ea)
        * xkb: Silence some compiler warnings (813acdd2d)
        * xkb: Use snprintf to measure string lengths instead of manual
          strlen math (054e906f6)
        * xkbEvents.c: Fix "warning: unused variable `s'". (2070891cb)
        * XKB: Remove a bunch of mad ifdefs (4962c5a8d)
        * xkb: remove oldState from XkbHandleActions. (56dcc8a4b)

2019-06-20 Ulrich Sibiller

        * mi/miexpose.c: add missing free() (c8520ac0a)
        * compext/Png.c: Nullify after free (956caeb8a)
        * compext/Png.c: simplify srcBuf allocation (e440e722d)
        * compext/Png.c: late image_index allocation (d48824195)
        * NXdixfonts.c: fix index out of bounds (b4d3dc5bf)
        * Keyboard.c: rearrange code to make cppcheck happy (fd7e1f989)
        * os/access.c: add missing } (3c0469971)
        * NXpicture.c: code simplification (528e1e4ef)
        * Screen.c: fix two more memleaks of visuals (bb08043a6)
        * Screen.c: fix two memleaks (213e63eed)
        * NXrender: fix another memleak (e63d9de45)
        * render: Propagate allocation failure from createSourcePicture()
          (78eff73e4)
        * fb: fix memory leak in fbOverlayFinishScreenInit (9f9b790f8)
        * dix/dispatch: fix a small memory leak (f55402572)
        * Quarks.c: add missing ) (6f954bb7d)

2019-06-19 Ulrich Sibiller

        * Keyboard.c: fix three memory leaks (6da106610)
        * glyph.c: fix a read beyond end of heap buffer (234be0245)
        * Font.c: code simplifications (8205db425)

2019-05-25 Ulrich Sibiller

        * various scope improvements (cb508b263)

2019-06-18 Ulrich Sibiller

        * glxext.c: fix another memory leak (bffdacc48)
        * Screen.c: more debug output (b5eb7c76e)
        * Extension.c: code simplifications (7e12c9ba5)

2019-06-17 Ulrich Sibiller

        * Events.c: use designated initializer in
          nxagentDeactivatePointerGrab (17d5e62ba)

2019-06-18 Ulrich Sibiller

        * mi/miinitext.c: fix memleaks: remove (double) glx initialization
          (5cb497146)

2019-06-17 Ulrich Sibiller

        * Screen.c: fix another memory leak (756442226)
        * Fix memleaks: Free devPrivates of devices on shutdown (4dd1f3cbd)
        * CloseDevice: call XkbRemoveResourceClient before freeing key class
          struct (ca741177e)
        * Keyboard.c: nullify freed pointers (340de78e2)
        * Screen.c: Fix: make sure RRCloseScreen is being called (3b06ad51d)

2019-06-14 Ulrich Sibiller

        * Screen.c: correctly free stuff in nxagentCloseScreen (0f8dbbab2)

2019-06-13 Ulrich Sibiller

        * xkb: initialize tsyms (308824ba9)

2019-06-12 Ulrich Sibiller

        * Rootless.c: improve TEST/WARN/DEBUG outout (6d00a387f)
        * Pixmap.c: fix comment phrasing/spelling (2b25eb3d2)

2019-05-30 Ulrich Sibiller

        * Window.c: add missing comment about nxagentConfiguredWindowList
          (1bfafc127)
        * dix/window.c: fix compiler warning (1a8de6352)

2019-05-01 Ulrich Sibiller

        * NXshm.c: remove left-overs from patch (3900ba3f8)
        * miwindow.c: add hint to Red Hat Bugzilla + fix (b961e190b)

2019-05-04 Ulrich Sibiller

        * mi: Hush an almost certainly bogus warning (28e42b3bd)

2019-05-30 Ulrich Sibiller

        * Window.c: Drop defines CWParent and CWStackingOrder (9f5ddede9)

2019-05-29 Ulrich Sibiller

        * Window.c: remove leftover (commented) code (a3e0376f9)

2019-05-30 Ulrich Sibiller

        * NXwindow.c: fix compiler warning (d8f5e647c)

2019-06-01 Ulrich Sibiller

        * Remove the Must_have_memory hack. (a765857aa)

2019-06-11 Mike Gabriel

        * Merge branch 'uli42-pr/use_selection_callback' into 3.6.x
          (c0754a357)

2019-06-10 Ulrich Sibiller

        * NXdispatch.c: use upstream version of ProcSetSelectionOwner
          (848dee5c4)
        * NXdispatch.c: Use Callback instead of a modified function
          (09ba97b2d)
        * Add nxagentSetSelectionCallback (2972f6af1)
        * Add nxagentExternalClipboardEventTrap (3fd7e5f93)

2019-06-11 Mike Gabriel

        * Merge branch 'uli42-pr/drop_nxmiexpose' into 3.6.x (58cd35745)

2019-05-30 Ulrich Sibiller

        * NXmiexpose.c: drop file altogether (073c6c17e)
        * Window.c/NXmiexpose.c: remove hack for certain WM theme (6ce9fb5f2)

2019-05-25 Ulrich Sibiller

        * NXmiexpose.c: mark NX changes (af1c4b9b7)

2019-05-01 Ulrich Sibiller

        * NXmiexpose.c: use upstream version of miPaintWindows() (9e051eab0)

2019-05-04 Ulrich Sibiller

        * NXmiexpose.c: use upstream miHandleExposures() (39ff69c72)

2019-06-11 Mike Gabriel

        * Merge branch 'uli42-pr/various_small_things' into 3.6.x (a25232734)

2019-05-30 Ulrich Sibiller

        * Window.c: comment on the purpose of some functions (2da476a67)

2019-06-10 Ulrich Sibiller

        * Events.c: add debug output (d38fb8137)
        * Clipboard.c: more debugging output (9cb29cce2)
        * Clipboard.c: Scope improvements (9739c7009)
        * Clipboard.c: fix wrong variable being printed (4b19c4975)
        * Screen.c: more TEST output (d9b1272fb)
        * Screen.c: use consistent spacing on pointer references (0e496e5d1)
        * Screen.c: whitespace/formatting fixes (8365ce463)
        * Screen.c: report both created windows (and with the right name)
          (d98eeec02)
        * Window.c: fix: report correct window on icon window creation
          (61255ac1a)

2019-06-11 Mike Gabriel

        * Merge branch 'uli42-pr/fix_broken_cursor_handling' into 3.6.x
          (92f41213e)

2019-05-27 Ulrich Sibiller

        * os: fix BigReq ignoring when another request is pending (a736122f5)

2019-05-23 Ulrich Sibiller

        * render/glyph.c: add missing usage_hint (49adb1e5c)

2019-05-22 Ulrich Sibiller

        * Fix NXevents.c: Reactivate errornously commented function
          (fd8427002)

2019-06-11 Mike Gabriel

        * Merge branch 'uli42-pr/remove_requestlog' into 3.6.x (126cbe1ff)

2019-05-27 Ulrich Sibiller

        * dix: remove unused requestLogIndex (0eab060d1)

2019-05-21 Mike Gabriel

        * Merge branch 'uli42-pr/fix_xkb_crash' into 3.6.x (789d3a37e)

2019-05-15 Ulrich Sibiller

        * libNX_X11: add additional checks for dpy and xkb (20353e96a)
        * xkbUtils.c: Catch division by zero (4df77fe73)

2019-05-17 Mike Gabriel

        * Merge branch 'andschwa-xtestext1h' into 3.6.x (6981e9bb0)

2019-05-13 Andrew Schwartzmeyer

        * Remove Debian build references to `xtestext1.h` (6a938063b)

2019-05-11 Mike Gabriel

        * Merge branch 'uli42-pr/small_fixes' into 3.6.x (226493690)

2019-05-08 Ulrich Sibiller

        * nxagent: make nxagentX2go a Boolean (fac36b24f)
        * README.keystrokes: mention nxdialog (1b9d735b0)
        * Remove useless "ignore" keystroke for Ctrl-Alt-Backspace
          (79a2b7b24)
        * README.keystrokes: refine description (a31d28014)

2019-05-04 Ulrich Sibiller

        * NXdispatch.c: indent code to match environment (0db8b0353)
        * NXdispatch.c: add missing fixes (f6845fbd9)
        * NXdispatch.c: add missing change (3d254765c)

2019-05-01 Ulrich Sibiller

        * Rename libdamage to (correct) libdamageext (0312a8cfe)
        * NXdamage.c: add missing upstream fixes (f0ba303d4)
        * NXwindow.c: add missing change (249be6680)

2019-04-30 Ulrich Sibiller

        * Keyboard.c: clean/unify formatting (34e9c6b0b)

2018-11-02 Ulrich Sibiller

        * Keyboard.c: improve TEST and DEBUG output (0a211b6b6)

2019-04-29 Ulrich Sibiller

        * nxagent: Remove own GetTimeInMillis() implementation (bee0f13ce)

2018-11-07 Ulrich Sibiller

        * Die XTESTEXT1, die! (b32a984f8)

2019-04-29 Ulrich Sibiller

        * Reconnect.c: initialize stateFile path (dece08252)
        * spelling fixes (ff5740e03)

2019-05-10 Mike Gabriel

        * Merge branch 'uli42-pr/short_font_code' into 3.6.x (f6177d2ad)

2019-04-23 Ulrich Sibiller

        * Font.c: use __func__ in TEST prints (453edbd21)
        * Font.c: Avoid duplicate font paths (0086b8c24)
        * auto-determine system font path and add to list of font paths
          (78a16245a)
        * Font.c: Loop over font paths (898f04e42)
        * Font.c: Let dix check if a font path exists (dfb5602a6)
        * Font.c: build the font paths at runtime (8029141e7)
        * Drop Speedo font support (bcb5c7962)

2019-04-03 Ulrich Sibiller

        * Font.c: factor out font checks (dff2e0a01)

2019-05-10 Mike Gabriel

        * Merge branch 'uli42-pr/fix_flavour_change' into 3.6.x (d94e9ba24)

2019-05-08 Ulrich Sibiller

        * nxagent: Determine nxagentProgName only once (3c9ee1ff7)

2019-04-23 Mike Gabriel

        * Merge branch 'mjtrangoni-update-clang-8' into 3.6.x (4ce890758)

2019-04-22 Mario Trangoni

        * travis.yml: Update clang 7.0 => 8.0 (ee82317b5)

2019-04-17 Mike Gabriel

        * roll-tarballs.sh: Fix script removal from nx-libs-lite tarballs.
          (c9cac948f)
        * roll-tarballs.sh: Remove nxdialog/* in nx-libs-lite tarballs.
          (3dc2c9aac)
        * release 3.5.99.20 (e2b73ab90) (tag: 3.5.99.20)
        * nxdialog/bin/nxdialog: Fix error dialog-type-not-supplied error
          message. (2a10438f7)

2019-04-08 Mihai Moldovan

        * Merge branch 'sunweaver-pr/pthread-flags' into arctica-3.6.x
          (f0aac0897)

2019-03-01 Mike Gabriel

        * nxcomp/src/Makefile.am: Correct usage of PTHREAD_CFLAGS and
          PTHREAD_LIBS. PTHREAD_CFLAGS is also supposed to be used
          when linking. See comments in m4/ax_pthread.m4.
          (80ecfad95)

2019-04-07 Mike Gabriel

        * nxdialog/Makefile.am: We forgot to clean up
          nxdialog/bin/Makefile.in. (1ff05c8e2)
        * Makefile: Add clean/distclean target calls for nxdialog subdir to
          master Makefile's clean/distclean targets. (34011ccad)
        * Merge branch 'Ionic-bugfix/libXcomp-pthread-underlinking' into
          3.6.x (cb5c042a1)

2019-04-04 Mihai Moldovan

        * debian/patches/{,series}: remove 2004_enforce-lpthread.patch.
          (dd0d49c4e)
        * nxproxy/{m4,configure.ac,src/Makefile.am}: drop pthread
          overlinking. (d1fe6a601)
        * m4/ax_pthread.m4: implement workaround for libtool bug #13550.
          (95f8cf7ea)
          Fixes: ArcticaProject/nx-libs#756

2019-04-01 Mihai Moldovan

        * m4/: update external macros from autoconf-archive. (2efaa423b)

2019-04-04 Mihai Moldovan

        * nxcomp/src/Makefile.am: PTHREAD_LDFLAGS does not exist, replace
          with PTHREAD_LIBS. (1b6da5992)

2019-03-25 Mihai Moldovan

        * nxdialog/: create (almost) empty m4 directory. (3af59f806)

2019-03-01 Ulrich Sibiller

        * nxdialog: fix example (cf3ac71a3)

2019-03-01 Mike Gabriel

        * release 3.5.99.19 (59305c8b9) (tag: 3.5.99.19)
        * debian/patches: Add 2004_enforce-lpthread.patch. On Debian, enforce
          -lpthread when building nxcomp. This is a nasty work
          around for a missing symbols issue that needs to get
          addressed otherwise in later release. (da9a1bc0b)
        * nx-libs.spec: Dropping nxdialog files from installation for now
          when building RPMs. Postponing nxdialog integration with
          RPM packaging for now. (400b627e4)

2019-03-01 Ulrich Sibiller

        * nxdialog: Allow user to specify hexadecimal X11 window IDs.
          (ff1b3e9e8)

2019-03-01 Mike Gabriel

        * debian/libnx-x11-6.symbols: Update symbols. (ca8d889da)
        * debian/*: Debianize package inclusion of nxdialog (ships with
          nxagent bin:pkg for now). (00f8d49a3)
        * Merge branch 'sunweaver-pr/nxdialog-autotools' into 3.6.x
          (ae565e1da)
        * Makefile: Integrate new subproject "nxdialog". (6812657f0)
        * nxdialog: Turn into autotools project, add man page. (57ca69fe0)
        * Merge branch 'uli42-pr/add_nxdialog' into 3.6.x (df79c3b35)

2019-03-01 Ulrich Sibiller

        * nxdialog: add example call (d0e40f8b2)
        * nxdialog: allow to provide --parent 0 for testing (07052a25c)

2019-02-28 Ulrich Sibiller

        * nxdialog: make code compatible to python2 _and_ python3 (acffe15b5)
        * nxdialog: convert from optparse to argparse (57700cd6b)
        * nxdialog: use gtk3 instead of gtk2 (3a097e6e0)
        * nxdialog: pylint improvements (2aa575f0d)

2019-02-09 Ulrich Sibiller

        * add nxdialog for displaying dialogs (486cc6f50)

2019-03-01 Mike Gabriel

        * Merge branch 'mjtrangoni-move-to-xenial' into 3.6.x (4538d2133)

2019-01-19 Mario Trangoni

        * .travis.yml: add some soft requirements (440ce3f54)

2019-01-18 Mario Trangoni

        * .travis.yml: Update clang-6.0 to clang-7 (f2a1e877d)
        * .travis.yml: move from Ubuntu Trusty to Xenial. (ebd1ea036)

2019-03-01 Mike Gabriel

        * Merge branch 'uli42-pr/fix_clang_warnings' into 3.6.x (176f9b471)

2019-01-18 Ulrich Sibiller

        * GenericReply.h: remove unused variable (7c8214f31)
        * Logger.h: remove pragma, correct attributes (059028ce7)
        * Logger.h: fix missing compiler attribute (a53c65547)
        * xcompshad: remove unused variables (74fe99dab)
        * Xlib: remove register keywords (a8ed28234)
        * xlib: remove superflous parens (e1f2a24f6)
        * nxcomp: fix unused variables (0934b1e67)
        * nxcomp: fix unused variable (0e481f8aa)
        * Fix: clang does not know about gnu_printf (471342933)

2019-03-01 Mike Gabriel

        * Merge branch 'uli42-pr/xfixes_memset' into 3.6.x (d156ce5ab)

2019-02-28 Ulrich Sibiller

        * xfixes: use calloc for some structs (e7a50079e)
        * Use C99 designated initializers in various extension Replies
          (c6b6a8fcb)
        * Use calloc to zero fill buffers being allocated for replies &
          events (c81a45785)
        * ConnDis.c: remove obsolete MNX_TCPCONN (a70e36c81)

2019-02-20 Ulrich Sibiller

        * nx-X11/lib/configure.ac: add forgotten status line (f2e48fb73)
        * nx-X11/lib/configure.ac: fix version number (71a3b8447)
        * Merge branch 'gh-sunweaver/pr/xlib-loadable-modules' into 3.6.x
          (0eb71d78a)

2019-02-20 Mike Gabriel

        * nx-X11/lib/configure.ac: Assure that the USE_DYNAMIC_XCURSOR macro
          is defined at build-time. (36a7f0413)
        * Revert "Fix parsing ports set to unix sockets" (de421e4fe)
        * Regression fix for bfc05af7. Properly end lines in help/usage text.
          (3572b251e)

2019-02-18 Mike Gabriel

        * Merge branch 'uli42-pr/session_types' into 3.6.x (66315e4f3)
        * Keyboard.c: fix comment. (fc2907759)

2019-02-17 Ulrich Sibiller

        * nxproxy: list known session types in help output (bfc05af73)

2019-02-15 Mike Gabriel

        * Merge branch 'uli42-pr/fix_keystrokes' into 3.6.x (a3dc87d6b)

2019-02-15 Ulrich Sibiller

        * keystrokes.cfg: Add missing Shift=1 for viewport_move_up/down/right
          (f1b27c4fd)

2019-02-15 Mike Gabriel

        * Merge branch 'uli42-pr/revert' into 3.6.x (24d7d0faa)

2019-02-15 Ulrich Sibiller

        * Revert "nxagent: rework Bool handling" (586742b71)

2019-02-13 Mike Gabriel

        * Merge branch 'uli42-pr/misc' into 3.6.x (b61934be2)

2019-02-08 Ulrich Sibiller

        * nxagent: rework Bool handling (16cd2bbe1)

2019-02-07 Ulrich Sibiller

        * Screen.c: code optimization for rootless mode (5bbab001a)
        * Screen.c: simplify and fix handling of rootless mode
          (34e4291de)
          Fixes: ArcticaProject/nx-libs#765

        * rrdispatch.c: remove obsolete ifdef (f729ac996)

2019-01-31 Mike Gabriel

        * release 3.5.99.18 (427ac344c) (tag: 3.5.99.18)

2019-01-25 Mike Gabriel

        * Merge branch 'theqvd-unix_socket_forwarding' into 3.6.x (26e483d49)

2019-01-18 Vadim

        * Fix parsing ports set to unix sockets (889de46f7)
        * Make getUnixPath() return the right value when called without an
          argument. (5c99eb7d5)

2019-01-17 Mike Gabriel

        * Merge branch 'uli42-pr/window_fixes' into 3.6.x (ca8236e7f)

2019-01-12 Ulrich Sibiller

        * Screen.c: fix handling of fullscreen startup (d16a5fbb1)

2019-01-13 Ulrich Sibiller

        * Screen.c: fix size calculation in rootless mode (3c92b5db9)
        * Screen.c: improve readability of size calculations (43d3b655d)

2019-01-11 Ulrich Sibiller

        * Screen.c: move identical line out of both parts of an if clause
          (8dea30751)
        * Extensions.c: Cleanup nxagentRandRInitSizes() (c4c39bc94)
        * Extensions.c: fix first resolution being ignored (6c0098a3e)
        * Set default screen size to the whole screen in rootless mode
          (d175fd4c6)

2019-01-10 Ulrich Sibiller

        * Window.c: move WM_STATE handling to separate function (4a7faa8bd)

2018-12-22 Mike Gabriel

        * Merge branch 'uli42-pr/fix_xlibcrash' into 3.6.x (4214a719a)

2018-10-31 Ulrich Sibiller

        * XlibInt: check for XlibError before accessing other dpy fields
          (633f4617b)
        * XlibInt.c: fix wrong debug message (a61b1a72d)

2018-12-19 Mike Gabriel

        * nxagent.1 man page: Grammar fix. (d98255968)
        * Merge branch 'uli42-pr/x2go_bypass' into 3.6.x (669af5300)

2017-07-22 Ulrich Sibiller

        * nxagent: bypass X2go's keyboard configuration hack (522106e20)

2018-12-19 Mike Gabriel

        * Merge branch 'uli42-pr/improve_keyboard2' into 3.6.x (a8c65ab62)

2018-12-03 Ulrich Sibiller

        * Keyboard.c: add static keyword where appropriate (a70ec920d)
        * nxagent: simplify keycode conversion setup (d5c9733b2)
        * nxagent: store remote keyboard in global variables (1d6c241d3)

2018-12-02 Ulrich Sibiller

        * nxagent: add additional keyboard config option rmlvo (161515d24)

2017-07-22 Ulrich Sibiller

        * nxagent: add keyboard=clone configuration option (1de6ca599)

2018-12-19 Mike Gabriel

        * Merge branch 'uli42-pr/keyboard_cleanup' into 3.6.x (ab3e14850)

2018-12-03 Ulrich Sibiller

        * Reconnect.c: restore old keyboard value if no new one is given
          (26b033b84)
        * Keyboard.c: remove non-fitting comment (4dfe84eaf)

2018-12-01 Ulrich Sibiller

        * nxagent: fix references to default rules in manpage (21a0ce367)

2017-07-23 Ulrich Sibiller

        * Keyboard.c: improve creation of keyboard config file (3b62184a1)

2018-12-01 Ulrich Sibiller

        * Keyboard.c: reformat nxagentKeycodeConversionSetup (fb31220f2)

2018-12-02 Ulrich Sibiller

        * Keyboard.c: use 'variant' all over the place (3c4a8da12)

2018-12-01 Ulrich Sibiller

        * Keyboard.c: rename variables to better reflect their meaning
          (d0d6c1bdb)

2017-07-22 Ulrich Sibiller

        * Keyboard.c: refactor keycode conversion (269a352ff)
        * Keyboard.c: move keyboard file creation to extra function
          (d610e9c3c)

2018-12-19 Mike Gabriel

        * Merge branch 'uli42-pr/xnest_manpages' into 3.6.x (70cb1926c)

2018-12-17 Ulrich Sibiller

        * manpage: reformat some lines (c8947d8aa)
        * manpage: add -name (b405b962f)
        * manpage: add/extend -dpi/-autodpi (b8138d97d)
        * manpage: add -geometry (338e20510)
        * manpage: add -depth (51664049f)
        * manpage: add -class (3b508010d)
        * manpage: add -full (0b454d2d3)
        * manpage: add -sync (79e4c20a0)

2018-12-19 Mike Gabriel

        * Merge branch 'uli42-pr/fb_fastpath' into 3.6.x (22fea29cf)

2018-12-18 Ulrich Sibiller

        * fb: fix fast-path blt detection (034228d75)
        * fb: Fix memcpy abuse (020ef045e)

2018-12-19 Mike Gabriel

        * Merge branch 'uli42-pr/fix_uninit' into 3.6.x (8d6a4a9b7)

2018-12-18 Ulrich Sibiller

        * Fix uninitialized bytes (44c59e12d)
        * xkb: Initialize pad bytes sent in replies of geometry requests.
          (5b0bf752a)

2018-12-17 Ulrich Sibiller

        * Fix crash due to uninitialized VModMap fields. (a4fad8f58)

2018-11-22 Mike Gabriel

        * debian/*: Adopt packaging changes from official Debian package.
          (989398afe)
        * debian/nxagent.{post,pre}*: Fix versions in dpkg-maintscript-helper
          calls. (6d7784eb0)
        * debian/changelog: post-release fix (UNRELEASED -> unstable).
          (afa56ea64)

2018-11-20 Mike Gabriel

        * release 3.5.99.17 (3a19d8d17) (tag: 3.5.99.17)

2018-11-14 Ulrich Sibiller

        * Makefile: fix (dist)clean dependencies (623a74ae1)

2018-11-14 Mike Gabriel

        * Makefile: Assure that nx-X11's Makefiles are created after
          everything has been defined. (071e41b6c)
        * Regression fix for a93f64e4. The test executables bails out on test
          failure, whereas ifdef does not. Adding "|| true" where
          needed. (e4a7baf15)

2018-11-11 Mike Gabriel

        * debian/patches: Rebase 2001_nx-X11_install-location.debian.patch.
          (a118ab801)
        * Merge branch 'uli42-pr/fix_font_defines_once_more2' into 3.6.x
          (1a429016c)
        * nx-X11/config/cf/nxcompile.def: Rephrase header comment slightly.
          (f78a8b3eb)

2018-11-11 Ulrich Sibiller

        * imake: adapt output to automake output as seen in lib/src
          (8632895b8)
        * imake: also silence makedepend (c4656c5e9)
        * silence imake compilation (ffc723e73)

2018-11-10 Ulrich Sibiller

        * Makefile: use test + && instead of if test/else/fi (a93f64e4f)
        * Makefile: use (more) RM macros (58615f9fc)
        * Makefile: Rework handling auto-determined values for imake
          (77b392312)
        * Makefile: drop intermediate NX version vars (abf47feca)

2018-11-10 Mihai Moldovan

        * nx-libs.spec: newer versions of SLE* and OpenSuSE use
          xkbcomp-devel, while RedHat-based distros want
          xorg-x11-xkb-utils-devel for xkbcomp.pc. (93c9b8862)
        * Makefile: support systems without xkbcomp.pc. (89f1e3baa)

2018-11-09 Mike Gabriel

        * debian/contrl: Bump Standards-Version: to 4.2.1. No changes needed.
          (a12ab412d)
        * debian/control: Add to B-D: libxkbfile-dev. Required by xkbcomp.pc
          (pkg-config). (7b08c7dfc)
        * Merge branch 'uli42-pr/Xext-1.4.2' into 3.6.x (d2dae84b3)

2018-11-05 Ulrich Sibiller

        * Lift Xext to xorg 1.4.2 (49607e93f)

2018-11-09 Mike Gabriel

        * Merge branch 'uli42-pr/xkb_1.3.0.0' into 3.6.x (fccef5fc5)

2018-11-01 Ulrich Sibiller

        * adapt code-versions.txt (3965f24be)

2018-10-30 Ulrich Sibiller

        * Convert existing Xprintf style calls to asprintf style (b09a72b08)

2018-10-29 Ulrich Sibiller

        * xkb: Don't check for NULL before calling free (b01e29eff)
        * xkb: Fix memory leak if opening file fails (90b83a79e)

2018-10-25 Ulrich Sibiller

        * Make: Automatically determine xkb dir (f23189e73)

2018-07-25 Ulrich Sibiller

        * XKB: Fix size_syms calculation bug (824b62973)
        * Event.c: improve DEBUG output (1ca0aee93)

2018-07-18 Ulrich Sibiller

        * XKB: Remove unused DDX functions (3c1b1efad)
        * XKB: Fix logic error (7487d7fa2)
        * XKB: Fix garbage initialization (6625e78c1)
        * ProcXkbGetKbdByName: fix use of uninitialised bytes valgrind error.
          (69475953b)
        * XkbSendNames: fix use of uninitialised bytes valgrind error.
          (018b2d0c6)
        * Keyboard.c: simplify even more: free stuff at one place (59524cd06)
        * Keyboard.c: fix keyboard=query logic (b8ae794e4)

2018-07-16 Ulrich Sibiller

        * Keyboard.c: greatly simplify the code in nxagentKeyboardProc
          (05e03b965)
        * Keyboard.c: guard XkbFreeKeyboard calls (d8bbbcf29)

2018-11-01 Ulrich Sibiller

        * Keyboard.c: simplify over-specific if (1b05251a0)

2018-07-16 Ulrich Sibiller

        * Keyboard.c: simplify RLMVO string handling (6186383e7)
        * Keyboard.c: always ask for remote XKB (b891e5f68)

2018-07-07 Ulrich Sibiller

        * Lift xkb to XORG-1.3.0.0 state (3fbef7da7)

2018-07-06 Ulrich Sibiller

        * XKB: provide XKB defines via Imakefile (4ed8145f7)

2018-07-05 Ulrich Sibiller

        * Keyboard.c: do not define own RLMVO defaults (eb07ed57b)
        * no more own XkbBaseDirectory handling (11a1f31d7)
        * Keyboard.c: remove unused defines (d54f1fb73)

2018-07-04 Ulrich Sibiller

        * Keyboard.c: remove unnecessary includes (0fc536886)
        * Keyboard.c: Remove (now) unused defines (bebdf0990)

2018-06-29 Ulrich Sibiller

        * Lift xkb to XORG-1.2.0 state (9808c66ec)

2018-06-24 Ulrich Sibiller

        * Check nxagentXkbInfo.EventBase before use (2db519141)

2018-11-01 Mike Gabriel

        * Merge branch 'uli42-pr/Xi-1.2.0' into 3.6.x (122db3fde)

2018-11-01 Ulrich Sibiller

        * Lift Xi to 1.3.0.0 (identical to 1.2.0) (266c3d68d)

2018-10-27 Mike Gabriel

        * Merge branch 'uli42-pr/small_improvements' into 3.6.x (70b49467c)

2018-10-27 Ulrich Sibiller

        * Window.c: use C99 designated initializers at some places
          (e2421bbd7)
        * Window.c: add FIXME (728a3d1c8)
        * Window.c: save some lines by declaring loop variables in the loop
          (1eb560354)
        * Window.c: indent ifdefs for better readability (c8383b83d)
        * Window.c: silence compiler warnings (df531c16f)

2018-10-25 Ulrich Sibiller

        * Window.c: some code simplifications (9e6e43137)
        * Window.c: whitespace cleanup (ea275309b)
        * Window.c: scope improvements (1fb32cf73)
        * Window.c: reformat/add braces for readability (7a0b401bc)
        * Window.c: indent FIXMEs (2769cbb9d)
        * Window.c: convert old-style function definitions to ANSI C89 style
          (e8c6a7418)

2018-10-27 Mike Gabriel

        * Merge branch 'uli42-pr/clipboard_debug' into 3.6.x (280432016)

2018-10-22 Ulrich Sibiller

        * Clipboard.c: use __func__ everywhere (60bce146e)
        * Clipboard.c: fix fprintf type warnings (6ea7558d1)

2018-07-25 Ulrich Sibiller

        * Clipboard.c: more DEBUG output (2517d8c1f)
        * Clipboard.c: Use constant instead of hardcoded value (934d9eae6)

2018-10-16 Ulrich Sibiller

        * Clipboard.c: improve nxagentClearSelection() debug code (f8bfdc87b)
        * Clipboard.c: new debug function to reduce duplicate code
          (5d26addd3)

2018-10-10 Ulrich Sibiller

        * Clipboard.c: more debugging info for nxagentGetClipboardWindow()
          (1c4c9f609)
        * Clipboard.c: GetWindowProperty() does not return BadMatch
          (1af67b4df)
        * Clipboard.c: whitespace fixes (018b561b7)
        * Clipboard.c: add FIXME (719488da9)
        * Clipboard.c: Code optimization (missing else) (9a5f519a0)
        * Clipboard.c: print X errors (888de83ac)
        * Clipboard.c: some scope optimizations (e90306ec4)

2018-10-09 Ulrich Sibiller

        * Clipboard.c: add macro for safe XFree calls with ptr clearance
          (85a28a68e)
        * Clipboard.c: introduce helper macros for easier debugging
          (fab6911bd)

2018-06-09 Ulrich Sibiller

        * NXproperty.c:add debug output (35f6b32c6)

2018-06-07 Ulrich Sibiller

        * Clipboard.c: add function for debugging output (6cdddadf9)

2018-06-06 Ulrich Sibiller

        * Clipboard: print requested target in debugging mode (8baec5d70)

2018-10-23 Mike Gabriel

        * Merge branch 'uli42-pr/libX11_1.6.6' into 3.6.x (2eb4a65eb)

2018-10-22 Ulrich Sibiller

        * libNX_X11: upgrade to X.org upstream version 1.6.7 (701e702a1)

2018-08-22 Ulrich Sibiller

        * libNX_X11: upgrade to X.org upstream version 1.6.6
          (e1938c189)
          Fixes: ArcticaProject/nx-libs #716, #719 and
          #720

2018-10-22 Mike Gabriel

        * Merge branch 'uli42-pr/enableclientids' into 3.6.x (3dc459556)

2018-10-21 Ulrich Sibiller

        * enable CLIENTIDS functions in xserver (71abe0beb)
        * X11.tmpl: whitespace fix (97f768a26)

2018-10-22 Mike Gabriel

        * Merge branch 'uli42-pr/cleanup_wmisrunning' into 3.6.x (7392dd6a9)

2018-09-24 Ulrich Sibiller

        * Events.c: improve Bool usage (450760bca)
        * Window.c: remove useless code (7f7895ee5)
        * Window.c: improve Bool usage (158439555)
        * nxagentInitAndCheckVisuals: adapt bool usage to match the previous
          function (7b8aef83a)
        * Render.c: improve Bool usage (67432ac25)
        * Pixmap.c: use some Bools as Bools not integers (f91f02d9d)
        * nxagent: use nxagentWMPassed as Bool all over the place (1a8c4532e)
        * nxagent: use nxagentWMIsRunning as Bool all over the place
          (6b2033bd2)

2018-10-22 Mike Gabriel

        * Merge branch 'uli42-pr/fix_bigrequests' into 3.6.x (c478ba293)

2018-10-06 Ulrich Sibiller

        * nxagent: Fix an excessive request size limitation that broke
          big-requests. (da9d1a529)

2018-08-24 Mike Gabriel

        * Merge branch 'sunweaver-pr/drop-nomachine-icon' into 3.6.x
          (d3bbca712)

2018-04-14 Mike Gabriel

        * X2Go Agent XPM: Rename from x2go.xpm to x2goagent.xpm (like the
          symlink name we expect). (31ac5a179)
        * X2Go XPM icon: white background, not transparent. (c2b4e42a2)
        * Use basename() to derive nxagentProgName cleanly. (25c7f0252)
        * Call checkX2goAgent much earlier (in ddxProcessArgument) and adapt
          NXAGENTWINDOWNAMELENGTH to its result. (373836468)
        * Application icon: Drop NoMachine logo as nxagent icon, switch to
          X11 icon for now. (4d6bae082)
        * nxmissing.xpm: Add XPM marker so that image viewers recognize the
          image file format. (c7eadb8ae)

2018-08-24 Mike Gabriel

        * Merge branch 'uli42-pr/decode_options' into 3.6.x (930bd2833)

2018-08-23 Ulrich Sibiller

        * Args.c: allow options to contain URL encoded characters (30a962733)
        * Args.c: rename nxagentParseOptions to nxagentParseSingleOption
          (f8e20d05f)

2018-08-24 Mike Gabriel

        * Merge branch 'uli42-pr/drop_double_min_max' into 3.6.x (fad80bc4f)

2018-08-23 Ulrich Sibiller

        * Replace MIN/MAX macros by min/max from misc.h (3bd41aaf7)

2018-08-22 Mike Gabriel

        * Merge branch 'uli42-pr/fix_wm_props' into 3.6.x (b517b66ef)

2018-08-22 Ulrich Sibiller

        * Fix broken 9a7c0b081fad98bfcfcceff9557781f4b39ec572 (f9c2d560d)

2018-08-22 Mike Gabriel

        * Merge branch 'uli42-pr/fix_events_debug_warnings' into 3.6.x
          (f9e4a54c4)

2018-03-08 Ulrich Sibiller

        * Events.c: drop variable that caused compilation warning (0db177073)
        * Events.c: fix wrong printf format specifiers (553b96f05)
        * Events.c: fix compiler warnings (2fe89c5bf)
        * Events.c: mitigate compiler warning (f8e76fd69)

2018-08-22 Mike Gabriel

        * Merge branch 'uli42-pr/refactor_defaulteventmask' into 3.6.x
          (9f4eb6a0b)

2018-05-10 Ulrich Sibiller

        * refactor nxagentGet(Default)EventMask (129d1cc91)

2018-08-22 Mike Gabriel

        * Merge branch 'uli42-pr/track_versions' into 3.6.x (c0bef5e39)

2018-07-25 Ulrich Sibiller

        * add list with versions of the xserver modules (0154ef4b9)

2018-08-22 Mike Gabriel

        * Merge branch 'Etersoft-fix-nxagent-window-title-encoding' into
          3.6.x (aaae5d574)

2018-07-26 Pavel Vaynerman

        * nxagent: Used 'Xutf8SetVMPropertis' instead of
          'XSetStandardProperties' + 'Xutf8SetWMProperties'
          (9a7c0b081)

2018-06-09 Pavel Vaynerman

        * fix window title encoding (use utf8) for nxagent (643e13bf3)

2018-08-21 Alan Coopersmith

        * Use min() [defined in include/misc.h] instead of MIN() [not defined
          in any Xorg header]. (489c17313)

2018-07-18 Mihai Moldovan

        * [PATCH] os: XDMCP options like -query etc. should imply -listen tcp
          (1e1693929)

2018-07-07 Mihai Moldovan

        * misc: fix more regressions and whitespace weirdness introduced in
          913fcf1a74426725f14380dd5b34286a21c37ab7. (992673157)

2018-07-03 Mike Gabriel

        * nx-X11/lib/include/xtrans/Xtrans.c: Regression fix for 913fcf1a.
          (15f69488d)

2018-06-19 Ulrich Sibiller

        * XKB.h: Use the correct value for XkbAllAccessXEventsMask
          (7bb238065)

2018-07-03 Mike Gabriel

        * Merge branch 'mjtrangoni-WIP-add-cppcheck' into 3.6.x (5a8549c6e)

2018-06-10 Mario Trangoni

        * travis.yml: refactor some config options, add gcc-8 and clang-6.0.
          (5651680bb)

2018-03-25 Mario Trangoni

        * Fix some memory leaks. (913fcf1a7)

2018-03-11 Mario Trangoni

        * travis.yml: Add cppcheck - A tool for static C/C++ code analysis.
          (c58cbc26c)

2018-07-03 Mike Gabriel

        * Merge branch 'uli42-pr/fix_xfont2' into 3.6.x (fd9de0086)

2018-06-19 Ulrich Sibiller

        * Makefile: pass down Xfont2 define for Imake (416f8c411)
          Fixes:
          ArcticaProject/nx-libs#708

2018-07-03 Mike Gabriel

        * Merge branch 'uli42-gh-sunweaver/pr/xserver-xkb-cleanup' into 3.6.x
          (c86a119da)

2017-02-16 Mike Gabriel

        * debian/nxagent.*: Drop conffile /etc/nxagent/nxagent.keyboard. Not
          shipped upstream anymore. (b82a6a107)
        * nx-libs.spec: Drop reference to obsolete nxagent.keyboard file.
          (70a74a5c5)
        * etc/nxagent.keyboard: Drop file. Not required anymore. (3872cd143)
        * Xserver/xkb: Remove XkbCF DDX configuration code. (6eb77137e)
        * Removal of dead code in Xserver/xkb. Follow-up commit for 3739a9b.
          (e734ca217)

2017-02-16 Daniel Stone

        * Xserver/xkb: Remove -xkbmap argument. (ec0cfcecf)

2017-02-16 Mike Gabriel

        * hw/nxagent/Keyboard.c: Drop support for loading XKB config from
          file. (cc27ebb25)

2018-07-03 Mike Gabriel

        * Merge branch 'uli42-pr/more_debug' into 3.6.x (b1e4d6e84)

2018-06-19 Ulrich Sibiller

        * Atoms.c: more debugging output (f2d3eac89)

2018-07-03 Mike Gabriel

        * Merge branch 'uli42-pr/misc' into 3.6.x (ce83b566a)
        * dixfonts.c: use calloc for LFclosurePtr (b394eac8f)
        * dix/dixfonts.c: free() can handle NULL (59e46dc54)

2018-06-21 Ulrich Sibiller

        * NXdixfonts.c: free() can handle NULL (a2008b28e)
        * NXdixfonts.c: use calloc for LFclosurePtr (e0291f30d)
        * xkb/xkb.c: init all reply structs (cfcaa442d)
        * os/io.c: fix unitialised bytes (e5975a70e)
        * ProcGetPointerMapping uses rep.nElts before it is initialized
          (389e3a445)
        * Fix some valgrind findings (1e3db85a0)
        * Some small Keyboard.c improvements (7a627e644)

2018-07-03 Mike Gabriel

        * Merge branch 'sunweaver-pr/idletime-counter' into 3.6.x (983495123)
        * Don't reset the lastDeviceEventTime when doing DPMS actions
          (222153af4)

2018-07-03 Richard Hughes

        * Do not reset lastDeviceEventTime when we do dixSaveScreens
          (7401a6691)

2018-07-03 Mike Gabriel

        * Backport IDLETIME system counter to nx-X11 Xserver. (14f734873)

2018-06-17 Mihai Moldovan

        * nx-X11/Makefile: pass down $(MFLAGS) to imake call, because... we
          probably want that. Likely. (72f11ee83)
        * nx-libs.spec: disable parallel builds, was pure luck that it worked
          before. (da51a3694)
        * debian/rules: more Jessie unbreaking, also for
          dh_auto_{build,install}. (942ae190e)

2018-06-16 Mihai Moldovan

        * debian/rules: unbreak Jessie: dh_auto_clean doesn't gracefully
          discard unknown --no-parallel flag. (8f73bf7cb)

2018-06-06 Mike Gabriel

        * Merge branch 'uli42-pr/fix_missing_include' into 3.6.x (742957393)

2018-06-05 Ulrich Sibiller

        * Clipboard.c: add missing include (70ac10c8c)

2018-05-24 Mike Gabriel

        * Merge branch 'uli42-pr/xinerama_without_wm' into 3.6.x (7ec73ef21)

2018-05-17 Ulrich Sibiller

        * Update Xinerama on XMapEvent (3f6d8f3e8)

2018-05-24 Mike Gabriel

        * Merge branch 'uli42-pr/cleanup_window_hints' into 3.6.x (c0f67abb4)

2018-05-05 Ulrich Sibiller

        * whitespace fixes (9138a9e3b)
        * Screen.c: simplify setting of window name/class (016759198)

2018-05-04 Ulrich Sibiller

        * Events.c: catch intermediate window position changes
          (f9bae7554)
          Fixes: ArticaProject/nx-libs#688 (second part)

2018-04-11 Ulrich Sibiller

        * nxagent: remove mmwidth/mmheight from nxagentChangeScreenConfig
          (00c1f05ef)
        * Screen.c/Events.c: fix some comments (845ae6eab)
        * nxagent: use XAllocSizeHints() instead of XSizeHints struct
          (82dc00539)

2018-04-10 Ulrich Sibiller

        * Screen.c/Events.c: add some FIXMEs (82c4c28ea)
        * Screen.c: replace XSetWMNormalHints code block by already existing
          function (9937fbdf5)

2018-05-24 Mike Gabriel

        * debian/rules: Typo fix in dh_auto_build --no-parallel option.
          (985bed954)
        * debian/rules: Highly enforce --no-parallel mode while Xserver is
          still on imake. Can be re-parallelized after autotools
          conversion. (7cb00355c)
        * Merge branch 'uli42-pr/codespell' into 3.6.x (11b534ab0)

2018-04-10 Ulrich Sibiller

        * config/cf: fix spelling errors as reported by codespell (cce975654)
        * nxproxy: fix spelling errors as reported by codespell (e91406e9b)
        * compext: fix spelling errors as reported by codespell (781b8a057)
        * manpage: fix spelling error as reported by codespell (d5da7e76f)
        * hw/nxagent: fix spelling errors as reported by codespell
          (170416d26)
        * nxcompshad: fix spelling errors as reported by codespell
          (94f7ce7d1)
        * nxcomp: fix spelling errors as reported by codespell (a32554dbf)

2018-04-30 Mihai Moldovan

        * nx-libs.spec: we never used gpg-offline, drop it. (997f2bbd2)

2018-04-25 Mike Gabriel

        * debian/rules: Run dh_auto_clean with --no-parallel. (01dbfdecc)
        * Makefile: Run BuildIncludes and clean target in nx-X11/ with -j1.
          (90156e3e8)
        * Revert "debian/rules: Avoid dh_auto_build. It adds -Oline since
          11.2 which let's make choke in nx-X11/ subdir on the
          Makefiles target. Reason unknown." (3d8818f60)
        * Revert "debian/rules: Typo fix (NUMJOBS, not NUM_JOBS)."
          (b81759286)
        * Makefile: Enforce -j1 for BuildDependsOnly target. (0fc50407e)
        * debian/rules: Typo fix (NUMJOBS, not NUM_JOBS). (190e3df41)
        * debian/rules: Drop override_dh_clean. Makefile (et al.) removal in
          nx-X11/ has now been moved to the distclean target.
          (f944a0da6)
        * debian/rules: Avoid dh_auto_build. It adds -Oline since 11.2 which
          let's make choke in nx-X11/ subdir on the Makefiles
          target. Reason unknown. (94d77e27a)
        * Makefile targets: Rewriting and consolidating the target structure
          for nx-X11/ subdir (except nx-X11/lib/). (da4770474)

2018-04-20 Mike Gabriel

        * Makefile: Don't do a parallel clean-up of nx-X11. We have seen
          failures and due to the upcoming switch to autotools, it
          is pointless to dive into fixing it in the Imakefile
          stack. (13bf7c037)

2018-03-16 Mike Gabriel

        * release 3.5.99.16 (28c14accd) (tag: 3.5.99.16)

2018-03-15 Mike Gabriel

        * Merge branch 'Ionic-feature/use-libtirpc' into 3.6.x (3b05d0de6)

2018-03-15 Mihai Moldovan

        * nx-libs.spec: stop needlessly exporting variables that we pass down
          directly anyway. (2e1e9158e)

2018-03-09 Mihai Moldovan

        * nx-libs.spec: force usage of libtirpc on Fedora > 27 and OpenSuSE
          Tumbleweed+ (soon to be Leap 15). (9b1d00d30)
          Fixes:
          ArcticaProject/nx-libs#665

        * nx-X11/config/cf/README: document new UseTIRPC macro. (0cd1392de)
        * nx-X11/programs/Xserver/{,os/}Imakefile: implement libtirpc forcing
          via UseTIRPC. (25cc6fce5)
        * nx-X11/config/cf/Imake.tmpl: implement new UseTIRPC macro,
          defaulting to NO. (090d4d19b)

2018-03-15 Mihai Moldovan

        * nx-X11/programs/Xserver/Imakefile: move $(PIXMANLIB) to
          NXAGENTSYSLIBS, since libXcompext doesn't actually need
          it. (daebc8b6a)

2018-03-09 Mihai Moldovan

        * nx-X11/programs/Xserver/Imakefile: use printf with no trailing
          newline instead of echo for variable value. (32dac66c6)

2018-03-15 Mihai Moldovan

        * Makefile: pass down IMAKE_DEFINES to nx-X11/programs/Xserver build
          system. (7a901039c)

2018-03-10 Mihai Moldovan

        * nx-X11/programs/Xserver/Imakefile: drop system libraries out of
          target list for nxagent regeneration. (63a359313)

2018-03-09 Mihai Moldovan

        * nx-libs.spec: sync removed files with debian/rules. (a47a73872)

2018-03-15 Mihai Moldovan

        * nx-X11/programs/Xserver/hw/nxagent/Screen.c: do not try to set a
          NULL mode if the output was disconnected before.
          (15e955545)
          Fixes: ArcticaProject/nx-libs#677

        * nx-X11/programs/Xserver/hw/nxagent/Screen.c: initialize pointers to
          NULL to avoid referencing random data. (6f8cdebc6)

2018-03-07 Mike Gabriel

        * release 3.5.99.15 (63e113de9) (tag: 3.5.99.15)

2018-03-07 Mihai Moldovan

        * Merge branch
          'sunweaver-pr/saver-unvalidated-lengths-ProcScreenSaverUnsetAttributes'
          into 3.6.x (18630e5dd)

2018-03-05 Nathan Kidd

        * Xserver/Xext/saver.c Unvalidated lengths (X.org CVE-2017-12185).
          (7017c22c2)

2018-03-07 Mihai Moldovan

        * nxcompshad/configure.ac: blindly copy-pasting might not be the
          smartest idea; it's *COMPSHAD* here. (f3231601b)

2018-03-07 Ulrich Sibiller

        * Merge branch 'sunweaver-pr/xinerama-bbox-corner-cases' into 3.6.x
          (570d3fea4)

2018-03-05 Mike Gabriel

        * Xserver/hw/nxagent/Screen.c: Drop commented out code. Functionality
          now implemented in intersect_bb() function. (4b7b214a7)

2018-03-02 Mike Gabriel

        * hw/nxagent/Screen.c: Cover Xinerama bounding box corner cases.
          (9117a5bf0)

2018-03-07 Mihai Moldovan

        * nxcomp{,shad}/configure.ac: replace versionating non-portable sed
          construct with hopefully more portable awk construct.
          (3352cfaba)
        * nx-X11/programs/Xserver/hw/nxagent/Init.c: disable DPMS support
          within nxagent. (76e7d26b8)
          Fixes:
          ArcticaProject/nx-libs#671

2018-03-06 Mihai Moldovan

        * Makefile: we don't need $(BINDIR)/bin. (adb582abd)

2018-03-02 Mihai Moldovan

        * nxcomp{,shad}/configure.ac: pass more portable -E option to sed
          instead of -r. (ed9512ed1)

2018-03-01 Mike Gabriel

        * Merge branch 'mjtrangoni-WIP-travis' into 3.6.x (ae40bb9c4)

2018-01-09 Mario Trangoni

        * README.md: Add travis badge (66ef3e46f)

2018-01-01 Mario Trangoni

        * Fix clang error: ordered comparison between pointer and zero ("char
          *" and "int") (ffadec783)
        * Fix clang error: comparison of array authCookie not equal to a null
          pointer is always true (d14d5838b)

2017-12-31 Mario Trangoni

        * Add travis yaml configuration file (e1ad1d473)

2018-03-01 Simon Matter

        * hw/nxagent/Screen.c: Settle down with 96 DPI as the default
          resolution, if nothing better can be detected. (a5a0a5c29)

2018-02-28 Mike Gabriel

        * release 3.5.99.14 (153be794d) (tag: 3.5.99.14)

2018-02-28 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_autodpi_in_usage' into 3.6.x (5c4777b2d)

2018-02-27 Ulrich Sibiller

        * os: hide ttyxx option (809206d0c)
        * nxagent: rearrange nx options in usage (9822e9703)

2018-02-28 Mihai Moldovan

        * Merge branch 'uli42-pr/update_xkb' into 3.6.x (1918bcb9c)

2018-02-28 Ulrich Sibiller

        * Lift xkb to xorg-xserver-7.1/1.1.0 state - non-functional changes
          only (00e3e95e5)

2017-11-05 Ulrich Sibiller

        * Lift xkb to xorg-xserver-7.1/1.1.0 state (9e6f87e20)

2018-02-27 Mike Gabriel

        * Revert "nx-libs.spec: Starting with Fedora 28 / RHEL 8, SunRPC
          support is being split out into a separate libraries
          (libtirpc)." (a6cb8583a)
        * nx-libs.spec: Starting with Fedora 28 / RHEL 8, SunRPC support is
          being split out into a separate libraries (libtirpc).
          (9f93e96ec)

2018-02-27 Mihai Moldovan

        * Merge branch 'sunweaver-pr/autodetect-dpi' into 3.6.x (6d4049640)

2018-02-21 Mike Gabriel

        * nxagent: Also provide auto DPI feature via nx/nx option 'autodpi',
          taking only effect on session startups. (29c166dbe)

2017-10-09 Simon Matter

        * nxagent: Auto-detect client-side DPI at session startup.
          (9dd2830e0)

2018-02-27 Mike Gabriel

        * nxcomp/src/Loop.cpp: Harmonize log output. Uniformly, embrace port
          values by single quotes. (a88ca2717)

2018-02-27 Mihai Moldovan

        *
          {nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1,nxproxy/man/nxproxy.1}:
          magicpixel takes a boolean argument for now. (0ef6b0d59)
        * nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1: remove empty line
          on top of file. (842bb0f45)
          Fixes:
          ArcticaProject/nx-libs#664

2018-02-27 Mike Gabriel

        * nxcomp/src/Loop.cpp: Make know the agent option 'keyconv' to nxcomp
          and tolerate it as a valid option. (ea17fd059)

2018-02-27 Mihai Moldovan

        * nx-X11/programs/Xserver/{include/globals.h,mi/miinitext.c}: remove
          DPSEXT left-overs. (f963593c7)
        * Merge branch 'uli42-pr/update_os' into 3.6.x (7a4aa75de)

2018-02-27 Ulrich Sibiller

        * Lift os to XORG-7_1 state - non-functional changes only (41ff6b034)

2017-11-05 Ulrich Sibiller

        * Lift os to XORG-7_1 state (2d59daca2)

2018-02-27 Mihai Moldovan

        * Remove unused X11R4 DDX compatibility function miClipNotify.
          (78724c486)
        * Merge branch 'uli42-pr/update_mi' into 3.6.x (3fffa5bd8)

2018-02-27 Ulrich Sibiller

        * Lift mi to xorg-xserver-7.1/1.1.0 state - non-functional changes
          only (7368b4540)

2017-11-05 Ulrich Sibiller

        * Lift mi to xorg-xserver-7.1/1.1.0 state (6b0a1738f)
        * Lift miext to xorg-xserver-7.1/1.1.10 state (23dd2959b)

2018-02-27 Mihai Moldovan

        * Merge branch 'uli42-pr/update_record' into 3.6.x (eaae96101)

2017-11-05 Ulrich Sibiller

        * Lift record to xorg-server-1.4.2 state (e5833a6a1)

2018-02-27 Ulrich Sibiller

        * Lift record to xorg-server-1.2.0/xorg-server-1.3.0.0 state -
          non-functional changes only (39a56dea4)

2017-11-05 Ulrich Sibiller

        * Lift record to xorg-server-1.2.0/xorg-server-1.3.0.0 state
          (1c7abb05b)

2018-02-27 Ulrich Sibiller

        * Lift record to xorg-xserver-7.1/1.1.0 state - non-functional
          changes only (0b6259900)

2017-11-05 Ulrich Sibiller

        * Lift record to xorg-xserver-7.1/1.1.0 state (db836fd78)

2018-02-27 Mihai Moldovan

        * Merge branch 'sunweaver-pr/version-cmdline-option' into 3.6.x
          (92d806399)
          Fixes: ArcticaProject/nx-libs#653
          Fixes:
          ArcticaProject/nx-libs#639

2018-02-26 Mike Gabriel

        * hw/nxagent/: Stop using non-portable '__progname', set up our own
          'nxagentProgName' instead and pass it around where needed.
          (0371276fb)
        * hw/nxagent/: Use <function>(void) rather than <function>().
          (99fb9817f)

2018-02-21 Simon Matter

        * nxagent/Args.c: Mention new -options cmdline parameter in usage
          info. (deeac7e0f)
        * nxagent: Print correct application in usage message. (eded33173)
        * nxagent: Add -version cmdline option. (7c32938ac)

2018-02-26 Mihai Moldovan

        * nx-libs.spec: also package extensions/shapeconst.h in RPM packages.
          (751760421)
        * Merge branch 'uli42-pr/update_dbe' into 3.6.x (711fd2447)

2018-01-22 Ulrich Sibiller

        * dbe: add NXAGENT_SERVER guard for DixLookup (f1f2a360f)

2018-02-26 Ulrich Sibiller

        * Lift dbe to xorg-xserver-1.4.2 state - non-functional changes only
          (d364ea933)

2018-01-22 Ulrich Sibiller

        * Lift dbe to xorg-xserver-1.4.2 state (95b5cf795)

2018-02-26 Ulrich Sibiller

        * Lift dbe to xorg-xserver-7.1/1.1.0 state - non-functional changes
          only (4c5e9a295)

2017-11-05 Ulrich Sibiller

        * Lift dbe to xorg-xserver-7.1/1.1.0 state (c529873d9)

2018-02-26 Mihai Moldovan

        * debian/nx-x11proto-xext-dev.install: install new file
          extensions/shapeconst.h. (3d8f8d7ab)
        * Merge branch 'uli42-pr/update_dix' into 3.6.x (a9787fc2e)

2018-02-03 Ulrich Sibiller

        * Transfer previous dix changes into hw/nxagent (6dcfcbabe)

2018-02-26 Ulrich Sibiller

        * Lift dix to xorg-xserver-1.3.0.0 state - non-functional changes
          only (1b54f6462)

2018-01-23 Ulrich Sibiller

        * Lift dix to xorg-xserver-1.3.0.0 state (485d62676)

2018-02-26 Ulrich Sibiller

        * Lift dix to xorg-xserver-7.1/1.1.0 state - non-functional changes
          only (2853ab292)

2017-11-04 Ulrich Sibiller

        * Lift dix to xorg-xserver-7.1/1.1.0 state (50a337940)

2018-02-26 Mihai Moldovan

        * Merge branch 'uli42-pr/update_xfixes' into 3.6.x (b40dec982)

2018-02-26 Ulrich Sibiller

        * Lift XFIXES to xorg-xserver-1.4.2 state - non-functional changes
          only (35d166b80)

2017-11-05 Ulrich Sibiller

        * Lift XFIXES to xorg-xserver-1.4.2 state (d59e8d7f4)

2018-02-26 Ulrich Sibiller

        * Lift XFIXES to xorg-xserver-7.1/1.1.0 state (XFIXES 4.0) -
          non-functional changes only (5706005f7)

2017-10-31 Ulrich Sibiller

        * Lift XFIXES to xorg-xserver-7.1/1.1.0 state (XFIXES 4.0)
          (a667131e2)

2018-02-26 Mihai Moldovan

        * Merge branch 'sunweaver-pr/nomagicpixel' into 3.6.x
          (164263e1a)
          Fixes: ArcticaProject/nx-libs#657

2018-02-21 Mike Gabriel

        * nxagent: Add support for optionally enabling/disabling the magic
          pixel feature. (8d00456ad)

2018-02-26 Mihai Moldovan

        * Merge branch 'uli42-pr/update_xi' into arctica-3.6.x (05152b788)

2018-02-15 Ulrich Sibiller

        * Xi: change () prototypes to (void) (4598c0c3d)
        * Xi/getbmap.c: remove unnecessary cast (ebe1c2f22)
        * Xi: small formatting changes to match Xorg 7.1's Xi (8e188629f)
        * Xi: reformat (b0abdf7bd)
        * Xi: ansify function prototypes (7aca428ff)

2018-02-11 Ulrich Sibiller

        * Xi: reformat code, ansify (41a0ba729)

2018-02-08 Ulrich Sibiller

        * Xi: Adapt include sections to match Xorg 7.1 (5bfafee50)

2018-02-25 Mike Gabriel

        * debian/control: Don't B-D on build-essential packages. (e247900ed)
        * debian/copyright: Update copyright attributions. (b18477eb4)
        * debian/watch: Drop file. Not really useful in native /
          upstream-provided package. (4b81b8b38)
        * debian/control: Bump Standards-Version: to 4.1.3. No changes
          needed. (7986787c1)
        * nxcompshad: Regression fix for 990e61cc. Add missing $(NULL) in 'if
          TARGET_ELF' clause. (e8552b7bb)
        * Merge branch 'Ionic-bugfix/FTBFS-non-ELF' into 3.6.x (a653aed4c)

2018-02-25 Mihai Moldovan

        * nxproxy/{configure.ac,src/Makefile.am}: only enable new ELF dtags
          if target system actually is ELF-based. (06c14b831)
          Fixes:
          ArcticaProject/nx-libs#661

        * nxcompshad/{configure.ac,src/Makefile.am}: only enable new ELF
          dtags if target system actually is ELF-based. (990e61cc8)
        * m4/nx-macros.m4: add NX_TARGET_USE_ELF macro, setting TARGET_ELF
          automake conditional if target compiler is generating ELF
          binaries. (be1ae7087)
        * nxcomp{,shad}/configure.ac: trailing whitespace removal only.
          (dd1ae1769)

2018-02-09 Mihai Moldovan

        * Revert "NXhsm.c: add missing code" (7af47b583)
          Fixes:
          ArcticaProject/nx-libs#656

2018-02-08 Mihai Moldovan

        * nx-X11/config/cf/{Imake.{cf,tmpl},{linux,xorg}.cf}: support ppc64le
          alongside ppc64(be). (f76d4b541)

2018-02-07 Mihai Moldovan

        * Merge branch 'uli42-pr/update_xext' into 3.6.x (aecdb5266)

2017-10-21 Ulrich Sibiller

        * Xext: lift xvmain.c to xorg-xserver-7.1/1.1 state (5ec2366c4)
        * Xext: lift xres.c to xorg-xserver-7.1/1.1 state (8ebb5d23c)
        * Xext: lift sync.c to xorg-xserver-7.1/1.1 state (e85c6885e)
        * Xext: lift sleeputil.c to xorg-xserver-7.1/1.1 state (62373d428)
        * Xext: lift panoramiX to xorg-xserver-7.1/1.1 state (d9c3a7249)
        * Xext: lift DPMS extension to xorg-xserver-7.1/1.1 state (31900d41a)
        * Xext: lift screensaver extension to XORG-7_1 state (4ab18725c)

2018-02-07 Mihai Moldovan

        * nx-libs.spec: delete useless cond_noarch macro that has never been
          used. (cbdae3b71)
        * nx-libs.spec: build-depend on libtirpc-devel for rpc/rpc.h and
          friends on Fedora 28+. (6449b5548)
        * nx-libs.spec: only apply ppc64le workaround when compiled against
          RHEL/EPEL 7. (88efaf8af)

2018-02-05 Mike Gabriel

        * Merge branch 'uli42-pr/update_fb' into 3.6.x (a110b0c45)

2017-11-05 Ulrich Sibiller

        * Lift fb to xorg-xserver-7.1/1.1 state (f7207bcdc)

2018-02-05 Mike Gabriel

        * Merge branch 'uli42-pr/some_cleanups' into 3.6.x (b1c42dc98)

2018-01-05 Ulrich Sibiller

        * Window.c: fix TEST/DEBUG output (7db6cff1c)
        * Split.c: make nxagentWaitDrawable TEST messages look like all the
          others (ffc363c54)
        * Split.c: Fix wrong function names in TEST output (e3d749f68)
        * Splash.c: Fix wrong function names in TEST/DEBUG output (0a2a9da33)
        * Screen.c: Fix wrong function names in TEST output (0e54be636)
        * Rootless.c: Fix wrong function name in WARNING output (1930f184c)
        * Reconnect.c: Fix wrong function names in TEST output (f511fba34)
        * Pixmap.c: Fix wrong function names in TEST/WARNING output
          (87afc32f9)
        * Events.c: change scope of XButtonEvent struct and clear it before
          use (1c020ea9c)
        * Events.c: Fix wrong function name in TEST output (1997c04ab)
        * Dialog.c: Fix wrong function names in TEST output (5cee71a3c)
        * Composite.c: Fix wrong function names in TEST output (61e4d2949)
        * Client.c: Fix wrong function names in DEBUG/WARNING output
          (876063ce1)
        * NXdispatch.c: add FIXME (9e22a10a5)
        * NXdispatch.c: fix wrong indentation (acbc9cd31)
        * Handlers.c: Fix wrong function names in TEST output (99b114370)

2018-02-05 Mike Gabriel

        * Merge branch 'uli42-pr/shm_missing_code' into 3.6.x (995350d14)

2018-02-02 Ulrich Sibiller

        * NXhsm.c: drop setting of sequence number (9fb582f42)
        * NXhsm.c: add missing code (c804d99f2)

2018-01-28 Helmut Grohne

        * debian/rules: Fix FTCBFS: (see Debian bug #875867) Fix build/host
          confusion in debian/rules. Pass --host to ./configure.
          (ef0a3d636)

2018-01-20 Mike Gabriel

        * nxcomp/src/Loop.cpp: Typo fix in error msg. (949b91c64)

2018-01-16 Mike Gabriel

        * release 3.5.99.13 (61265ff61) (tag: 3.5.99.13)
        * Merge branch
          'sunweaver-pr/keep-disabled-rrxinerama-disabled-on-reconnects'
          into 3.6.x (9772277c6)
        * hw/nxagent/Screen.c: Additionally check for noRRXineramaExtension
          set to FALSE before using the nxagentAdjustRandRXinerama()
          function and providing a Xinerama-like user experience.
          (05dd84256)

2018-01-11 Mihai Moldovan

        * nx-X11/config/cf/{gnu,lnx}Lib.rules: add RPATH entries for
          temporary nxcomp and nxcompshad libraries. (7c43682e8)

2018-01-09 Mihai Moldovan

        * Merge branch 'Ionic-bugfix/ctime' into 3.6.x (1086c4aa5)
          Fixes:
          ArcticaProject/nx-libs#616

2017-12-30 Mihai Moldovan

        * nxcomp/src/Timestamp.{cpp,h}: use ::ctime_s or ::ctime_r instead of
          plain ctime, on-stack buffers and return std::string
          objects. (2eb2f2e6c)
          Fixes: ArcticaProject/nx-libs#616

        * nxcomp/configure.ac: add check for ::ctime_s. (df8908b9d)

2018-01-08 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_xext_includes' into 3.6.x (70e1e6a01)

2018-01-08 Ulrich Sibiller

        * panoramiX: fix includes (f66820b57)

2018-01-08 Mihai Moldovan

        * Merge branch 'uli42-pr/reenable_xc-misc' into 3.6.x
          (47ef330c5)
          Fixes: ArcticaProject/nx-libs#589

2018-01-08 Ulrich Sibiller

        * Re-enable XC-MISC extension (43456713b)

2018-01-07 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_strings' into 3.6.x (5f9f744cd)

2018-01-03 Ulrich Sibiller

        * Display.c: drop helper variable in loop (23c36c2d2)
        * Error.c: replace malloc+strcpy by strdup (b89b80949)
        * Events.c: add FIXME (27a31d0ce)
        * Keyboard.c: rework string allocation/building (11b2b067e)
        * Keystroke.c: replace calloc + 2;  strcpy by asprintf (a0e985fb6)
        * Font.c: replace malloc + strcpy by strdup + fix memleak (185470072)
        * Font.c: free possibly allocated mem (054ae8447)
        * Font.c: replace memcpy by sprintf preventing possible buffer
          overflows (56fa23485)
        * Args.c: simplify nxagentGetDialogName() (cac1af52d)
        * Args.c, Error.[ch]: introduce own length macro for
          nxagentClientsLogName (74c21e9e2)
        * Args.c: use strdup instead of malloc (dc61b6cca)
        * Error.c: update nxagentPrintError (96e430069)
        * Error.c: replace strcpy/strcat by snprintf (525e15168)
        * Error.c: use standard file descriptor macros (7d87e5a0c)
        * Error.c: remove trailing whitespace (654422a04)

2018-01-02 Ulrich Sibiller

        * Error.c: remove empty ifdef (6c080c839)
        * Font.c: pass down size (a8a693817)
        * Display.c: pass down buffer size to nxagentLookForIconFile
          (19a3918a7)
        * Replace hardcoded string lengths by macros (ea1e0bea3)

2017-12-08 Ulrich Sibiller

        * Font.c: make nxagentGetFontServerPath more readable (9a6b90c31)
        * Screen.c: string handling improvements (677da7fd3)
        * Font.c: shorten string handling (9d5c83e2f)

2017-11-24 Ulrich Sibiller

        * Keyboard.c: replace malloc + strcpy by asprintf (2836c72f7)
        * Keyboard.c: improve user messages for keyboard file handling
          (08912ef30)
        * Keyboard.c: fix memory leak (0e2c4df8e)

2017-11-23 Ulrich Sibiller

        * Dialog.c: fix possible buffer overflows (3de6bc749)

2017-11-24 Ulrich Sibiller

        * Dialog.c,Display.c,NXdixfonts.c: replace strncpy() by snprintf
          where appropriate (4a345786c)

2017-11-23 Ulrich Sibiller

        * Dialog.c,Display.c,Font.c,NXdixfonts.c: don't use hardcoded string
          buffer lengths (5987a7b1a)

2018-01-05 Mihai Moldovan

        * Merge branch 'Ionic-bugfix/rpath' into 3.6.x (3c8189971)
          Fixes:
          ArcticaProject/nx-libs#610

2018-01-03 Mihai Moldovan

        * nxproxy/src/Makefile.am: build library using RUNPATH instead of
          RPATH. (1c1431c0f)
        * nxproxy/configure.ac: enable libtool support. (d1897719a)
        * nxproxy/configure.ac: drop --enable-cxx11. (4d481bf99)

2017-12-30 Mihai Moldovan

        * Makefile: only try to copy/dereference libNX* files when installing
          data. (b91b13b37)
        * nx-X11: reintroduce creation of libX11 compat symlinks. (ecaa13ce6)

2017-12-29 Mihai Moldovan

        * Makefile: install relinked program binary instead of the
          "temporary" one. (3d17c665b)
        * nx-X11: build programs with a temporary RPATH/RUNPATH value and a
          relinked version with the system location. (ffc09a73d)

2017-12-28 Mihai Moldovan

        * nxcompshad/src/Makefile.am: enable new ELF dtags to force RUNPATH
          creation for libXcompshad. (44f8c424e)
        * nx-X11/config/cf/{gnu,lnx}Lib.rules: enable new ELF dtags to force
          RUNPATH creation for nxagent. (4b153f5b0)

2017-12-26 Mihai Moldovan

        * nxcompshad/src/Makefile.am: implement libX11 RPATH/RUNPATH
          override. (b13bf675a)
          Fixes: ArcticaProject/nx-libs#610

        * nxagent: implement RPATH/RUNPATH override for libX11.
          (26ab7b8a7)
          Fixes: ArcticaProject/nx-libs#610

2017-12-30 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_abstract' into 3.6.x (e13e31f75)
          Fixes:
          ArcticaProject/nx-libs#612
          Fixes:
          ArcticaProject/nx-libs#572

2017-12-29 Ulrich Sibiller

        * EncodeBuffer.cpp: add another VALGRIND guard (367bec595)

2017-12-28 Ulrich Sibiller

        * nxcomp: drop strncpy in favour of snprintf (6e98e35cf)

2017-12-27 Ulrich Sibiller

        * Loop.cpp: fix memleak happening with unknown tcp host (9e8bd2e1b)
        * ChannelEndPoint.cpp: fix possible memleak in getUnixPath()
          (ce293647d)
        * ChannelEndPoint.cpp: remove unneccessary code (17d045826)
        * ChannelEndPoint.cpp: fix another memleak (eae64c4a4)
        * EncodeBuffer.cpp: add VALGRIND guard (96879dc69)
        * nxcomp: implement correct length handling for unix socket structs
          (6198e0376)
        * Loop.cpp: drop ugly ifdef indentation (2367fc714)
        * Loop.cpp: create xServerAddrUNIX only if required (6d8fe661e)
        * Loop.cpp: improve/fix usage of s(n)printf (14a558918)
        * Loop.cpp: some reformatting/simplification/FIXMEs (3066195d7)
        * Loop.cpp: delete passed object prior to overwriting it (c31c54c1b)
        * ChannelEndPoint.cpp: re-scope/improve getSpec (c48748ba0)
        * Loop.cpp: delete structs when no longer required (f1905c864)
        * Loop.cpp: always close testSocketFD (b593edeb2)
        * Loop.cpp: free display before leaving SetupDisplaySocket()
          (4107159e2)
        * Loop.cpp: Fix memset (size was 0) (604e09686)

2017-12-28 Mihai Moldovan

        * Merge branch 'uli42-pr/silence_nxcompshad_warnings' into 3.6.x
          (2d44051aa)
          Fixes: ArcticaProject/nx-libs#572

2017-12-27 Ulrich Sibiller

        * nxcompshad: silence GCC warnings (2cade632b)

2017-12-28 Mihai Moldovan

        * Merge branch 'uli42-pr/reduce_uninitialised' into 3.6.x (061c35772)

2017-12-10 Ulrich Sibiller

        * reduce usage of uninitialised bytes (6acbfab33)

2017-12-27 Mihai Moldovan

        * nxcomp/src/Log.h: take a reference-type in generic has_newline()
          function. (bc5f9a236)
        * nxcomp/src/Log.cpp: don't confuse users with useless warning
          messages in case that a log line append operation was
          requested, but the message level has lower precedence than
          the current log filter. (8036f6914)
        * nxcomp/src/Log.h: make sure we don't pass NULL pointers to
          strstr(). (56dbc2156)

2017-12-25 Mihai Moldovan

        * nxcomp/src/Loop.cpp: whitespace in log messages only. (57845ced5)
        * nxcomp/src/Loop.cpp: use new log continuation mechanism.
          (970704ca4)
          Fixes: ArcticaProject/nx-libs#577
          Fixes:
          ArcticaProject/nx-libs#611

        * nxcomp/src/Loop.cpp: whitespace only. (fe447bb6d)

2017-12-24 Mihai Moldovan

        * nxcomp/src/Log.{cpp,h}: provide infrastructure for appending to
          already existing log lines. (dccf5901e)
        * nxcomp/src/Log.h: NXLogStamp constructor should actually take a
          size_t-typed line parameter. (b30cfaa24)
        * nxcomp/src/Log.h: use initializer lists instead of initializing
          member variables in-block. (5ff87ca9e)
        * nx-X11/programs/Xserver/hw/nxagent/Screen.c: re-enable normal
          error/warning output. (fcb41e324)
        * nxcomp/src/ChannelEndPoint.cpp: don't use C-style casting in C++
          code... (9dba2435c)
        * nxcomp/src/Loop.cpp: fix small memory leak. (ae73fedf8)
        * testscripts/run-nxproxy2nx*: use more quotes, common variables and
          braces. (1e448d2f5)
        * testscripts/run-nxproxy2nx*: drop echo -ne "...\n". (a0003405b)
        * testscripts/*: fix "randlomly" typos. (6c7869ab9)
        * nx-X11/programs/Xserver/hw/nxagent/Screen.c: update screen size
          after modifying CRTC modes. (34bef6330)

2017-12-19 Mihai Moldovan

        * nx-libs.spec: make sure pass additional configure flags through,
          not discard them. (75767979e)
          Fixes:
          ArcticaProject/nx-libs#540

        *
          nx-X11/extras/Mesa.patches_6.4.2/4002_no-special-glx-memfunctions.patch:
          include stdlib.h and string.h for memset, malloc and free
          prototypes. (ef28eb472)
        * mesa-quilt: drop debugging option erroneously committed.
          (218a340d8)
        * mesa-quilt: ignore user configuration file when applying MESA
          patches. (2c4afb84e)
        * nx-libs.spec: show compile calls during RPM-based builds.
          (10871bba0)
        * nx-libs.spec: re-add %{optflags} to CDEBUGFLAGS. (6616983f2)

2017-12-18 Mihai Moldovan

        * nxcomp/src/Loop.cpp: log message fixups only. (08ad4d04d)

2017-12-16 Mihai Moldovan

        * Drop SHMNAME workaround again, it *is* defined in shmstr.h, which
          is actually header I was searching for. (e7b744525)
        * nx-X11/programs/Xserver/Xext/shape.c: avoid pulling in Xlib in
          legacy mode via the _SHAPE_SERVER_ macro. (1e2fc1548)
        * nx-X11/programs/Xserver/Xext/shape.c: pull in shapestr.h for legacy
          Xext proto versions, since shape.h would pull in Xlib.
          (3abdb9960)
        * Handle SHAPE proto splitup gracefully for legacy Xext proto
          versions. (caa048a18)
        * zlib compatibility: whenever we want -I flags only, assume that the
          headers are directly available. (404e6634a)
        * nx-X11/programs/Xserver/include/misc.h: add compat define for
          SHMNAME. (e37532ca8)
        * Support building with legacy zlib versions that do not ship a
          pkg-config file. (779a116ff)
        * Support building with legacy (pre-7.1.0) Xext proto versions.
          (e92c2a878)
        * Revert "nx-libs.spec: add xorg-x11-libXext-devel build dependency
          for older *SUSE versions." (0d6207bd3)
        * nx-libs.spec: add xorg-x11-libXext-devel build dependency for older
          *SUSE versions. (cc47066b3)
        * nx{comp{,shad},proxy}: use dist-bzip2 instead of dist-xz.
          (ddd6f72ff)
        * debian/control: add dependencies needed for debian/compat.sh.
          (4c4f2b185)
        * Makefile: correctly quote variables when passing them down to other
          programs. (c173e6b99)
        * nx-libs.spec: pixman is called libpixman-1-0 on older *SUSE
          versions. (3206eacf6)
        * nx-libs.spec: imake is part of xorg-x11-util-devel on older *SUSE
          versions and the splitted imake package on later versions.
          (3411a8bc7)
        * nx-libs.spec: older *SUSE versions do not split up (all) libraries
          in a useful manner. (c7c4987b8)
        * Support building with legacy (pre-1.4.2) libXfont(1) versions.
          (fe011b55d)
        * debian/rules: execute new debian/compat.sh file before the actual
          build. (fb2e9a8b5)
        * debian/: add compat.sh file containing compatibility logic for
          older Debian and Ubuntu versions. (baf61fbb2)
        * nx-libs.spec: also own %{_datadir}/nx/X11, since %dir explicitly
          does not recurse down. (0bbef4f40)

2017-12-15 Mihai Moldovan

        * nxcompshad/Makefile.am: also correctly call aclocal here.
          (1d431b53c)
        * {nx-X11/lib,nxproxy}/Makefile.am: also use correct aclocal flags in
          the other locations. (0e0eb5a43)
        * nxcomp/test/logging_test.cpp: return a value in non-void function.
          (df6afb60d)
        * nx-X11/config/cf/linux.cf: recursive macros aren't a thing.
          (a10b9c649)
        * nxcomp/Makefile.am: call aclocal with the correct include dir
          argument. (3d59e2c30)
        * nx-libs.spec: only remove files in the BuildRoot. (a22213e47)
        * nx-X11/config/cf/linux.cf: don't override default CC options for
          {ARM,PPC}{32,64}. (dfa24dd8f)
        * Merge branch '3.6.x' (1dad092ca)

2017-12-15 Mike Gabriel

        * release 3.5.99.12 (2b9025f79) (tag: 3.5.99.12)
        * Xserver/hw/nxagent/Image.c: Fix regression FTBFS after d4465b71 got
          merged in. (4fb495432)
        * debian/changelog: post-release version bump to 3.5.99.11
          (cfbb03820)
        * release 3.5.99.11 (b213c8eba) (tag: 3.5.99.11)
        * Merge branch 'sunweaver-pr/more-X-memory-macro-fixes' into 3.6.x
          (4cca1b4bd)

2017-12-14 Mike Gabriel

        * Xserver/hw/nxagent/Clipboard.c: Fix free calls (free back to
          XFree). (5597f2ea5)
        * Xserver/hw/nxagent/compext: Xfree -> free and Xmalloc -> malloc.
          (d4465b719)

2017-12-15 Mihai Moldovan

        * nx-libs.spec: actually use a weak dependency for xkeyboard-config.
          (8cca3f09d)
        * nx-libs.spec: add back erroneously dropped xkeyboard-config
          dependency. (8cf5b5b7c)

2017-12-14 Mihai Moldovan

        * Merge branch 'sunweaver-pr/fix-compiler-warnings' into 3.6.x
          (1d301c517)

2017-12-14 Mike Gabriel

        * Xserver/GL/glx/glxcmds.c: Cast small-int values through intptr_t
          when passed as pointers (8bb1579f4)

2017-03-17 Mike Gabriel

        * lib/X11/Xrm.c: Compiler warning fix: logical-not-parentheses
          (ac6a216c5)

2017-02-17 Mike Gabriel

        * glx: warning fixes (a6ffabda6)
        * Xserver/GL/glx/glxfb.c: Fix compiler warning: pointer-sign.
          (16fbdb2a8)
        * hw/nxagent/Events.c: Fix compiler warnings (with NX_DEBUG_INPUT):
          format. (a27414524)
        * hw/nxagent/NXxvdisp.c: Fix compiler warnings:
          misleading-indentation (7aed70f14)
        * hw/nxagent/NXdispatch.c: Fix compiler warning:
          misleading-indentation (72152baff)

2017-02-16 Mike Gabriel

        * Xserver/Xi/chgfctl.c: Fix compiler warning: misleading-indentation.
          (6d98e5381)

2017-12-14 Mike Gabriel

        * debian/rules: Neither overzealously remove nx-X11/Makefile.
          (91ca51bff)
        * debian/rules: Don't remove our main Makefile. (8cade97b0)
        * debian/rules: Fix override_dh_clean target for older Debian/Ubuntu
          versions. (346c59516)
        * Add missing/renamed patches. (Ouch!). (542b5b461)

2017-09-22 Mike DePaulo

        * nx-libs.spec: Add missing BuildRequires and fix paths to files.
          (f8b2a04e0)

2017-12-14 Mike Gabriel

        * debian/control: Set Section: to "libs" for libnx-x11-6. (5000ded30)
        * debian/control: All Priority: extras packages are required to be
          changed to Priority: optional by recent Debian Policy.
          (f17d4eb26)
        * Merge branch 'uli42-pr/improve_keyboard_light' into 3.6.x
          (abaebb5b1)

2017-11-13 Ulrich Sibiller

        * nxagent manpage: extend description of keyboard option (a02b645b2)

2017-08-31 Ulrich Sibiller

        * Events.c/h: Rename & restructure some Xkb functions (7dbc6cf86)

2017-07-22 Ulrich Sibiller

        * Keyboard.c: Replace some memsets by zero initialization (8e5b1e7a2)
        * Keyboard.c: Fix indentation (de9b4edf9)

2017-08-12 Ulrich Sibiller

        * Keyboard.c: set variables to NULL after free (88bc52615)

2017-07-22 Ulrich Sibiller

        * Keyboard.c: XkbDfltRepeatDelay and XkbDfltRepeatIntervall are int
          not uint (94fae7497)
        * Keyboard.c: Use calloc instead of malloc + memset (eb4abe4c5)
        * nxagent manpage: Extend keyboard documentation (5c4a001ac)
        * Keyboard.c: Make xkblock more robust (8b206a261)
        * Keyboard.c: Some code cleanups (1e1ea1cea)
        * nxagent manpage: Improve explanation of -noignore and -noxkblock
          (a44737855)
        * Keyboard.c: Add some comments with changelog explanations
          (ba8076697)

2017-12-06 Ulrich Sibiller

        * Keyboard.c: print message class for user messages (9566acb5a)
        * Keyboard.c: Improve TEST output (c37c47ac4)

2017-12-13 Mike Gabriel

        * debian/*: Adopt from official Debian package where appropriate.
          (7610c0f19)
        * Merge branch 'uli42-pr/pre-rrxinerama-fallback' into 3.6.x
          (c5f3c2042)

2017-07-13 Ulrich Sibiller

        * small code cosmetics (bd1ca625e)
        * always notify on size changes (0852aa52c)
        * re-implement pre-xinerama behaviour (1923f49dd)

2017-12-13 Mihai Moldovan

        * nx-X11/programs/Xserver/os/xprintf.c: completely drop NX-related
          changes. (73c113ce6)
        * debian/x2goagent.options: reenable XFIXES extension. (6d70b9e3c)

2017-12-11 Mihai Moldovan

        * nxcomp/src/Log.cpp: only create a new queue entry if we actually
          intend to write it out later. (3731a996d)
          Fixes:
          ArcticaProject/nx-libs#596

2017-12-11 Mike Gabriel

        * Merge branch 'uli42-pr/fix_shadow_warning' into 3.6.x (7882a39ad)

2017-12-10 Ulrich Sibiller

        * Silence warning: "ar: 'u' modifier ignored since 'D' is the
          default" (018c557c4)
        * nxcomp: fix shadow warning (d5c3e75b3)

2017-12-11 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_xtrans' into 3.6.x (29bb12312)

2017-12-10 Ulrich Sibiller

        * Xtranssock.c: simplify code in SocketWritev (0eb1dc67d)

2017-12-11 Mike Gabriel

        * Merge branch
          'sunweaver-pr/drop-NoMachines-own-Xvasprintf-implementation'
          into 3.6.x (4988e7c5f)
        * Xserver/os/xprintf.c: Drop NoMachine's own implementation of
          Xvasprintf(). Use stock implementation instead.
          (cf2e07657)

2017-12-11 Mihai Moldovan

        * nx-X11/programs/Xserver/os/xprintf.c: remove doubly-defined
          Xscnprintf function, add missing header includes.
          (c31cd7737)

2017-12-10 Mike Gabriel

        * Merge branch 'Ionic-feature/backport-asprintf' into 3.6.x
          (e54e42af9)

2017-12-07 Daniel Kurtz

        * os/xprintf: add Xvscnprintf and Xscnprintf (a6e632aac)

2017-12-07 Colin Harrison

        * Typo in xserver Xvasprintf() (c281c6e06)

2017-12-07 Alan Coopersmith

        * Add asprintf() implementation for platforms without it (1e3a97482)

2017-12-09 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_memleaks' into 3.6.x (804ff4452)
          Fixes:
          ArcticaProject/nx-libs#569
          Fixes:
          ArcticaProject/nx-libs#573

2017-12-07 Ulrich Sibiller

        * nxcomp: use new macro SAFE_FREE(ptr) (4dbee3a3f)

2017-11-28 Ulrich Sibiller

        * Loop.cpp: fix more memory leaks (2814677a7)
        * Loop.cpp: fix two memleaks (1c09eab70)
        * ChannelEndPoint.cpp: fix two memleaks (c4660e109)

2017-11-27 Ulrich Sibiller

        * nxcomp: simplify free calls (21c742d25)
        * nxcomp: fix double free (513aa23a7)

2017-12-09 Mihai Moldovan

        * Merge branch 'uli42-pr/keep_co' into 3.6.x (6d7536bd4)

2017-12-04 Ulrich Sibiller

        * Reintroduce -co as no-op (eff0f366d)

2017-12-07 Mihai Moldovan

        * Merge branch 'uli42-p/xquerytree_leak' into 3.6.x (eb9618739)
          Fixes:
          ArcticaProject/nx-libs#585

2017-12-05 Ulrich Sibiller

        * Events.c: add ifdef around nxagentRemoteWindowsTree (ad53af097)
        * Make sure XQueryTree results are freed (cdaec755d)
        * Events.c: drop unused variable (0938cf83d)
        * Events.c: move variable to inner scope (43579a3b9)

2017-12-07 Mihai Moldovan

        * Merge branch 'uli42-pr/various_backports' into 3.6.x
          (5487d52fe)
          Fixes: ArcticaProject/nx-libs#558
          Fixes:
          ArcticaProject/nx-libs#541
          Fixes:
          ArcticaProject/nx-libs#542

2017-12-05 Daniel Stone

        * DIX: XKB: Set xkbInfo to NULL as well as freeing it (aac4c5f59)
        * Allow options to appear with other components. (e05b90814)

2017-12-05 Lars Knoll

        * devPrivates fixes (e073093cc)

2017-12-05 Adam Jackson

        * Coverity # 337: Remove useless NULL check. (0a010adfc)
        * Coverity # 491: Check version number correctly. (1771deaf1)

2006-03-15 Adam Jackson

        * Coverity # 487: Check version number correctly. (d31f107c6)
        * Coverity # 807: Fix a memory leak in XFixesExpandRegion.
          (43388104d)

2017-11-09 Giuseppe Bilotta

        * randr: free crtc->outputs on destroy (6f9a6aacd)
        * randr: always realloc crtcs and outputs (4e059d579)

2017-12-07 Mihai Moldovan

        * Merge branch 'uli42-pr/improve_nxproxy_help' into 3.6.x (c571aa9ed)

2017-11-29 Ulrich Sibiller

        * nxproxy/nxcomp: document logging options (9e3381cc8)

2017-11-27 Ulrich Sibiller

        * nxcomp/nxproxy: slightly improve the usage message of nxproxy
          (3fcb8e4ee)
        * nxcomp/nxproxy: add missing hint for keyconv option (f51194fb1)

2017-12-06 Mihai Moldovan

        * Merge branch 'sunweaver-pr/drop-bin-wrappers' into 3.6.x
          (80e590ea1)
          Fixes: ArcticaProject/nx-libs#546
          Fixes:
          ArcticaProject/nx-libs#547

2017-11-26 Mike Gabriel

        * Makefile: Quote '$@' in make calls with double quotes. (c54558e3c)

2017-11-21 Mike Gabriel

        * Makefile: Don't use DESTDIR in configure. (1539c20e5)
        * Drop bin wrappers for nxagent and nxproxy, directly install nxproxy
          and nxagent to BINDIR. (ca4308781)

2017-12-05 Mike Gabriel

        * Merge branch 'uli42-pr/fix_global_tcpFD' into 3.6.x (05cf54af3)

2017-12-02 Ulrich Sibiller

        * nxcomp: use lowercase abbreviations for seconds and milliseconds
          (b8c929773)
        * nxcomp: remove unused return values (3bd7e03e1)
        * nxcomp: Fix setting of global tcpFD (82e893ef2)

2017-11-26 Mihai Moldovan

        * Merge branch 'uli42-pr/nokeyconv' into 3.6.x (7f777e01e)

2017-11-23 Ulrich Sibiller

        * Keyboard.c: make nxagentKeycodeConversion a Boolean (66046f138)

2017-11-19 Ulrich Sibiller

        * add option keyconv=(auto|on|off) (8fd25cf83)
        * Keyboard.c: Use booleans for nxagentKeycodeConversion (4b71309c3)

2017-11-22 Mike Gabriel

        * nxcomp/src/Misc.cpp: Update explanation for the NX_TEMP env
          variable. (2e724702e)
        * nxproxy.1 man page: Update explanation for NX_TEMP env variable.
          (78661a19a)
        * Merge branch 'Ionic-bugfix/hardcode-socket-paths-in-libX11' into
          3.6.x (f0f4fdc2b)

2017-11-22 Mihai Moldovan

        * nx-X11/lib/include/xtrans/Xtranssock.c: drop UNIX path overrides as
          well. (df9b5306e)
          Fixes: ArcticaProject/nx-libs#536

2017-11-21 Mike Gabriel

        * Merge branch 'uli42-pr/simplify_free' into 3.6.x (ce182e88a)

2017-11-18 Ulrich Sibiller

        * Error.c: simply nxagentGetClientsPath() (dc43f4c98)
        * simply free() calls (7e975e3cc)

2017-11-20 Mike Gabriel

        * Merge branch 'uli42-pr/options_on_reconnect' into 3.6.x (3b640a0f8)

2017-11-18 Ulrich Sibiller

        * Args.c: simplify nxagentProcessOptionsFile() (4ef4fbf16)
        * Args.c: Fix compile bug with DEBUG enabled (6c9622963)
        * Fix options parsing on reconnect (76ce623ab)

2017-11-17 Mike Gabriel

        * Merge branch 'uli42-small_fixes' into 3.6.x (39d45a0e8)

2017-10-18 Ulrich Sibiller

        * fix broken path due to missing / (9a1604372)
        * NXglxext.c: rename and relocate variable (ac66ba349)
        * glxext.c/NXglxext.c: merge two functions into one (fff0d5473)
        * keysym.h: fix include path (b0b62dde6)

2017-11-17 Mike Gabriel

        * Merge branch 'uli42-pr/fix_manpage' into 3.6.x (56569f336)

2017-11-17 Ulrich Sibiller

        * nxagent manpage: some minor formatting improvements and typo fixes
          (72c1f83fb)

2017-11-10 Mihai Moldovan

        * nx-libs.spec: fix SHLIBSGLOBALSFLAGS => SHLIBGLOBALSFLAGS typo
          spotted by Orion Poplawski. (71511a765)

2017-11-08 X2Go Release Manager

        * Continue development (81d935604)
        * Mid-release fixup: split up
          debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch.
          (415446307)
        * Mid-release fixup: rename
          debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
          to
          debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full.patch.
          (09bb93e00)
        * release 3.5.0.33 (7dacd7993)

2017-11-04 Mike Gabriel

        * Merge branch 'Ionic-bugfix/hardcode-some-socket-paths' into 3.6.x
          (e788a70ce)

2017-11-03 Mihai Moldovan

        * nxcomp/src/Loop.cpp: hardcode X11 and (legacy/xfs) font UNIX paths.
          (79257eed0)

2017-11-04 Mihai Moldovan

        * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths. (2c75b00f3)
        * nxcomp: Handle launchd sockets in DISPLAY variable correctly when
          fetching X cookie. (e095b8f6b)

2017-11-03 Mike Gabriel

        * Merge branch 'Ionic-bugfix/fix-X-cookie-on-osx' into 3.6.x
          (e3f498e62)

2017-11-03 Mihai Moldovan

        * nxcomp/src/Auth.cpp: handle launchd sockets in DISPLAY variable
          correctly when fetching X cookie. (bd25453bd)

2017-11-02 Mihai Moldovan

        * nx-libs.spec: let x2goagent conflict with pre-4.0.1.21 x2goserver
          versions. (288cc6fec)
        * debian/control: change Breaks statement to pre-4.0.1.21 x2goserver
          and add a Replaces: x2goserver << 4.0.1.21 section to
          x2goagent package. (b5230d371)

2017-10-27 Mihai Moldovan

        * nxproxy: use ax_pthread.m4. (1c6c9c04b)
        * nxcomp/m4/ax_pthread.m4: move to top-level m4/ directory, use
          symlink. (22bb128dc)

2017-10-27 Mike Gabriel

        * Regression fix for f855b3b6. Caused FTBFS with Loop.cpp:2669:0:
          error: unterminated #ifdef (#ifdef TIME). (06a6c5829)
        * Merge branch 'theqvd-improved-logging-loop' into 3.6.x (2e4f9e7a9)
        * Merge branch 'theqvd-improved-logging' into 3.6.x (de3d9ff4e)

2017-09-29 Mihai Moldovan

        * nxcomp/src/Loop.cpp: fix whitespace errors on continued lines.
          (ab0c4f842)

2017-03-22 Vadim Troshchinskiy

        * Remove leading \n in NXTrans* logging (d202b052e)

2017-03-16 Vadim Troshchinskiy

        * Fix whitespace and line splitting issues reported by ionic
          (f855b3b61)

2016-12-22 Vadim Troshchinskiy

        * Conversion of Loop.cpp to the new log system (1cf6aa8f2)

2017-09-30 Mihai Moldovan

        * nxcomp: add basic logging_test utility in test subdirectory.
          (ceac07763)
        * nxcomp/src/Log.h: prepare for logger testing application.
          (5efcd39fc)

2017-10-27 Mihai Moldovan

        * nxcomp/src/Log.cpp: add PID to thread ID output if requested.
          (6c3cf54ba)

2017-09-30 Mihai Moldovan

        * nxcomp/src/Log.h: block signals while writing out data. (1829a35cd)
        * nxcomp/src/Log.{cpp,h}: port to std::stack as internal buffer
          structure. (09586d760)

2017-06-30 Mihai Moldovan

        * nxcomp/{configure.ac,Log.cpp}: implement configure-time
          std::put_time check and use macro value in Log.cpp.
          (fc4a18d33)
        * nxcomp/Log.h: delete stream_ member before class object
          destruction. (67b0a17fa)
        * nxcomp/Log.h: also clear the buffer after setting it to an empty
          string. (ca08512cf)

2016-12-22 Vadim Troshchinskiy

        * Set default log level to WARNING (d960ec2cb)
        * New logging implementation (b0521e816)

2017-07-13 Mihai Moldovan

        * nxcomp: add AX_PTHREAD code from autoconf-archive and check for
          pthread support. (381c39b86)

2017-09-29 Mihai Moldovan

        * nx{comp{,shad},proxy}: add configure flag --enable-cxx11 to enable
          and setup optional C++11 support. (1f717c6fd)

2017-10-27 Mihai Moldovan

        * nxcomp/configure.ac: rename --{en,dis}able-info to
          --{en,dis}able-debug, as originally planned. (39ee56f5d)

2017-10-20 Mihai Moldovan

        * README.md: add short Windows section and mention that using Cygwin
          tools is imperative when working with the git repository.
          (dae8551e2)

2017-10-16 Mihai Moldovan

        * nx-libs.spec: pass CDEBUGFLAGS and friends directly through via
          make command. (c6b004578)
        * nx-libs.spec: handle potentially undefined variables more
          gracefully. (92485be30)
        * nx-libs.spec: pass CDEBUGSFLAGS and friends directly to the make
          command in %build. (d017d211d)
        * nx-libs.spec: drop ugly optsflag sed hack, hopefully obsoleted by
          passing CDEBUGFLAGS through. (71bda0ed5)
        * nx-libs.spec: drop ugly sed hack to push optflags to build system.
          (07d308359)
        * debian/changelog: fixup changelog. (f54e56d81)
        * OPTFLAGS: Properly propagate build option flags to
          nxcomp{,ext,shad} and the nx-X11 build scripts.
          (13aed2463)
        * nx-libs.spec: add -mno-vxs to general C(XX)FLAGS on ppc64le.
          (9d750c686)
        * nx-libs.spec: add -mno-vxs to general C(XX)FLAGS on ppc64le.
          (bd2a66fec)
        * debian/patches: fixup series file to include previous patch.
          (df3944d46)

2017-10-10 Mike Gabriel

        * Merge branch 'theqvd-media_argument_bugfix' into 3.6.x (13041f5c0)

2017-10-10 Vadim Troshchinskiy

        * Fix bug #525: PANIC! No port specified for multimedia connections
          (f2c73bd84)

2017-10-10 Simon Matter

        * nxcomp: Reduce control->TokenSize slightly again in order to fix
          fragmentation of packages when on VPN (or otherwise
          encapsulated) connections. (e73464e4f)

2017-10-10 Mike Gabriel

        * Merge branch 'Ionic-add-stray-files-to-gitignore' into 3.6.x
          (17ae45e0f)

2017-10-10 Mihai Moldovan

        * .gitignore: ignore vim swap files. (0336aab79)
        **/.gitignore: add stray files. (5d44c595a)
          Fixes:
          ArcticaProject/nx-libs#523

2017-10-09 Mihai Moldovan

        * Merge branch 'sunweaver-pr/nxcomp-tokensize-in-vpn-tunnels' into
          3.6.x (b67be23b1)

2017-10-09 Simon Matter

        * nxcomp/src/Loop.cpp: Reduce control->TokenSize slightly again in
          order to fix fragmentation of packages when on VPN (or
          otherwise encapsulated) connections. (418db3b5c)

2017-10-09 Mike Gabriel

        * .gitignore: Improve all .gitignore files, adapt to autotools
          build-flow and its build cruft. (27c14b4eb)

2017-09-29 Mihai Moldovan

        * nxcomp/src/Loop.cpp: whitespace fixes only. (371c71276)
        * nxcomp/configure.ac: prettify AC_ARG_ENABLE() calls, use more
          quotes and AS_IF() where appropriate. (b5c714690)

2017-09-29 Simon Matter

        * nxproxy/src/Main.c: Silence compiler warning. (03ebe6f25)

2017-09-29 Vadim Troshchinskiy

        * Merge pull request #519 from theqvd/fix_nxagent_arg_parsing
          (b3f2e3006)

2017-09-28 Vadim Troshchinskiy

        * Fix nxagent argument parsing logic (5f1eb0dc3)
          Fixes:
          ArcticaProject/nx-libs#518

2017-09-15 Mike Gabriel

        * debian/control: Bump Standards-Version: to 4.1.0. No changes
          needed. (3c95d6040)
        * debian/control: Drop non-required B-D libxmltok1-dev. (4bc1d6ccc)
        * release 3.5.99.10 (6557c0043) (tag: 3.5.99.10)

2017-09-14 Mihai Moldovan

        * Merge branch
          'sunweaver-pr/assure-that-Mesa-includes-headers-from-libNX_X11'
          into 3.6.x (4405c6a6b)

2017-09-13 Mike Gabriel

        * Assure that headers from libNX_X11 are always included from
          $(INCDIR)/nx-X11/. (f9c23b51e)

2017-09-13 Mihai Moldovan

        * nx-X11/programs/Xserver/hw/nxagent/Render.c: use macros obtaining
          values from _XPrivDisplay instead of the other Display
          structure directly. (0815fb06f)

2017-09-06 Mihai Moldovan

        * Merge branch 'sunweaver-pr/sun-path-is-104-on-debian-kfreebsd' into
          3.6.x (81569ad6b)
          Fixes: ArcticaProject/nx-libs#507

2017-08-31 Mike Gabriel

        * nxcomp/src/{Loop,Proxy}.cpp: On Debian/kFreeBSD (and other *BSD
          variants) the sockaddr_un.sun_path property is 104 chars
          long, not 108. Hard-coding Unix domain sockets in nxcomp
          the string length 104. (96ba6190d)

2017-08-30 Mike Gabriel

        * Mesa.patches: Shrink over-zealous 5001 patch. Only patch files that
          we use during build. (d3f97cea2)
        * roll-tarball.sh: Drop m4/nx-xtrans.m4 from nx-libs-lite tarball.
          (055f52b03)
        * roll-tarball.sh: Some more .gitignore files to remove. (1047cda6d)
        * roll-tarball.sh: Use -f with rm everywhere, also when tweaking the
          Mesa/ dir. (bbf69e0a6)
        * release 3.5.99.9 (f4afa5a56) (tag: 3.5.99.9)
        * debian/rules: Strip static libraries before installing them into
          the lib*.dev packages. (13264ea7f)
        * Mesa.patches: Add 5001_nasty-typo-fixes.patch. Fix some nasty typos
          in Mesa's code ending up in the nxagent binary.
          (15909676e)
        * hw/nxagent/Window.c: Fix spelling error in debug message.
          (b9e5f03ab)
        * debian/control: Bump Standards-Version: to 4.0.1. No changes
          needed. (bdd4fc212)
        * debian/copyright: Update copyright attributions. (9cffffe5e)
        * nx-X11/extras: Drop Mesa-6.4.1 related files. (5ecf04c92)

2017-08-28 Mihai Moldovan

        * Merge branch 'sunweaver-pr/drop-nxcompshad-cygwin-support' into
          3.6.x (709bce6cf)

2017-07-17 Mike Gabriel

        * nxcompshad: Drop Cygwin/Win32 support. Has been untested and unused
          for a long time. (d9e2822f5)

2017-08-26 Mihai Moldovan

        * Merge branch 'sunweaver-pr/nxagent-render-cleanup' into 3.6.x
          (bc66da714)

2017-07-17 Mike Gabriel

        * nx-X11/programs/Xserver/Render.c: Re-introduce
          nxagentGlyphsCleanup() from libNX_Xrender's formerly
          removed XRenderGlyphsCleanup(). (4eade297b)

2017-08-25 Mike Gabriel

        * nx-X11/Makefile: Only run full CleanEnv code, if imake is installed
          in the build-system. (7290aea3b)
        * Makefile: Check for dir existence before attempting to remove it.
          (a32f1dfa1)
        * Makefile: Use $(RM_DIR) rather then plain rmdir in clean-env
          target. (71878f7a9)

2017-08-25 Mihai Moldovan

        * Merge branch 'sunweaver-pr/libnx-x11-autoreconf' into 3.6.x
          (ae0a2bfde)

2017-08-11 Mike Gabriel

        * debian/rules: Re-order configure options for the sake of more
          beauty. (3b7e5a42f)
        * debian/rules: Use tabs as first indentation level. (9a79e09a5)
        * debian/control: Add D (libnx-x11-6): libx11-data. (9edd6e055)
        * nx-X11/programs/Xserver/Imakefile: White-space fix. (11fa0b140)

2017-07-21 Mike Gabriel

        * Convert nx-X11/lib/ build flow from imake to autotools. (c350873c7)

2017-07-17 Mike Gabriel

        * debian/rules: Add configure option --disable-silent-rules.
          (1472e7e37)

2017-07-12 Mike Gabriel

        * nx*/configure.ac: Use newly introduced macro NX_DEFAULT_OPTIONS
          instead of NX_COMPILER_FLAGS. (55c4e4070)
        * m4/nx-macros.m4: Add NX_STRICT_OPTION and NX_DEFAULT_OPTIONS macros
          (borrowed from X.org's xorg-macros.m4). (ef08aadf5)

2017-08-11 Mike Gabriel

        * Merge branch 'uli42-pr/versionprop' into 3.6.x (cbe2c0e44)

2017-08-10 Ulrich Sibiller

        * Set NX_AGENT_VERSION property for root window (715fcfe6d)

2017-08-09 Mihai Moldovan

        * nxcomp/configure.ac: fix copy-and-paste typo (nxcompshad.pc.)
          (8235925a2)
        * nxcomp/configure.ac: we don't need to specify empty optional
          parameters. (8b88289ee)
        * Merge branch 'sunweaver-pr/find-libjpeg-without-pkgconfig' into
          3.6.x (b1b919477)

2017-08-03 Mike Gabriel

        * nxcomp/configure.ac: Don't rely on pkg-config alone when it comes
          to testing for presence of libjpeg shared lib and header
          files. (4fd038dba)

2017-08-03 Mihai Moldovan

        * nx-X11: Render.c: Improve situation for multiple trapezoid
          requests. (1077270f8)

2017-08-03 Oleksandr Shneyder

        * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
          (ab2885575)

2017-08-03 Mihai Moldovan

        * debian/patches: refresh all patches. (6ae091cc2)

2017-08-02 Mike Gabriel

        * nxproxy/src/Makefile.am: Actually define nxproxy_CFLAGS, so the
          various compiler warning flags get enabled at build time
          of nxproxy. (430ae6eb6)

2017-07-31 Mike Gabriel

        * Merge branch 'sunweaver-pr/fix-multi-trapez-requests' into 3.6.x
          (dc8e52407)

2017-07-31 Oleksandr Shneyder

        * Render.c: Improve situation for multiple trapezoid requests.
          (da43f047a)

2017-07-26 Mihai Moldovan

        * Merge branch 'sunweaver-pr/nxcomp-autoreconf' into 3.6.x
          (7897834ce)

2017-07-12 Mike Gabriel

        * nxcomp: Add __attribute__((noreturn)) to more functions where
          appropriate. (4afc641fd)
        * nxcomp/src/Loop.cpp: Don't mix using global proxyFD and a local
          p(roxy)FD variable (in WaitForRemote() and
          ConnectToRemote()). Rename local variable name.
          (b3a3382ad)
        * nxcomp/src/Loop.cpp: Don't use global variables as function
          paramters in handleLogReopenInLoop(). (82c218288)

2017-07-14 Mike Gabriel

        * nxcomp/src/Loop.cpp: Drop global variable diffTs, declare it in
          every funtion where it is needed. (e47995370)
        * nxcomp/src/Transport.cpp: Don't redeclare local variable if it can
          be reused. (04e09f277)

2017-07-12 Mike Gabriel

        * nxcomp/src/Loop.cpp: Don't reuse global variable names as function
          parameters in SetupDisplaySocket(). (54e7b9aa2)
        * nxcomp/src/Loop.cpp: Rename local variable 'handler' to
          'signalHandler'. (ca7db4fcb)
        * nxcomp/src/Loop.cpp: Drop duplicate prototypes (which already exist
          in Misc.h). (1e15760a3)
        * nxcomp/src/Proxy.cpp: Fix index usage of nested loops. (1894e04df)
        * nxcomp/src/Loop.cpp: Avoid duplicate usage of proxyFD (global
          variable) and *proxyFD (function parameter). (4c3872279)
        * nxcomp: Trivially fix local variables shadowing variables of same
          name from higher scope. (5a7b589bb)

2017-07-10 Mike Gabriel

        * debian/rules: Drop override_dh_clean target. Not required anymore,
          as configure files get removed correctly now. (93c4cea66)

2017-07-24 Mike Gabriel

        * nxcomp/configure.ac,m4/nx-macros.m4,nxcomp/src/Socket.h: Use
          AC_CHECK_TYPES to detect if type 'in_addr_t' is available.
          (9c8e3f139)

2017-07-14 Mike Gabriel

        * nxcomp/configure.ac: Re-add previously available configure options
          --with-valgrind and --with-info as renamed options
          --enable-valgrind and --enable-debug. (9fa0a6b95)

2017-06-30 Mike Gabriel

        * nxcomp: Switch to autoreconf. (f76c82403)

2017-07-25 Mike Gabriel

        * Merge branch 'uli42-pr/cmdline' into 3.6.x (9193d11ee)

2017-07-24 Ulrich Sibiller

        * treat options parameter as option string if it starts with nx/nx
          (3f7b30019)
        * rename nxagentOptionFile to nxagentOptionsFilename (36e583cf5)

2017-07-11 Ulrich Sibiller

        * pass filename as parameter to nxagentProcessOptionsFile()
          (b007b542d)

2017-07-17 Mike Gabriel

        * Merge branch 'uli42-pr/fix_keystroke_files' into 3.6.x (4ccb7eda5)

2017-07-12 Ulrich Sibiller

        * Improve keystroke file handling (79001dd8a)

2017-07-14 Mike Gabriel

        * debian/control: Add B-D: libtool (required for Debian jessie,
          Ubuntu trusty and Ubuntu xenial). (ccd7c6962)
        * debian/copyright: White-space cleanup. (ad1d45349)
        * debian/control: Process with wrap-and-sort -s. (96167fcdb)

2017-07-14 Mihai Moldovan

        * Merge branch 'sunweaver-pr/nxcompshad-autoreconf' into 3.6.x
          (5796ac644)

2017-07-12 Mike Gabriel

        * nxcompshad: Rewrite Logger class methods to properly take advantage
          of the 'gnu_printf' format attribute. (59e829f36)
        * nxcompshad: Prototype for NXShadowResetOptions() missing. Export it
          as public symbol via Shadow.h." (8f5ce18d4)
        * nxcompshad/src/Shadow.cpp: Drop duplicate prototype for
          NXShadowRemoveAllUpdaters(). Already in Shadow.h.
          (36fe0330e)
        * nxcompshad/src/Core.cpp: Don't redeclare (and shadow) curLine. Use
          curWorkLine instead. (d77897462)

2017-06-30 Mike Gabriel

        * nxcompshad/src/Regions.h: Avoid warning: ‘typedef’ was ignored in
          this declaration. Drop typedef declaration from _XRegion
          struct. (dba850070)

2017-04-25 Mike Gabriel

        * nxcompshad: Switch to autoreconf. (76b486768)

2017-07-13 Mike Gabriel

        * debian/control: Add B-D: automake (required for Debian jessie,
          Ubuntu trusty and Ubuntu xenial). (622360ea2)
        * nxproxy/configure.ac: Have AC_LANG before NX_COMPILER_BRAND. Thanks
          to Ionic for spotting this same flaw in nxcompshad.
          (107fba32e)

2017-07-12 Mihai Moldovan

        * Merge branch 'sunweaver-pr/nxproxy-autoreconf' into 3.6.x
          (06bf2a492)
          Fixes: ArcticaProject/nx-libs#133

2017-07-10 Mike Gabriel

        * debian/rules: Drop redundant --with-symbols configure option, '-g'
          already gets added by debhelper. (397d3ac06)

2017-04-26 Mike Gabriel

        * nxproxy: Switch to autoreconf. (41ea54b02)

2017-06-30 Mike Gabriel

        * m4/nx-macros.m4: Add autotools macros derived from X.org and
          nxcomp* configure.in files. (322e39b79)

2017-07-12 Mike Gabriel

        * make-changelog.sh: Drop obviously not needed '--since 1970' option
          from 'git log' call. (e17207f18)
        * Merge branch 'sunweaver-pr/report-window-ids' into 3.6.x
          (ba02470a5)

2017-07-04 Mike Gabriel

        * Report Xlib-side window IDs to session.log in machine readable
          form. This feature can be enabled by the cmdline options
          -reportwids and -reportprivatewids. (84a403e27)
        * nxagent man page: Fix layout near -nxrealwindowprop option.
          (000a869b3)

2017-06-30 Mike Gabriel

        * Mesa.patches: Disable
          4001_Fix-non-working-GLX-in-64bit-Xorg-7.0.patch. It
          patches a file, we don't build and that we remove in
          roll-tarball.sh. (a517c5ab6)
        * roll-tarballs.sh: Remove even more files from nx-X11/extras/Mesa/.
          This roll-tarball.sh version has been used for generating
          the 3.5.99.8 tarball. (7838207b7)
        * release 3.5.99.8 (3b15804ce) (tag: 3.5.99.8)

2017-06-30 Mihai Moldovan

        * Merge branch 'sunweaver-pr/mese-quilt-without-quilt' into 3.6.x
          (4c7641a1f)
          Fixes: ArcticaProject/nx-libs#444
          Fixes:
          ArcticaProject/nx-libs#457

2017-06-30 Mike Gabriel

        * README.Mesa.patches: Define some rules for patch naming and
          numbering scheme. (79fcce3ee)

2017-06-27 Mike Gabriel

        * mesa-quilt: Provide a fallback patching method on systems where
          pulling quilt into the build env is not trivial.
          (638b334c8)
        * nx-libs.spec: Use mesa-quilt with Fedora builds, but rely on
          fallback mode in mesa-quilt for RHEL and SUSE. (bac473917)

2017-06-30 Mihai Moldovan

        * Merge branch 'sunweaver-pr/browser-scrolling-improvements' into
          3.6.x (05450d0e8)
          Fixes: ArcticaProject/nx-libs#443

2017-06-29 Oleksandr Shneyder

        * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN. Improving
          non-xrender based  browser scrolling behaviour when link
          type is set to ADSL or WAN. (7d51cb676)

2017-06-30 Mike Gabriel

        * Merge branch 'sunweaver-pr/nx-real-wid' into 3.6.x (4365fe38e)

2017-05-30 Mike Gabriel

        * hw/nxagent/Window.c: Introduce NX_REAL_WINDOW window property.
          (588be6386)
        * hw/nxagnet/Atoms.c: In DEBUG mode, we need validateString() which
          is not statically defined in Utils.h. Thus including it
          for DEBUG builds. (c88e87bc8)

2017-06-28 Mihai Moldovan

        * Merge branch 'sunweaver-pr/fix-ftbfs-on-hppa' into 3.6.x
          (3d255540f)

2017-05-06 Mike Gabriel

        * debian/patches: Update 016_nx-X11_install-location.debian.patch
          (line numbers only). (65c420515)
        * Fix FTBFS on Linux based HP-PARisc 32-bit systems. Thanks to John
          Paul Adrian Glaubitz from FU Berlin for providing access
          to a corresponding porters' machine. (347363f3f)

2017-05-06 Adam Jackson

        * dix: Remove arch awareness from servermd.h (X.org v2, nx-libs v4)
          (f77a4b405)

2017-06-28 Mihai Moldovan

        * Merge branch 'sunweaver-pr/fix-ftbfs-on-mips64el' into 3.6.x
          (78d41614e)

2017-06-27 Mike Gabriel

        * nx-X11/config/cf/linux.cf: Drop AsOutputArchSize macro from
          Sparc(64)Architecture ifdef-block. It does not seem to be
          used anywhere else. (c22c3f729)

2017-05-07 Mike Gabriel

        * Fix FTBFS on mips64el architecture due to missing definition of the
          _XSERVER64 macro. (1839dd642)

2017-06-27 Mike Gabriel

        * Mesa.patches_6.4.1: Add missing EOL at EOF to series file.
          (cde05c090)
        * Mesa.patches: Have Mesa.patches_6.4.2 rather as a copy than as a
          symlink to Mesa.patches_6.4.1. Rebase
          4004_define-USE_IEEE-macro-for-more-platforms.patch
          against Mesa 6.4.2 while being at it. (e2d72b599)
        * Merge branch 'frantracer-mesa-update-6.4.2' into 3.6.x (3dcdea4dd)

2017-06-27 ftrapero

        * roll-tarball.sh: Fix resolution of symbolic links and removal of
          useless Mesa versions (fa70485dc)
        * nx-X11/extras: Add symlinks to Mesa_6.4.2 and patches (2dd6ca0c8)
        * Include mesa-6.4.2 project (b30506dfa)
        * Squashed 'nx-X11/extras/Mesa_6.4.2/' content from commit 475b1f7
          (663631725)

2017-06-19 Mike Gabriel

        * roll-tarball.sh: Fix tarball creation, now that we pull in Mesa as
          a git-subtree. This basically moves versioned folders
          around and drops the Mesa/ and Mesa.patches/ symlinks.
          (c032f0e34)
        * Merge branch 'frantracer-mesa-squash-subtree' into 3.6.x
          (014365877)

2017-02-20 Mike Gabriel

        * roll-tarball.sh: Drop various unused files from the bundled Mesa
          version when creating release tarballs. (123fb7fe7)
        * Mesa subtree: Adapt build process for building against Mesa that
          gets pulled in via git subtree. (c20b946b4)

2017-02-17 Mike Gabriel

        * nx-X11/extras/Mesa: Drop bundled Mesa, place a symlink to imported
          Git subtree of Mesa_6.4.1 instead. (209657f69)

2017-06-15 ftrapero

        * Include mesa-6.4.1 project (459021c16)
        * Squashed 'nx-X11/extras/Mesa_6.4.1/' content from commit 53d1bc0
          (8667d4d97)

2017-06-11 Mike Gabriel

        * Merge branch 'uli42-pr/fix_sync_segfault' into 3.6.x (4f216e7cf)

2017-06-09 Ulrich Sibiller

        * Args.c: fix sync option parsing (19116a61c)

2017-06-06 Mike Gabriel

        * Merge branch 'uli42-pr/remove_unused_defines' into 3.6.x
          (7fd59fbd1)

2016-11-04 Ulrich Sibiller

        * remove BuildRman define (52d65a4f6)

2017-06-06 Mike Gabriel

        * Merge branch 'salva-install-as-non-root' into 3.6.x (7b00b7bb8)

2017-05-31 Salvador Fandiño

        * Don't force root ownership of dirs when installing (320352d64)
        * Propagate DESTDIR and PREFIX from Makefile (f61956c16)

2017-05-31 Mike Gabriel

        * Merge branch 'mikedep333-f24-ftbfs' into 3.6.x (04fbb2726)

2017-05-25 Mike DePaulo

        * nx-libs.xpec: Fix FTBFS on F24 due to missing Xfont2 (c7ce96546)

2017-05-06 Mike Gabriel

        * debian/copyright: Update copyright attributions. (150cbc23d)
        * nx-X11/config/cf/gnuLib.rules: Drop ancient Vcs comment.
          Erroneously sneaked in with reintroduction of
          GNU/<non-Linux> support. (6479ed576)

2017-05-05 Mihai Moldovan

        * Merge branch 'uli42-pr/fix_rhel6' into 3.6.x (53cabac9e)

2017-04-25 Ulrich Sibiller

        * nx-libs.spec: fix FTBFS on RHEL6 (444e62156)
          Fixes:
          ArcticaProject/nx-libs#282

2017-05-05 Mike Gabriel

        * release 3.5.99.7 (5d5336541) (tag: 3.5.99.7)

2017-05-04 Ulrich Sibiller

        * Merge pull request #427 from sunweaver/pr/gnu-hurd-i386-support
          (13753ddfd)

2017-04-13 Mike Gabriel

        * nxcompshad/Shadow.cpp: Use EBADF instead of EBADFD (which is not
          portable to GNU/Hurd and GNU/kFreeBSD). (681069d7a)
        * nx-X11/config/cf/gnu*: Re-introduce GNU/Hurd support to the nx-X11
          buildflow. (d8a25946e)

2017-05-04 Ulrich Sibiller

        * remove _X_DEPRECATED for XKeycodeToKeysym (c59710e8e)

2017-05-04 Mike Gabriel

        * Merge branch 'uli42-pr/fix_keyboard_delay' into 3.6.x (f149e3626)

2017-05-04 Ulrich Sibiller

        * Revert "Switch from using libNX_X11's deprecated XKeycodeToKeysym()
          function to using XGetKeyboardMapping()." (651d5e5ee)

2017-04-25 Mihai Moldovan

        * nx-libs.spec: RPM does not support %elif/%elsif/%elseif/whatever.
          (60d7c02e0)
          Fixes: ArcticaProject/nx-libs#432

2017-04-21 Mike Gabriel

        * debian/copyright: Update copyright attributions (re-add
          nx-X11/programs/Xserver/hw/nxagent/NXpicturestr_PictSolidFill.h).
          (776785afb)
        * release 3.5.99.6 (06a6a5fca) (tag: 3.5.99.6)

2017-04-21 Mihai Moldovan

        * Merge branch 'sunweaver-pr/use-source-tree-nxcomp' into 3.6.x
          (1c6217054)

2017-03-08 Mike Gabriel

        * Xserver/Imakefile: Drop redundant library path option
          -L../../../nx-X11/exports/lib when linking nxagent. As
          -L../../exports/lib is already present and points to the
          same location. (e91132f3b)
        * Xserver/Imakefile: Change order of linker options, so that
          self-built components get mentioned first in the nxagent
          linker command. (4818c13e7)

2017-04-21 Mihai Moldovan

        * Merge branch 'sunweaver-pr/nxagent-dialog-fixes' into 3.6.x
          (22b6ac728)

2017-03-07 Mike Gabriel

        * nxcomp/Children.cpp: Don't generate warnings with duplicated NX
          paths. (0f67af9d7)

2017-03-08 Mike Gabriel

        * hw/nxagent/Dialog.c: Drop unused dialog for
          DIALOG_DISABLE_XKB_LOCAL. (522e743f6)

2017-04-21 Mike Gabriel

        * Revert "NXpicturestr_PictSolidFill.h: Drop file and revert db8705.
          Not an issue anymore nowadays." (61d5cd0b7)

2017-04-20 Mihai Moldovan

        * nx-X11/programs/Xserver/os/connection.c: compact display
          autodetection code. (f3d406109)
        * Merge branch 'sunweaver-pr/enhance-displayfd-auto-detection' into
          3.6.x (1ccc6be61)

2017-04-07 Mike Gabriel

        * man/nxagent.1: Document the nxagent specific usage pattern of the
          displayfd cmdline option. (9865f73be)
        * Xserver/os/connection.c: If -displayfd and an explicit display port
          number are given, use the explicit display number as a
          starting point for auto-detecting the next available
          display number. (ec185d7f7)
        * Xserver/os/connection.c: Accompany display number with some
          human-readable (machine-parseable) text when -displayfd is
          set to STDERR. (f4d7863f8)

2017-04-20 Mike Gabriel

        * Merge branch 'uli42-pr/extend_manpage' into 3.6.x (7d0b7055b)

2017-04-18 Ulrich Sibiller

        * nxagent.1: some more rephrasing (394246855)
        * nxagent.1: fix: "tolerancechecks" was documented as
          "reconnectchecks" (4998c41de)

2017-04-17 Ulrich Sibiller

        * nxagent.1: highlight nxagent (0ccc2ee7a)
        * nxagent.1: use nxagent everywhere (e18c95584)
        * nxagent.1: rephrase description (5f88a2978)
        * nxagent.1: add -options, previously undocumented (14417c94b)
        * nxagent.1: fix typo (baf7d39b8)
        * nxagent.1: remove no longer existing -co option from manpage
          (9494062eb)

2017-04-19 Mike Gabriel

        * Xserver/GL/glx/glxext.c: Fix for previous commit, re-adding a
          comment starter '/*'. (ab0bc8158)
        * Clearing comments from $XFree86$ (et al.) header lines. (4ad88de86)

2017-04-19 Mihai Moldovan

        * debian/changelog: add missing bug closure. (a4fb30f8d)

2017-04-18 Mihai Moldovan

        * {debian/control,nx-libs.spec}: add proper dependencies upon xkbcomp
          for RPM and DEB packages. (0c9852a76)

2017-04-18 Mike Gabriel

        * Merge branch 'Ionic-add-xkbcomp-dep' into 3.6.x (85b58daa8)

2017-04-18 Mihai Moldovan

        * nx-libs.spec: sync up RPM builds after Xext proto change in
          a51cb94559e9228a55e01956f242dabccc5e6b14. (a2dca67a5)
        * {debian/control,nx-libs.spec}: add proper dependencies upon xkbcomp
          for RPM and DEB packages. (adb2f80cc)
        * nx-libs.spec: whitespace only. (7c0a35916)

2017-04-13 Mike Gabriel

        * debian/Makefile.nx-libs: make sure that 'make all' only calls 'make
          build' and _not_ the global '%:' ruleset afterwards.
          (1537eb05d)

2017-04-14 Mike Gabriel

        * debian/control: Add get-orig-source rule as in official Debian
          package. (cc17d89e2)
        * debian/{rules,nx-x11proto-xext-dev}: More Xext header files belong
          int nx-x11proto-xext-dev (instead of removing them in
          debian/rules). (a51cb9455)
        * debian/control: Pre-D (nx-x11-common) on versioned dpkg not
          required anymore. (35ec402fd)
        * debian/control: Pull-over latest changes on these files from the
          official Debian package. Various improvements several
          package descriptions. (fdd66710f)
        * debian/copyright{,in}: Pull-over latest changes on these files from
          the official Debian package. (0eb3bbd25)

2017-04-13 Mihai Moldovan

        * Merge branch 'sunweaver-pr/enable-mit-screen-saver-extension' into
          3.6.x (a1e309a0f)

2017-04-11 Mike Gabriel

        * Xserver: Build nxagent with MIT-SCREEN-SAVER extension enabled.
          (244ce534a)

2017-04-13 Mihai Moldovan

        * Merge branch
          'sunweaver-pr/Mesa-define-USE_IEEE-macro-for-more-platforms'
          into 3.6.x (680de79fb)

2017-04-13 Mike Gabriel

        * Mesa.patches: Define USE_IEEE for __aarch64__ and __mc68000__, as
          well. (d4941a6a5)
        * nx-X11/config/cf: Clean-up left-overs from having our own
          libNX_Xext shared library. (85b925e3f)
        * Makefile: Make sure that 'make all' only calls 'make build' and
          _not_ the global '%:' ruleset afterwards. (8a3605ffa)
        * Makefile: Remove nx-X11/config/cf/date.def on clean. (f843d1b14)
        * Makefile: Fix comment above special clean rules. (fa3734ff4)

2017-04-13 Mihai Moldovan

        * Merge branch 'sunweaver-pr/fix-ftbfs-on-linux-sparc64' into 3.6.x
          (a2b758458)

2017-04-13 Mike Gabriel

        * nx-X11/config/cf/linux.cf: Fix FTBFS on Linux SPARC64 due to
          missing -D_XSERVER64 definition. (fb962f896)

2017-04-13 Mihai Moldovan

        * Merge branch 'sunweaver-pr/fix-ftbfs-on-aarch64' into 3.6.x
          (138b52c9b)

2017-04-12 Mike Gabriel

        * nx-X11/config/cf/linux.cf: Fix FTBFS on arm64 (aarch64) due to
          missing -D_XSERVER64 definition. (53dc4ba12)

2017-04-11 Mike Gabriel

        * release 3.5.99.5 (3a2ecb9a5) (tag: 3.5.99.5)

2017-04-10 Mike Gabriel

        * debian/patches: Update 016_nx-X11_install-location.debian.patch
          (due to fuzziness). (d6479c9f4)
        * Regression fix for added libXfont2 API support: (d63b4a5ba)

2017-04-10 Mihai Moldovan

        * Merge branch 'sunweaver-pr/createpixmap-alloc-hints-abi-change'
          into 3.6.x (2d700b147)

2017-02-22 Mike Gabriel

        * hw/nxagent/Pixmap.c et al.: Propagate usage_hint through
          nxagentCreatePixmap, as well. (8b5bb2cda)

2017-03-11 Mike Gabriel

        * Mesa.patches: Adapt Mesa to CreatePixmap allocation hint ABI bump.
          (560c95643)

2017-02-22 Aaron Plattner

        * Save pixmap allocation hints into the PixmapRec. (aa50b35a5)
        * Add CreatePixmap allocation hints. (3ef6d5120)

2017-04-10 Mihai Moldovan

        * Merge branch 'sunweaver-pr/switch-to-libXfont2-API' into 3.6.x
          (cc24d8ba2)

2017-04-10 Mike Gabriel

        * nx-libs.spec: Prefer libXfont2-devel on RPM distro versions that
          have it.~ (c4c548547)
        * debian/control: Use B-D libxfont-dev only. Follow libXfont2
          transition on Debian (and alike). (a5432aac8)
        * Makefile: Tell Xserver build which Xfont API to use (v2 or v1)
          depending on what's available in the build env.
          (92979a4e8)

2017-02-09 Mike Gabriel

        * Xserver: Support building against libXfont2 (v2) API and old
          libXfont(1) API alike. (f4c80a78c)

2017-02-16 Jamey Sharp

        * SetFontPath: set client->errorValue on failure. (f743f9f74)

2017-02-16 Eamon Walsh

        * dix: pass a valid ClientPtr to SetFontPath in all cases.
          (4768662b0)

2017-02-14 Mike Gabriel

        * hw/nxagent/BitmapUtils.c: Derive from utilbitmap.c in deprecated
          libXfont1 and ship as copy-of-code with nxagent.
          (523009b96)

2017-02-09 Mike Gabriel

        * dix: Move InitFonts up above screen initialization (6a06a6c81)
        * Xserver/Imakefile: Improve readability by introducing the NULL
          variable and adding more line-breaks. (03b772b5f)

2017-04-10 Mike Gabriel

        * Revert "regression fix for 52872a0: Keep index parameter in
          AddScreen() for now. Requires proper ABI backport. (was:
          copy+paste error)." (9e2588e56)

2017-04-10 Mihai Moldovan

        * Merge branch
          'sunweaver-pr/remove-index-from-CloseScreen-ABI-backport'
          into 3.6.x (5421dd444)

2017-03-11 Dave Airlie

        * xserver: remove index from CloseScreen (API/ABI breakage)
          (93ea74e53)

2017-04-07 Vadim Troshchinskiy

        * Merge remote-tracking branch
          'sunweaver-pr/pr/nxproxy-read-from-stdin' into 3.6.x
          (ab3974f22)

2017-02-05 Bernard Cafarelli

        * nxproxy: Support communication over stdin. Allow nxcl to use
          standard ssh instead of nxssh. (4c2fe0d97)

2017-04-07 Mike Gabriel

        * nxcomp/Loop.cpp: Fix server/client mode info cerr printing in
          PrintProcessInfo(). (1441b02f0)
        * Merge branch 'sunweaver-pr/drop-render-fullcolor-workaround' into
          3.6.x (dcdbc102c)

2017-03-21 Mike Gabriel

        * NXpicturestr_PictSolidFill.h: Drop file and revert db8705. Not an
          issue anymore nowadays. (6c8c95025)

2017-04-06 Erkki Seppälä

        * record: avoid crash when calling RecordFlushReplyBuffer recursively
          (c8a4e1e75)
          Fixes: ArcticaProject/nx-libs#417.

2017-04-06 Mihai Moldovan

        * Merge branch 'sunweaver-pr/mesa-patching-with-quilt' into 3.6.x
          (0d7b4c365)

2017-02-20 Mike Gabriel

        * Mesa subtree: Add quilt based patch system for bundled Mesa.
          (2c9effed2)

2017-04-05 Mike Gabriel

        * roll-tarball.sh: Fix ChangeLog creation, always create ChangeLog
          for the CHECKOUT, not the currently checked out branch.
          (2767d32c0)

2017-04-03 Mike Gabriel

        * Merge branch 'uli42-pr/cleanup_keystroke' into 3.6.x (25d38bf36)

2017-03-27 Ulrich Sibiller

        * Keystrokes: rename left/up/right/down keystrokes to descriptive
          names (ee18cd43d)
        * doc: rework keystroke documentation (d28cf5574)
        * doc: document debugging keystrokes (9f0713c04)

2017-03-23 Ulrich Sibiller

        * keystrokes.cfg: remove debug keystrokes (e3240d6b3)
        * Keystroke.c: move some vars to inner scope (bf27d58b7)
        * Init keystrokes at startup and reconnect (ba5183f80)
        * Keystroke.c: avoid use of comparisons on "False" (f12012b15)
        * Keystroke.c: use Booleans where appropriate (2b9d7d274)
        * Keystroke.h: improve parse_keystroke_file() (076d458e7)
        * Keystroke.c: introduce nxagentDumpKeystrokes() (79520f9c6)
        * keystrokes.cfg: add missing keystrokes (a45a348c4)
        * Keystroke.c/h: completely disable keystrokes that are not active at
          compile time (3c921ccb4)
        * Keystroke.h: auto-enum keystrokes (811ce4902)
        * Keystroke.h/Keyboard.h: cleanup mask variables (4adb1911f)

2017-03-21 Ulrich Sibiller

        * Keystroke.c: detect duplicate keystroke definitions (c693df127)
        * Keystroke.c: use KEYSTROKE_NOTHING (40f03399c)
        * Args.c: add two missing options to help message (51782cb25)

2017-04-03 Mike Gabriel

        * Merge branch
          'sunweaver-pr/xinerama-response-swapping-in-RRXineramaWriteMonitor'
          into 3.6.x (147371a28)

2017-03-10 Michal Srb

        * xinerama: Swap the response in RRXineramaWriteMonitor (f34eff0a2)

2017-04-03 Mike Gabriel

        * Merge branch 'mikedep333-pr/cygwin-nxcomp-ftbfs' into 3.6.x
          (4e0e7c472)

2017-03-29 Mike DePaulo

        * Remove EMX (MS-DOS & OS/2) support (1a2bea981)
        * Cygwin nxcomp: Use Cygwin un.h (995851206)

2017-03-27 Mike Gabriel

        * regression fix for 52872a0: Keep index parameter in AddScreen() for
          now. Requires proper ABI backport. (was: copy+paste
          error). (342758254)
        * Merge branch 'uli42-pr/libX11-HEAD' into 3.6.x (d7d2aeea4)

2017-02-01 Arthur Huillet

        * _XDefaultError: set XlibDisplayIOError flag before calling exit
          (00405b278)

2017-01-07 Julien Cristau

        * Fix wrong Xfree in XListFonts failure path (8ad49a03e)

2017-03-26 Mihai Moldovan

        * Merge branch 'sunweaver-pr/dix-dispatch-backports' into 3.6.x
          (ac03b5172)

2017-03-11 Mike Gabriel

        * dix: Remove insane BC hacks (c1fc4ba78)

2017-03-10 Mike Gabriel

        * Move AddScreen() comment where it actually belongs. Should be done
          in X.org, too. (cb9e50c2f)
        * dix: Move AddScreen() over into dispatch.c and introduce
          init_screen() (52872a0de)

2017-03-22 Mihai Moldovan

        * Merge branch 'sunweaver-pr/various-os-backports' into 3.6.x
          (f5e7d555a)

2017-03-20 Adam Jackson

        * os: Remove the useless -x option (565421ba1)

2017-03-15 Keith Packard

        * os: FatalError if -displayfd writes fail AND Clear the -displayfd
          option after closing the file (a95cfdf48)

2017-03-15 Alan Coopersmith

        * Use unique logfile names when starting server with -displayfd
          (e96e810c2)

2017-03-15 Jon TURNEY

        * os: -displayfd should check ports up to 65535 (faaba2661)

2017-03-15 Keith Packard

        * os: Use NotifyFd interface for listen descriptors (c468be804)

2017-03-15 Jon TURNEY

        * Handle -displayfd and an explicit display number sensibly
          (3be144ffd)

2017-03-15 Mike Gabriel

        * Xserver/os/utils.c: Add NXAGENT_SERVER specific -nolisten
          parameter: ANY. (506aedbcd)

2017-03-15 Kristian Høgsberg

        * os: Add a mechanism to prevent creating any listen sockets
          (e8bc4c7e2)

2017-03-15 Chase Douglas

        * os: Add -displayfd option (89496d987)

2017-03-15 Keith Packard

        * os: Use NotifyFd for ErrorConnMax (eb4999611)

2017-03-15 Adam Jackson

        * Move SIGUSR1 notification as late as possible. (f5301dee4)

2017-02-16 Adam Jackson

        * dix: Extend initial connection handshake for forwarding proxies
          (4f76ed19b)
        * dix: Pull client-is-local flag up to the ClientRec (ed52cb295)

2017-02-16 Pauli Nieminen

        * os: always check if client is local when connection is accepted
          (349b6dec5)

2017-02-15 Rami Ylimäki

        * os: Add facilities for client ID tracking. (239fe3d08)

2017-02-16 Mike Gabriel

        * dix/os: backport various signal handling and smart scheduler
          changes from X.org (366067b7c)

2017-02-16 Keith Packard

        * dix/os: Merge priority computation into SmartScheduleClient
          (f14f738a6)

2017-02-16 Pauli Nieminen

        * os: Fix a memory leak (6c076cfe5)

2017-02-15 Alan Coopersmith

        * Rework local client id finding code to be more uniform (8996f80a5)
        * AUDIT messages should contain uid for local accesses (X.org bug
          #1997) (6bc37b980)

2017-02-15 Mike Gabriel

        * LBX clean-up: Drop forgotten passage in Xserver/os/connection.c.
          (0338cbc3f)
        * Xserver/os/: Drop not-used-anymore MNX_TCPCONN macro. (104307dd6)
        * Xserver/os/Imakefile: Introduce the NULL variable and line-wrap
          various variable definitions for the sake of better
          readability. (7177caa70)

2017-02-15 Adam Jackson

        * Don't crash on unconfigured interfaces. (X.org bug #5218, Andrei
          Barbu) (eac0a8fad)

2017-02-14 Alan Coopersmith

        * Set padding bytes to 0 in WriteToClient (f9123570d)

2017-02-14 Aaron Plattner

        * os: Return BadLength instead of disconnecting BigReq clients
          (#4565) (2ecd2a006)

2017-02-14 Peter Harris

        * Fix overflow of ConnectionOutput->size and ->count (cbc2d300b)

2017-02-15 Michel Dänzer

        * dix: Pass ClientPtr to FlushCallback (65b6a62bc)

2017-02-14 Keith Packard

        * Xserver/os/io.c: Bail out early from FlushClient if nothing needs
          to be written. (af7c37500)

2017-02-14 Chris Wilson

        * os: Immediately queue initial WriteToClient (645b757df)

2017-03-15 Mike Gabriel

        * os/xdmcp: Remove dead 'restart' code (074646707)

2017-03-19 Mike Gabriel

        * Merge branch 'uli42-pr/ignore_caps' into 3.6.x (b7c389b9a)

2017-03-19 Ulrich Sibiller

        * Keystroke.c: ignore CapsLock and NumLock most of the time
          (7065e0bf2)

2017-03-17 Mihai Moldovan

        * Merge branch 'sunweaver-pr/setnotifyfd-ABI' into 3.6.x (7fd5d934c)

2017-02-24 Mike Gabriel

        * os: Initialize NotifyFds earlier in startup (f315ae066)

2017-02-09 Keith Packard

        * os: Implement support for NotifyFd X_NOTIFY_WRITE and removal of
          AddEnabledDevices/RemoveEnabledDevices (761d74a68)

2017-02-09 Fredrik Höglund

        * Move the code for resetting the DPMS mode in response to input
          events, from WaitForSomething to mieqProcessInputEvents.
          (6307e6fc7)

2017-02-09 Mike Gabriel

        * nxagent: Use SetNotifyFd to receive events. (9b934a447)

2017-02-09 Keith Packard

        * os: Add NotifyFd interfaces (86110d6ed)

2017-02-09 Mike Gabriel

        * Xserver/include/list.h: Add list.h from X.org (from X.org commit
          63f83d1). (289e8ce56)

2017-02-10 Keith Packard

        * os/xdmcp: Just send XDMCP keepalive packets once every three minute
          (9f0008429)

2017-03-13 Mike Gabriel

        * Merge branch 'uli42-pr/cleanup_keystroke' into 3.6.x (6ac805ab4)

2017-03-13 Ulrich Sibiller

        * Update keystroke readme (6f4eb1540)
        * Keystroke.c: remove unneeded capital keys for default keystrokes
          (cb40cc448)
        * Keystroke.c: add new keystroke to reread keystroke config
          (abf624212)
        * Keystroke.c: simplify parse_keystroke_file (aadcac452)
        * Keystroke.c: fix formatting (f97bb3f13)
        * Keystroke.c: use an own environment variable for X2Go (c134b93ac)
        * Keystroke.c: make nxagentKeystrokeFileParsed local (8f2679abc)
        * Keystroke.c: add missing Mod5 modifier (3042c5064)
        * Keystroke.c: fix code order (57081e55f)
        * Keystroke.h: sane struct init (2c721f484)
        * Keyboard.c: Introduce separate masks for Alt and Meta (d2c811564)
        * Keystroke.c: Fix modifier handling (5595e3d16)
        * Keystroke.c: more/fixed debug output (af5a83bba)
        * Keystroke: whitespace fixes (af8e5e03a)

2017-03-11 Ulrich Sibiller

        * Keystroke.c: arrange switch_all_screens and fullscreen close
          together (8f7b0b75b)
        * Keystroke.c: print keystroke name in TEST mode (8f0d885cd)

2017-03-10 Ulrich Sibiller

        * Keystroke.c: improve TEST output (b39ec4c45)
        * Keystroke.c: add another FIXME (93a360c5d)
        * Keystroke.c: Simplify read_binding_from_xmlnode (25db7413a)
        * Keystroke.c: use symbols instead of integers (13a7c4a73)
        * Keystroke.c: Boolify read_binding_from_xmlnode (f78e673fb)
        * Keystroke.c: Boolify nxagentCheckSpecialKeystroke (c80605a19)
        * Keystroke.c: reorder parse_keystroke_file (ac3794c5f)
        * Keystroke.c: handle parsing state in parse_keystroke_file()
          (06c83be7e)
        * Keystroke.c: simplify nxagentCheckSpecialKeystroke (7804c9c69)
        * Keystroke.c: fix code formatting (dfa8bb27b)
        * Keystroke.c: rework read_binding_from_xmlnode() (7a61c62cd)
        * Keystroke.c: use Bool type where appropriate (d8bc49135)

2017-03-10 Mihai Moldovan

        * Merge branch 'uli42-pr/misc_cherries' into 3.6.x (320cece2e)

2017-03-04 Ulrich Sibiller

        * Xext: fix compiler warning (ee2a933c3)
        * xfixes: fix compiler warning (e021bc231)
        * xfixes: fix compiler warnings (914f78a23)
        * render/filter.c: add missing return value (e79d3ac6b)
        * record.c: fix compiler warnings (a9d4a454b)

2017-03-03 Ulrich Sibiller

        * fb: fix compiler warning (c1ed00569)
        * dix: Fix compiler warning (e17c42e55)
        * Display.c: remove unused logo code (fe887d68a)

2016-12-14 Ulrich Sibiller

        * Rootless.c: improve debugging output (2a6fcfc14)
        * Rootless.c: improve malloc failure handling (a83022a4a)
        * Rootless.c: fix possible memleak (4e545710f)

2016-12-13 Ulrich Sibiller

        * Display.c: pid is always 0, remove check (1b6b76b5b)
        * Window.c: Fix reference before check for null pointer (35e41467a)
        * Keyboard.c: Simplify if clause (4a1095fff)
        * Rootless.c: Fix wrongly negated comparisons (fcb5e8a0e)
        * Args.c: Fix missing parentheses (df0fea79b)

2017-03-09 Mihai Moldovan

        * nx-X11: use the "old", non-NX header location. (fb55fc3ef)
        * nxcomp/ChannelEndPoint.cpp: we're not really testing for a
          character, but a pointer. (dc8477f76)
          Fixes:
          ArcticaProject/nxlibs#389.

        * Refresh:   - 0016_nx-X11_install-location.debian.patch   -
          9900-dxpc-license-history.full+lite.patch (4537ad4c2)

2017-03-09 Ulrich Sibiller

        * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp) (c2b050e30)

2017-03-07 Mihai Moldovan

        * Merge branch 'uli42-pr/backup_null_rulesfile' into 3.6.x
          (d8a4f3be7)
          Fixes: ArcticaProject/nx-libs#371.

2008-12-03 Peter Hutterer

        * xkb: Allow NULL as rulesFile in XkbSetRulesDflts. (2794e674c)

2017-03-07 Mihai Moldovan

        * Merge branch 'uli42-pr/cve-2017-2624' into 3.6.x (c6f0e6b2c)
          Fixes:
          ArcticaProject/nx-libs#365.

2017-03-04 Ulrich Sibiller

        * os: add timingsafe_memcmp to Imake (22f542626)

2017-03-03 Ulrich Sibiller

        * Backport CVE-2017-2624 (timingsafe_memcmp) (65c5d8ad7)

2017-03-03 Mike Gabriel

        * Merge branch 'uli42-pr/fix_validatestring' into 3.6.x (05aabb4e6)

2017-03-02 Ulrich Sibiller

        * replace (DE)ALLOCATE_LOCAL by malloc/free (06bb154df)

2017-03-03 Mike Gabriel

        * Merge branch 'uli42-pr/remove_allocate_local' into 3.6.x
          (96e255603)

2017-03-03 Ulrich Sibiller

        * nxagent: move validateString as inline func to Utils.h (6e8aee499)
        * xkb: add missing const (19065e75e)

2010-01-15 Peter Hutterer

        * xkb: remove XkbAtomGetString, replace with NameForAtom. (9e29588dd)

2011-02-13 Alan Coopersmith

        * Replace _XkbDupString with Xstrdup (bdfb52193)

2017-02-25 Ulrich Sibiller

        * nxagent: half number of NameForAtom calls (e61e9795c)

2017-03-02 Ulrich Sibiller

        * replace (DE)ALLOCATE_LOCAL by malloc/free (09ef99919)

2017-03-03 Mihai Moldovan

        * Merge branch 'sunweaver-pr/really-enable-MITSHM-in-fboverlay-c'
          into 3.6.x (89ccf26d6)

2017-02-05 Mike Gabriel

        * Xserver/mi/miscrinit.c: Use new shmint.h for making
          ShmRegisterFbFuncs() available. (1c7b45d57)
        * Xserver/fb/fboverlay.c: Define -DMITSHM at build as it is used in
          fboverlay.c. (269651e47)
        * Xserver/Xext/shmint.h: Provide header file exporting
          ShmRegisterFunc and ShmRegisterFbFuncs (plus
          ShmSetPixmapFormat as a by-product). (dbfd7645a)

2017-03-03 Mihai Moldovan

        * Merge branch 'sunweaver-pr/fix-unused-libNX_X11-files' into 3.6.x
          (a54f3e0a8)
          Fixes: ArcticaProject/nx-libs#265.

2017-02-04 Mike Gabriel

        * libNX_X11: Fully drop loadable i18n module support in libNX_X11.
          (09cf1bcc0)
        * libNX_X11/lcUTF8.c: Drop not-used X11/lcUniConv/ascii.h.
          (ba27cae63)
        * doc/libNX_X11/lcUniConv: Move over the rather-documentary files
          8bit_tab_to_h.c and cjk_tab_to_h.c to nx-libs's doc/
          folder. (949f5e04e)
        * doc/libNX_X11/lcUniConv: Pull over README from X.org's libX11 to
          document the origin and purpose of 8bit_tab_to_h.c and
          cjk_tab_to_h.c. (c9539417a)

2017-03-03 Mike Gabriel

        * Merge branch 'sunweaver-pr/happyvalgrind-in-glXQueryVersion' into
          3.6.x (8cdccdcf1)
        * Xserver/GL/glx/glxcmd.c: Fix uninitialized xGLXQueryVersionReply.
          (6e770378c)

2016-09-16 Mihai Moldovan

        * misc nx-X11/programs/Xserver/randr/: switch to using xreallocarray,
          since it has been ported now. (7011de155)

2016-09-12 Mihai Moldovan

        * misc nx-X11/programs/Xserver/{composite,dix,randr}/: switch to
          using reallocarray, since it has been ported now.
          (5413c5ec8)

2016-08-17 Mihai Moldovan

        * nx-X11/programs/Xserver/include/os.h: backport xallocarray().
          (cd1dcdb2b)
        *
          nx-X11/{config/cf/{{Imake,X11}.tmpl,linux.cf},programs/Xserver/{include/os.h,os/{Imakefile,reallocarray.c}}:
          backport reallocarray() implementation. (d189cb422)

2016-07-20 Mihai Moldovan

        * misc nx-X11/programs/Xserver/{hw/nxagent,miext,render}/: move code
          around so that we can drop
          nx-X11/programs/Xserver/render/miglyph.c (and by extension
          nx-X11/programs/Xserver/hw/nxagent/NXmiglyph.c.)
          (1a7fc41c2)

2016-09-12 Mihai Moldovan

        * nx-X11/programs/Xserver/mi/{Imakefile,mibank.{c,h}}: backport
          ffaae7c0c69a51a53a76146c79f3630ae197a443. (d5a222b65)

2017-03-03 Mike Gabriel

        * Merge branch
          'sunweaver-pr/happyvalgrind-nxagentResetSignalHandlers'
          into 3.6.x (50c589eb9)
        * hw/nxagent/Display.c: Fix uninitialized newAction in
          nxagentResetSignalHandlers(). (46f9afb35)
        * Merge branch 'uli42-pr/happyvalgrind' into 3.6.x (20029dbc8)

2017-02-25 Ulrich Sibiller

        * Fix "uninitialised byte(s)" complaints from valgrind (3e315cd17)

2017-03-02 Mihai Moldovan

        * Merge branch 'sunweaver-pr/allow-empty-nx-options-string' into
          3.6.x (9d41e84ea)
          Fixes: ArcticaProject/nx-libs#51.

2017-02-05 Mike Gabriel

        * nxcomp/Loop.cpp: Allow nx/nx:<disp> as DISPLAY variable (i.e. an
          empty nx/nx options string. (ce037f4e3)
        * nxcomp/Loop.cpp: Ignore, options= nx/nx parameter, if file options
          path starts with /dev/, /proc/, or /sys/. (a4be1b89f)

2017-03-02 Mihai Moldovan

        * Merge branch 'sunweaver-pr/constify-atom-name-strings' into 3.6.x
          (554a6fa76)

2017-02-27 Mike Gabriel

        * Xserver/dix/atom.c (et al.): Constify atom name strings.
          (9c3669c6b)

2017-03-01 Mihai Moldovan

        * Merge branch
          'sunweaver-pr/randr-regression-fix-re-adding-RegisterResourceName-calls'
          into 3.6.x (f42d36fb7)

2017-02-27 Mike Gabriel

        * nx-libs.spec: Add BR filesystem for SUSE builds (as it provides
          /usr/share/fonts). (bdc212b84)

2017-02-14 Mike Gabriel

        * nx-libs.spec: Add BR for Fedora/RHEL builds: xorg-x11-font-utils.
          (f90e92bca)

2017-02-09 Mike Gabriel

        * nx-libs.spec: Versioned BR on libXfont-devel (and alike) (>=
          1.4.2). (2174721a0)
        * debian/control: Versioned B-D on libXfont (>= 1.4.2). (2556d40fb)

2017-02-09 Tiago Vignatti

        * dix: use one single function to register fpe fonts (ec30a857e)

2017-02-08 Mike Gabriel

        * nx-libs.spec: Handle fonts dir symlinking and install
          /usr/share/nx/fonts symlink into nxagent bin:pkg. This
          change probably needs more fine-tuning for the various
          other RPM distros and versions out there. (7bf444621)

2017-02-05 Mike Gabriel

        * For consistency, apply patch from previous commit (630a7c3) to the
          original Xserver/dix/dixfonts.c file, although the code is
          undef'ed when NXAGENT_SERVER is defined. (bd98ba2d7)
        * {dix/,hw/nxagent/NX}dixfont.{c,h}: Support using builtin-fonts.
          Makes dependency on X11's misc fonts package obsolete.
          (d981d938d)
        * Xserver/dix/main.c: ErrorF requires a string to end with an EOL
          char. (d8eac7cce)
        * debian/nx-x11-common.{links,dirs}: Make sure /usr/share/fonts/X11
          are reachable for nxagent (via placing a symlink to
          /usr/share/nx/fonts). (7866430ed)
        * Xserver/hw/nxagent/Font.c: Drop references to
          /usr/NX/share/fonts/base as default font path, entirely.
          (6537f7ece)
        * Xserver/hw/nxagent/Font.c: Change (alternative) default font path
          order to make font path search compliant with latest FHS
          for X11 fonts (though, prefer /usr/share/nx/fonts as
          default path). (b11dd91a8)
        * Xserver/hw/nxagent/Font.c: Drop NXAGENT_ALTERNATE_FONT_PATH_4
          (pointing to /usr/NX/share/fonts/base) entirely.
          (b816d361f)
        * nx-X11/config/cf/X11.tmpl: Set a more appropriate font directory
          (recommended: /usr/{,local/}share/nx/fonts). (2161edef0)

2017-02-06 Mike Gabriel

        * debian/patches: Update/rebase
          016_nx-X11_install-location.debian.patch. (628281ea9)
        * nx-libs.spec: Drop non-shipped-anymore rgb(.txt) file from list of
          to-be-installed files. (398e238ff)
        * debian/nxagent.*: Drop conffile /etc/nxagent/rgb utilizing
          dpkg-maintscript-helper. (41c79bfc6)
        * Xserver/os/oscolor.c: Follow X.org in dropping the rgb.txt file
          entirely. Content of that file is now hard-coded.
          (7e99ae375)

2017-02-24 Mike Gabriel

        * release 3.5.99.4 (095ba65b0)

2017-02-19 Ulrich Sibiller

        * dix: fix incomplete commit (1d24554ff)

2017-02-15 Mike Gabriel

        * Naming change: Security*Access -> Dix*Access (52c3c80d7)

2017-02-17 Mike Gabriel

        * Switch from using libNX_X11's deprecated XKeycodeToKeysym()
          function to using XGetKeyboardMapping(). (efc0dae05)

2017-02-09 Mathieu Bérard

        * The smart scheduler is not optional. (e70448087)

2017-02-08 Mike Gabriel

        * Makefile: Fix flawed uninstall-* targets. Spotted by Ionic while
          reviewing the nxagent RPATH changeset. Thanks! (f781b8e4c)
        * debian/patches: Update comment header of
          016_nx-X11_install-location.debian.patch. (29fee5b46)

2017-02-04 Mike Gabriel

        * debian/patches: Update 016_nx-X11_install-location.debian.patch.
          Adapt path to recent upstream changes. (d16caa78a)
        * Load libNX_X11 / faked libX11 via RPATH setting rather than
          fidgeting with LD_LIBRARY_PATH in the nxagent wrapper
          script. (0a7ef09c8)

2017-02-08 Mike Gabriel

        * Makefile: Allow longer names for variables that we want to allow
          distro maintainers to override. (6777fac08)

2017-02-04 Mike Gabriel

        * Makefile: Actively set/override USRLIBDIR and SHLIBDIR when calling
          Xserver's make process. (14e4005b2)
        * debian/rules: Don't manually override SHLIBDIR via the
          dh_auto_build call. The default in the main Makefile
          should work fine. (5d3c4dda7)
        * nx-libs.spec: Don't manually override SHLIBDIR via the .spec file.
          The default in the main Makefile should work fine.
          (cfb097af0)
        * Makefile: Align variable names USRLIBDIR, SHLIBDIR (and NX_DIR)
          with nx-X11 internal naming schemes (and use
          /usr/<lib>/nx/X11 rather than /usr/<lib>/nx-X11).
          (1e1f1246b)

2017-02-08 Mike Gabriel

        * nx-X11/include/Xos_r.h: Drop one _POSIX_REENTRANT_FUNCTIONS macro
          block, where offenders AIXV3, AIXV4 and __osf__ are gone
          now. (af11c3123)

2017-02-04 Daniel Stone

        * dix: remove staggeringly broken vendor workarounds (bf1b3c6cf)

2016-11-15 Mike Gabriel

        * drop platform support: unifdef sgi. (8c1a21b45)
        * drop platform support: unifdef QNX. (5c3776d25)
        * drop platform support: unifdef DGUX. (29401f29b)
        * drop platform support: unifdef __osf__. (0a9f9a951)
        * drop platform support: unifdef AIXV3, AIXV4 (and AIXrt, AIX386).
          (cc1350ace)
        * drop platform support: unifdef hpux and __hppa__. (f6dcf2feb)
        * drop platform support: unifdef Lynx. (19edfab78)
        * drop platform support: unifdef __UNIXOS2__. (0f9a11a94)

2017-02-08 Ulrich Sibiller

        * Screen.c: clean up superfluous whitespace (f22e873e6)
        * Screen.c: Ensure that an output is unused before destroying it
          (baf7a9267)

2017-02-05 Mike Gabriel

        * nx-X11/config/cf/X11.tmpl: Fix DefaultRGBDatabase path to
          $(USRDATADIR)/rgb (not $(LIBDIR)/rgb). (da82328b2)

2017-02-04 Mike Gabriel

        * debian/copyright{,.in}: Adopt from Debian's upload candidate, being
          DEP-5 compliant and up-to-date for 3.5.99.3. (ce153d401)

2017-02-27 Mike Gabriel

        * Merge branch 'sunweaver-pr/support-builtin-fonts' into 3.6.x
          (5e68c1283)
        * nx-libs.spec: Add BR filesystem for SUSE builds (as it provides
          /usr/share/fonts). (3e8d98f33)

2017-02-14 Mike Gabriel

        * nx-libs.spec: Add BR for Fedora/RHEL builds: xorg-x11-font-utils.
          (b981dd16f)

2017-02-09 Mike Gabriel

        * nx-libs.spec: Versioned BR on libXfont-devel (and alike) (>=
          1.4.2). (6c9e3ebdb)
        * debian/control: Versioned B-D on libXfont (>= 1.4.2). (6fd724366)

2017-02-09 Tiago Vignatti

        * dix: use one single function to register fpe fonts (cb760f14d)

2017-02-08 Mike Gabriel

        * nx-libs.spec: Handle fonts dir symlinking and install
          /usr/share/nx/fonts symlink into nxagent bin:pkg. This
          change probably needs more fine-tuning for the various
          other RPM distros and versions out there. (899254993)

2017-02-05 Mike Gabriel

        * For consistency, apply patch from previous commit (630a7c3) to the
          original Xserver/dix/dixfonts.c file, although the code is
          undef'ed when NXAGENT_SERVER is defined. (2ba23b3bc)
        * {dix/,hw/nxagent/NX}dixfont.{c,h}: Support using builtin-fonts.
          Makes dependency on X11's misc fonts package obsolete.
          (ed40c3db1)
        * Xserver/dix/main.c: ErrorF requires a string to end with an EOL
          char. (82a7f72ca)
        * debian/nx-x11-common.{links,dirs}: Make sure /usr/share/fonts/X11
          are reachable for nxagent (via placing a symlink to
          /usr/share/nx/fonts). (8383b1925)
        * Xserver/hw/nxagent/Font.c: Drop references to
          /usr/NX/share/fonts/base as default font path, entirely.
          (18794d26c)
        * Xserver/hw/nxagent/Font.c: Change (alternative) default font path
          order to make font path search compliant with latest FHS
          for X11 fonts (though, prefer /usr/share/nx/fonts as
          default path). (7e3bb3f19)
        * Xserver/hw/nxagent/Font.c: Drop NXAGENT_ALTERNATE_FONT_PATH_4
          (pointing to /usr/NX/share/fonts/base) entirely.
          (66d9b3e8b)
        * nx-X11/config/cf/X11.tmpl: Set a more appropriate font directory
          (recommended: /usr/{,local/}share/nx/fonts). (55854645c)

2017-02-27 Mihai Moldovan

        * Merge branch 'sunweaver-pr/hard-code-rgb-colors' into 3.6.x
          (0a5d26d12)

2017-02-06 Mike Gabriel

        * debian/patches: Update/rebase
          016_nx-X11_install-location.debian.patch. (fff875549)
        * nx-libs.spec: Drop non-shipped-anymore rgb(.txt) file from list of
          to-be-installed files. (0b3447540)
        * debian/nxagent.*: Drop conffile /etc/nxagent/rgb utilizing
          dpkg-maintscript-helper. (744e288d1)
        * Xserver/os/oscolor.c: Follow X.org in dropping the rgb.txt file
          entirely. Content of that file is now hard-coded.
          (f6a114027)

2017-02-24 Mike Gabriel

        * release 3.5.99.4 (e1f2902bb) (tag: 3.5.99.4)

2017-02-24 Mihai Moldovan

        * Merge branch 'uli42-fix_#306_#322' into 3.6.x (31426a3d2)

2017-02-19 Ulrich Sibiller

        * dix: fix incomplete commit (3d8575c21)

2017-02-20 Mihai Moldovan

        * Merge branch 'sunweaver-pr/security-acl-naming-change' into 3.6.x
          (3c322ffbb)

2017-02-15 Mike Gabriel

        * Naming change: Security*Access -> Dix*Access (104a3e9e2)

2017-02-20 Mike Gabriel

        * Merge branch
          'sunweaver-pr/use-xgetkeyboardMapping-instead-of-deprecated-xkeycodetokeysym'
          into 3.6.x (c79f2d289)

2017-02-17 Mike Gabriel

        * Switch from using libNX_X11's deprecated XKeycodeToKeysym()
          function to using XGetKeyboardMapping(). (38ac74d6f)

2017-02-18 Mihai Moldovan

        * Merge branch 'sunweaver-pr/smart-scheduler-is-not-optional' into
          3.6.x (73ec915bc)

2017-02-09 Mathieu Bérard

        * The smart scheduler is not optional. (6884e6a5b)

2017-02-10 Mihai Moldovan

        * Merge branch 'sunweaver-pr/use-rpath-for-nxagent' into 3.6.x
          (0a7df0770)

2017-02-08 Mike Gabriel

        * Makefile: Fix flawed uninstall-* targets. Spotted by Ionic while
          reviewing the nxagent RPATH changeset. Thanks! (99c130f15)
        * debian/patches: Update comment header of
          016_nx-X11_install-location.debian.patch. (52760b6e8)

2017-02-04 Mike Gabriel

        * debian/patches: Update 016_nx-X11_install-location.debian.patch.
          Adapt path to recent upstream changes. (a474b9f93)
        * Load libNX_X11 / faked libX11 via RPATH setting rather than
          fidgeting with LD_LIBRARY_PATH in the nxagent wrapper
          script. (ba620a054)

2017-02-08 Mike Gabriel

        * Makefile: Allow longer names for variables that we want to allow
          distro maintainers to override. (9d1da072c)

2017-02-04 Mike Gabriel

        * Makefile: Actively set/override USRLIBDIR and SHLIBDIR when calling
          Xserver's make process. (4c4d3dfba)
        * debian/rules: Don't manually override SHLIBDIR via the
          dh_auto_build call. The default in the main Makefile
          should work fine. (4a01be659)
        * nx-libs.spec: Don't manually override SHLIBDIR via the .spec file.
          The default in the main Makefile should work fine.
          (0ae1fd5d3)
        * Makefile: Align variable names USRLIBDIR, SHLIBDIR (and NX_DIR)
          with nx-X11 internal naming schemes (and use
          /usr/<lib>/nx/X11 rather than /usr/<lib>/nx-X11).
          (c45cab1ba)

2017-02-09 Mihai Moldovan

        * Merge branch 'sunweaver-pr/drop-support-for-ancient-platforms' into
          3.6.x (0a314adfa)

2017-02-08 Mike Gabriel

        * nx-X11/include/Xos_r.h: Drop one _POSIX_REENTRANT_FUNCTIONS macro
          block, where offenders AIXV3, AIXV4 and __osf__ are gone
          now. (029bae127)

2017-02-04 Daniel Stone

        * dix: remove staggeringly broken vendor workarounds (7dae94814)

2016-11-15 Mike Gabriel

        * drop platform support: unifdef sgi. (2d45d8d80)
        * drop platform support: unifdef QNX. (c6250a864)
        * drop platform support: unifdef DGUX. (754e48ac0)
        * drop platform support: unifdef __osf__. (a9c30796d)
        * drop platform support: unifdef AIXV3, AIXV4 (and AIXrt, AIX386).
          (4b178918b)
        * drop platform support: unifdef hpux and __hppa__. (184c5d778)
        * drop platform support: unifdef Lynx. (ace255eda)
        * drop platform support: unifdef __UNIXOS2__. (d12f95241)

2017-02-08 Mike Gabriel

        * Merge branch 'uli42-pr/fix_#293' into 3.6.x (86a6a340f)

2017-02-08 Ulrich Sibiller

        * Screen.c: clean up superfluous whitespace (3790a28fe)
        * Screen.c: Ensure that an output is unused before destroying it
          (184c07e24)

2017-02-06 Mihai Moldovan

        * Merge branch 'sunweaver-pr/fix-DefaultRGBDatabase-path' into 3.6.x
          (083051f66)

2017-02-05 Mike Gabriel

        * nx-X11/config/cf/X11.tmpl: Fix DefaultRGBDatabase path to
          $(USRDATADIR)/rgb (not $(LIBDIR)/rgb). (34889920c)

2017-02-04 Mike Gabriel

        * debian/copyright{,.in}: Adopt from Debian's upload candidate, being
          DEP-5 compliant and up-to-date for 3.5.99.3. (d6f475f67)
        * Xserver/randr: Regression fix introduced by c2b1f48. Re-introduce
          RegisterResourceName() calls after each
          CreateNewResourceType() call. (ff6126f44)

2017-02-03 Mike Gabriel

        * Makefile: Don't create superfluous symlink for libX11.so ->
          ../libNX_X11.so. The libNX_X11.so is only required at
          build time, so need to use it for faking libX11.so in
          nxagent. (1cd73ccb7)
        * debian/changelog: Cosmetic fix, restoring correct version number
          for 3.5.99.2 release stanza. (b0d28c8a6)

2017-01-12 Mike Gabriel

        * Merge branch 'opoplawski-symlink' into 3.6.x (93447eb2b)

2017-01-05 Orion Poplawski

        * Be consistent with macros (f92820948)
        * Use Obsoletes instead of Conflicts.  Drop unneeded %{?_isa}
          versions (c392bc0a8)

2017-01-12 Mike Gabriel

        * Merge branch 'opoplawski-fedora' into 3.6.x (42b136811)

2017-01-11 Orion Poplawski

        * Install missing libNX_X11.so.6 symlink - fixes gh-287 (c9ab60e89)

2017-01-05 Orion Poplawski

        * Be consistent with macros (bdcc867e2)
        * Use Obsoletes instead of Conflicts.  Drop unneeded %{?_isa}
          versions (13f3bdc00)

2016-12-22 Mike Gabriel

        * hw/nxagent/Init.c: Amend artifact in license header. (7d845e7f4)
        * helper scripts: Add license headers to files. (9c0d52807)

2016-12-20 Mike Gabriel

        * nxcomp: Fix artifacts in copyright headers. (b425f071e)
        * nxcompext: Drop folder with .gitignore file. nxcompext has been
          moved into nxagent DDX. (8a8ec60cc)
        * roll-tarballs.sh: Adapt to recent changes in nx-libs, keep legacy
          support for older 3.6.x and 3.5.x releases. (02546c560)

2016-12-19 Mike Gabriel

        * release 3.5.99.3 (9acd13e50) (tag: 3.5.99.3)

2016-12-14 Mike Gabriel

        * Merge branch 'theqvd-fix-loopback-bind' into 3.6.x (8be276d27)

2016-12-13 Vadim Troshchinskiy

        * Make nxagent only bind to loopback when requested (920f423a5)

2016-12-14 Mike Gabriel

        * Merge branch 'theqvd-fix-accept-host-message' into 3.6.x
          (e466a9387)

2016-12-13 Vadim Troshchinskiy

        * Fix reversed logic in acceptHost setting (77188865e)

2016-12-10 Mike Gabriel

        * Merge branch 'uli42-pr/improve_xinerama_debug' into 3.6.x
          (2b8f59261)

2016-12-07 Ulrich Sibiller

        * Screen.c: more debug output formatting improvements (6f3fb5248)
        * Screen.c: fix uninitalized variable (e14309892)
        * Screen.c: fix compile warnings in DEBUG mode (ce76009d2)
        * Screen.c: fix formatting (6882b08d8)
        * Screen.c: improve debugging output (c806956c2)

2016-12-05 Mike Gabriel

        * debian/control: B-D alternatively on libxfont1-dev or libxfont-dev.
          Fix FTBFS on Debian stretch which has libxfont2-dev as
          default now. (5bdb2fcdf)

2016-12-04 Mike Gabriel

        * Merge branch 'sunweaver-pr/drop-glx-ansic' into 3.6.x (c893ad65c)

2016-11-02 Mike Gabriel

        * Mesa: Convert some files with MSDOS EOL style to Unix EOL style.
          (4e33fd4be)

2016-11-01 Kristian Høgsberg

        * Drop xf86glx.h, so we can finally drop Xserver/GL/include/
          entirely. (4146d1aa7)

2016-10-31 Kristian Høgsberg

        * Drop glx_ansic.h wrapper and call malloc, realloc, free and
          str-funcs directly. (cee997dac)

2016-12-04 Mike Gabriel

        * Merge branch 'sunweaver-pr/extmod-xfree86loader-cleanup' into 3.6.x
          (b38d5b97d)

2016-10-29 Eric Anholt

        * Remove libcwrapper usage from xorg server modules. The libcwrapper
          is not used in nxagent. (508d2deae)

2016-12-04 Mike Gabriel

        * Merge branch 'uli42-pr/compilation_fixes_and_debug_improvements'
          into 3.6.x (62f8e50e7)

2016-12-03 Ulrich Sibiller

        * slightly improve rrxinerama debug output (b0106e75a)
        * Fix compilation warnings (c5e06d408)

2016-11-30 Mike Gabriel

        * Update auto-generated debian/copyright.in. (a0a429cc7)

2016-11-18 Mike Gabriel

        * .gitignore: Don't ignore myself. (cb8af80ae)
        * Merge branch 'uli42-pr/gitignore' into 3.6.x (edeca4aff)

2016-11-03 Ulrich Sibiller

        * add .gitignore files (7993d28f1)

2016-11-17 Mike Gabriel

        * Merge branch 'uli42-pr/remove_xlibi18n' into 3.6.x (1f6070437)

2016-11-04 Ulrich Sibiller

        * LibX11: drop unused xlibi18n (de4eca171)

2016-11-15 Mike Gabriel

        * Merge branch 'sunweaver-pr/testscripts-file-headers' into 3.6.x
          (cb8bcbec8)

2016-11-07 Mike Gabriel

        * testscripts: Use non-NoMachine file headers for our testscripts.
          (00725f16a)

2016-11-15 Mike Gabriel

        * New helper script: regenerate-symbol-docs.sh. Plus update symbols
          usage of libNX_X11 and nxcompext in nxagent, nxcompext and
          libNX_X11. (91d06723b)
        * Merge branch 'sunweaver-pr/move-nxcompext-into-Xserver' into 3.6.x
          (8c5a1b071)

2016-11-09 Mike Gabriel

        * Xserver/Imakefile: Some whitespace fixes. (9ad0aae5d)

2016-11-03 Mike Gabriel

        * nxcompext: Move code into Xserver subtree, as nxcompext requires
          Xserver includes at build time. (80b5de3f5)
        * Xserver/hw/nxagent/Imakefile: Introduce the NULL variable.
          (cae394b45)

2016-11-08 Mihai Moldovan

        * Merge branch 'uli42-pr/keyboard_fixes' into arctica-3.6.x
          (b1d3f2ca5)

2016-10-27 Ulrich Sibiller

        * Keyboard.c: evdev is only existing on Linux (2f2ade61a)

2006-10-02 Daniel Stone

        * xkb: remove the world's most staggeringly broken vendor workaround
          (926e90abc)

2016-10-26 Ulrich Sibiller

        * Keyboard.c: move variable to inner scope (08ed062c4)
        * Reconnect.c: simplify code by using strndup (d37f9f311)

2016-10-25 Ulrich Sibiller

        * Keyboard.c: replace malloc/strcpy by str(n)dup (e52799d5c)
        * Keyboard.c: more whitespace/formatting fixes (718c5b9f1)
        * Keyboard.c: improve keyboard file creation (b5cc3c94e)
        * Keyboard.c: use NULL instead of 0 (52848b785)
        * Keyboard.c: remove superfluous whitespace (3ea601bcb)
        * Keyboard.c: Fix wrong error msg prefix (2901aca36)
        * Keyboard.c: Fix and simplify keyboard config file handling
          (2f7f39b49)
        * Improve DEBUG/TEST output regarding keyboard stuff (8793e362b)
        * Drop unused define NXAGENT_KEYMAP_DIR_FILE (e3ac55bc2)

2016-11-05 Mihai Moldovan

        * Makefile: fix up a9b145d4. (7b79e8d83)
        * nx-X11/lib/X11/Imakefile: essentially revert 5a90a63. (c7e01938d)

2016-11-04 Vadim Troshchinskiy

        * Added sample slave agent and test script (e5091e002)

2016-11-03 Mihai Moldovan

        * Merge branch 'sunweaver-pr/drop-fbmmx' into arctica-3.6.x
          (53d304ef7)

2016-10-29 Mike Gabriel

        * Xserver/fb: Drop fbmmx.[ch] files and code passages wrapped-in by
          USE_MMX macro. (f5c5cb10f)
        * Xserver/fb/Imakefile: Introduce NULL variable. (89e1457d1)

2016-11-03 Mike Gabriel

        * Merge branch 'uli42-pr/libX11_xtrans_silence_compiler_warnings'
          into 3.6.x (d12b77543)

2016-11-02 Ulrich Sibiller

        * xtrans: fix const warnings for SocketConnectConnInfo (47fab08aa)
        * xtrans: silence compiler warning regarding is_numeric (882c034c3)
        * libX11 + Xserver: fix missing define warning (90612d25c)
        * xtrans: Fix compile warning (2631603b6)
        * xtrans: fix compilation warnings because of missing XTRANS_SEND_FDS
          (5d06f46e5)

2016-11-02 Mike Gabriel

        * debian/libnx-x11-6.symbols: Update after upgrade of xtrans library
          files. (8dc0d18c1)
        * Merge branch 'uli42-pr/upgrade_xtrans' into 3.6.x (107e72b03)

2016-11-02 Ulrich Sibiller

        * Whitespace fixes (6a186b921)

2016-10-31 Ulrich Sibiller

        * Xtrans: update to Xorg/xtrans upstream (1.3.5+) (e65b106a8)

2016-10-13 Ulrich Sibiller

        * Remove __UNIXOS2__ references (793d587b4)

2016-05-18 Adam Jackson

        * remove CLTS code (603fe2554)

2016-10-13 Ulrich Sibiller

        * use %p in format strings (247e1f72e)
        * replace PRMSG by prmsg (c3f43e832)
        * align license headers with Xorg/xtrans upstream (c4b775f6d)
        * move helper functions to file end (6957b3daa)

2008-02-10 Jeremy Huddleston

        * Fixed #ifdef checks that were using i386 to use __i386__
          (f686bc3eb)

2016-10-13 Ulrich Sibiller

        * whitespace cleanup (64d51869f)

2008-08-07 Adam Jackson

        * Drastically simplify TRANS_OPEN_MAX. (e5b4532ab)

2016-10-12 Ulrich Sibiller

        * undef __QNX__ (0ca6e5999)
        * undef Lynx (4ab02b27c)
        * undef AIXV3 (89cea600a)
        * undef hpux (eb4ee6c32)
        * undef __UNIXOS2__ (175a3416e)
        * Remove OS2PIPECONN transport (97d651fcf)
        * Remove unused TLI ("STREAMSCONN") code (0cbc89221)
        * remove DECnet support (b5bfd3a49)

2016-11-02 Mike Gabriel

        * Makefile: Make sure libNX_X11.so.6.2 does not get installed as
          symlink but as actual file. (Follow-up for 5a90a63).
          (a9b145d46)
        * Merge branch 'pr/unused_files' into 3.6.x (1d1d1fc21)

2016-10-30 Ulrich Sibiller

        * remove unused mkks.sh (7d884049b)
        * remove unused jump_* files from libX11 (bac5ce7b5)
        * drop unused xtest1.frags (331497b88)
        * remove unused fb24_32.h (6b9ce7da4)
        * remove unused registry.h (a29a2b656)
        * remove unused XInput.h (89f9212ef)
        * Remove unused Xv and XvMC headers (881979bd1)
        * drop unused glu.h (ba87cf406)
        * drop ap_keysym.h (903d5ce8a)
        * remove unused registry file (1832ab62f)
        * remove *-def.cpp (b7daac272)

2016-10-29 Ulrich Sibiller

        * nxcomp: remove unused Utils.cpp (4271b9ebd)
        * Imake: drop DoLoadableServer, MakeDllModules and IHaveModules
          (96c9aafd6)

2016-10-29 Mike Gabriel

        * Remove extmod from nx-X11/programs/Xserver/Xext/. (8dab7c21d)

2016-11-02 Mike Gabriel

        * Merge branch 'uli42-pr/add_libX11_links' into 3.6.x (6eb8d3ec6)

2016-10-28 Ulrich Sibiller

        * libX11/Imakefile: handle libX11 links (5a90a638f)
        * libX11/Imakefile: add missing dependencies on ks_tables.h
          (f1d420baa)

2016-10-31 Mike Gabriel

        * Merge branch 'sunweaver-pr/clean-up-old-vcs-comments' into 3.6.x
          (4c59a3c58)

2016-10-29 Mike Gabriel

        * Imakefile cleanup: Delete all ancient Vcs comments stemming from
          SVN times of X.org and XFree86. (fcf61d341)

2016-10-30 Mike Gabriel

        * Merge branch 'sunweaver-pr/drop-mfb-maskbits-h' into 3.6.x
          (6b3080d54)
        * Xserver/Imakefile: Drop references to already removed afb code.
          (b99c78721)
        * Xserver/Imakefile: Drop all references to building already removed
          cfb* implementations. (65e25bd47)

2016-10-30 Adam Jackson

        * Death to mfb (removing last remnants from NX code). (cc0350202)
        * Disinfect mi/ of mfb. (3c0e426f0)

2016-10-30 Mike Gabriel

        * Merge branch 'sunweaver-pr/drop-nxlibint-h' into 3.6.x (23c66f400)
        * nxcompext: Drop (nowadays) no-op file NXlibint.h. (1ddbe39ad)
        * Merge branch 'uli42-misc_fixes' into 3.6.x (23ad270b5)

2016-10-30 Ulrich Sibiller

        * nxagent.keyboard: add quotes (16947012d)
        * Imakefile: remove references to non-existing subdirs (903cc0657)
        * saver.c: fix unused variable warnings (162a627c4)

2016-10-29 Mike Gabriel

        * Merge branch 'sunweaver-pr/build-includes-robustness' into 3.6.x
          (a375d178f)

2016-10-28 Mike Gabriel

        * Imake.rules: Make BuildIncludes{,Top}() more robust in case people
          attempt providing path names instead of file names via
          srclist. (2f2a5a920)

2016-10-29 Mike Gabriel

        * Merge branch 'uli42-pr/remove_xf86' into 3.6.x (ecd335fa6)

2016-10-28 Ulrich Sibiller

        * remove hw/xfree86 altogether (4aeed7ad9)
        * remove xf86Version.h and xf86Date.h (6c7f9cdaa)

2016-10-28 Mike Gabriel

        * debian/patches: Rebase
          102_xserver-xext_set-securitypolicy-path.debian.patch.
          (4cdcd9145)
        * Merge branch 'theqvd-slave-channel' into 3.6.x (c9da511cf)

2016-10-24 Vadim Troshchinskiy

        * Add description of NX_SLAVE_CMD to man and help (c7eac1f95)

2016-10-18 Vadim Troshchinskiy

        * Slave channel implementation (30af52eb3)

2016-10-28 Mihai Moldovan

        * Merge branch 'uli42-pr/backup_memleak' into arctica-3.6.x
          (a5de79181)

2016-10-25 Emilio Pozuelo Monfort

        * Plug a memory leak (8d1126e97)

2016-10-20 Mike Gabriel

        * debian/rules: Re-enable (+pie) hardening flags again when building
          .deb packages. (5d4a7e071)
        * Merge branch 'uli42-pr/fix_compile_warnings' into 3.6.x (61b8d44f1)

2016-10-20 Ulrich Sibiller

        * sendexev.c: Fix return of unitialized variable (50eb5e4a9)

2011-05-24 Cyril Brulebois

        * xfixes: Remove unused variable. (151e0b16d)

2006-02-14 Benjamin Herrenschmidt

        * Remove useless line of code that contained a bug and triggered a
          gcc warning. This variable will be overriden before being
          used anyway. (Bugzilla #5595) (c26621610)

2009-01-11 Julien Cristau

        * dix: fix cast from pointer to integer (4f99f854c)

2014-12-09 Keith Packard

        * dbe: Call to DDX SwapBuffers requires address of int, not unsigned
          int [CVE-2014-8097 pt. 2] (e3e4062c3)

2016-10-19 Ulrich Sibiller

        * LRGB.c: Fix label defined but not used (01eaab831)

2016-06-04 walter harms

        *
          Fixes: warning: variable 'req' set but not,used (ddc5ed4c9)

2016-04-26 walter harms

        * fix: warning: pointer targets in passing argument 2 of '_XSend'
          differ in signedness [-Wpointer-sign] (21405f62b)
        * no need to check args for Xfree() (3f9ebf33d)
        * remove stray extern (897b8b28b)

2016-10-16 Ulrich Sibiller

        * Fix warnings in XlibInt.c (2c59fbe30)
        * xkb.c: fix 'assignment makes integer from pointer without a cast'
          (0a28292ec)
        * xkmread.c: use _X_UNUSED to avoid compiler warning when result is
          not needed (057ddde08)
        * xcmisc.c: remove HAVE_STDINT (33b5911f2)
        * security.c: fix compiler warnings (c180a2147)

2016-10-15 Ulrich Sibiller

        * Loop.cpp: Fix output of SetCore() (185fbdaf9)
        * Window.c: Fix function assignment warning (d238db344)
        * Display.c: remove unused variable (81a7c6cf4)
        * Colormap.c: add cast to avoid warning (54b7561f9)
        * Args.c: fix string format warning (3c5621c37)
        * imLcIm.c: Fix unused variables (e3c9bc392)
        * Pending.c: Fix compilation warning (babaf67c9)
        * Fix libX11 implicit declaration warnings (ae8ec6b14)

2016-10-20 Mike Gabriel

        * Drop nx-X11/lib/X11/libX11.elist. Not needed for anything nowadays.
          Probably never was needed in nx-X11. (da01dc8da)
        * debian/libnx-x11-6.symbols: Update symbols list. (44c76cacf)
        * XKeysymDB: ... got removed. (a559592dc)

2016-10-19 Mike Gabriel

        * Merge branch 'uli42-pr/libX11_further_backports' into 3.6.x
          (70ac75f4a)

2016-09-25 Tobias Stoeckmann

        * Validation of server responses in XGetImage() (70e9d346f)
        * The validation of server responses avoids out of boundary accesses.
          (b17557f9f)

2016-02-06 Alan Coopersmith

        * xcms: use size_t for pointer offsets passed to strncmp (68e3ee67c)
        * xcms: use unsigned indexes when looping through unsigned values
          (8d8d5cfd8)
        * xcms: use size_t for strlen/sizeof values instead of converting to
          int & back (327d2cc60)

2015-03-26 Dominik Muth

        * Xlib.h: Fix macros imitating C functions. (de4047722)

2016-01-21 Olivier Fourdan

        * XKB: fix XkbGetKeyboardByName with Xming server (a3759f323)

2015-12-19 Alan Coopersmith

        * lcPubWrap: replace malloc(strlen) + strcpy with strdup (50192b720)
        * XlcDL.c: reduce code duplication (7a1fc1759)
        * XlcDL.c: replace strcpy+strcat sequences with snprintf (c9ebd122f)
        * XDefaultOMIF: Remove comments referring to ancient Sun bug ids
          (2874fd14b)
        * XDefaultOMIF: additional code simplification (d980be3c2)
        * XDefaultOMIF: replace strlen+Xmalloc+strcpy with strdup (c00196d2d)
        * Use strdup instead of Xmalloc+strcpy in _XDefaultOpenIM (f7254c69f)

2015-12-04 Alan Coopersmith

        * Delete #if 0 hunks of code (b912a4042)

2015-12-03 Alan Coopersmith

        * Bug 93183: _XDefaultOpenIM memory leaks in out-of-memory error
          paths (9dec6c18b)
        * Bug 93184: read_EncodingInfo invalid free (8d6d95d74)

2015-11-28 Alan Coopersmith

        * Remove unused definition of XCONN_CHECK_FREQ (8339e6803)

2015-09-27 Alan Coopersmith

        * Get rid of some extraneous ; at the end of C source lines
          (f857c70f8)

2015-07-19 Thomas Klausner

        * Do not return() after exit(). (fc524ddbb)

2015-05-18 Ross Burton

        * Add missing NULL checks to ICWrap (1445735ef)

2015-06-04 Alan Coopersmith

        * Replace Xmalloc+memset pairs with Xcalloc calls (39dd37d57)

2015-06-04 Bhavi Dhingra

        * omGeneric.c: Correct the parameter usage of sizeof (a402ed016)

2015-05-19 Peter Hutterer

        * Fix three "use of uninitialized variable" coverity warnings
          (73f2d66e0)

2015-05-18 Peter Hutterer

        * Fix potential memory leak (e14489988)

2015-02-03 Ran Benita

        * compose: fix the description of modifiers in compose sequences
          (8e3e7bb77)

2014-07-11 Alan Coopersmith

        * Use C99 named initializers to fill in events passed to XSendEvent
          (0f1fa85fe)

2014-07-06 Alan Coopersmith

        * Fix validation of ctrls parameter to XkbGetPerClientControls()
          (f20f91ee8)
        * Fix map->num_types check in XkbAddKeyType() (37b8d6883)

2014-06-07 walter harms

        * lcDefConv.c: fix use before check (aa7053b3e)
        * rm redundant null checks (dd6dc2ddf)
        * libX11: rm redundante NULL checks (a98260726)

2014-06-06 walter harms

        * Remove more redundant null checks before Xfree() (1ff696123)

2014-06-05 walter harms

        * Remove redundant null checks before free (fc26b97ea)

2014-06-04 walter harms

        * libX11/lcUTF8.c fix: dereferenced before check (191d1575f)
        * libX11/XKBNames.c fix: dereferenced before check (861fe5aee)
        * libX11/lcGenConv.c fix: dereferenced before check (e7528f581)

2014-05-09 Owen W. Taylor

        * Fix XNextRequest() after direct usage of XCB (afc7138f9)

2014-02-11 Ran Benita

        * Remove dead USE_OWN_COMPOSE-protected code (88d496598)

2014-02-06 Alan Coopersmith

        * Fix typos in Xrm.c comments (3e8df1a2e)

2013-12-26 Alan Coopersmith

        * _XkbReadGeomOverlay: check for NULL first, then use pointer
          (101419b10)
        * XkbSelectEventDetails: remove unnecessary assignments (1b0df5da6)

2010-10-07 Jon TURNEY

        * Don't try so hard to find a matching font with the given encoding
          (4fad46e9c)

2013-12-02 Alan Coopersmith

        * unifdef -UISC (f45ac4ae3)

2013-11-16 Alan Coopersmith

        * Drop X_LOCALE fallback for OS'es without setlocale() (35dc4784b)

2013-08-24 Alan Coopersmith

        * Bug 68413 - [Bisected]Error in `xterm': realloc(): invalid next
          size (f04e1a6d1)

2013-08-16 Alan Coopersmith

        * Stop checking for HAVE_DIX_CONFIG_H on the client side (ba86b7a2e)
        * Rearrange some variable declarations & initializations in XKB
          (2824899d2)

2013-08-11 Alan Coopersmith

        * Reindent XKB code to X.Org standard style (3c5880e72)

2013-08-16 Alan Coopersmith

        * Fix overflow checks in _XkbReadKeySyms when key_sym_map is already
          created (3cd822526)

2013-08-11 Alan Coopersmith

        * Remove long unused udcInf.c (c22524d30)
        * Remove unnecessary casts of pointers to (char *) in calls to
          Xfree() (26256188b)

2013-08-10 Alan Coopersmith

        * Don't cast sizeof() results to unsigned when passing to
          Xmalloc/Xcalloc (d33cf0446)
        * Remove even more casts of return values from Xmalloc/Xrealloc
          (c161df4fe)
        * xlibi18n: fix argsize argument to _XlcParsePath (5d6cda4f6)
        * i18n modules: Fix some const cast warnings (069c1f4d5)
        * xlibi18n: Fix a bunch of const cast warnings (d8358c6ef)
        * Fix const handling in XSetLocaleModifiers (e667b9054)
        * Constify lc_name argument to _XlcLocaleDirName() &
          _XlcLocaleLibDirName() (d2671c285)
        * init_om: remove unneeded extra copy of string to local buffer
          (22377a799)
        * Delete unused XKB_INSURE_SIZE macro from XKBlibint.h (92591316d)
        * miRegionOp(): ensure region size is not updated if realloc fails
          (be32fbb31)
        * miRegionCopy(): handle realloc failure better (ad51fbdb4)
        * Avoid memory leak/corruption if realloc fails in Xregion.h:MEMCHECK
          macro (105cd4711)
        * Avoid memory leak/corruption if realloc fails in
          imLcPrs.c:parseline() (180991ce2)
        * lcDB.c: ensure buffer size is updated correctly if realloc fails
          (7156a20bc)
        * Avoid memory leak/corruption if realloc fails in
          XlcDL.c:resolve_object() (0574a55eb)

2013-08-09 Alan Coopersmith

        * omGeneric.c: convert sprintf calls to snprintf (a6d9409b0)
        * ximcp/imRm.c: convert sprintf calls to snprintf (d03ab1de0)
        * xlibi18n: convert sprintf calls to snprintf (a1b0fdb2c)
        * lcfile: skip over any null entries in args list (bde3d8b14)
        * Fix file leak on malloc error in XlcDL.c:resolve_object()
          (7bca34528)

2012-12-18 ISHIKAWA,chiaki

        * Fix bogus timestamp generated by XIM (ce482d4fd)

2011-06-16 Egbert Eich

        * XIM: Fix race on focus change: set 'FABRICATED' only when keyev
          filters in place. (ed53aca1d)

2013-07-27 Alan Coopersmith

        * omGeneric: remove space between struct name & member name
          (adcf3894a)

2013-07-23 Alan Coopersmith

        * XSetModifierMapping: Use Data instead of GetReqExtra (6d64c4164)

2013-06-09 Kees Cook

        * libX11: check size of GetReqExtra after XFlush (ea8239650)

2013-06-25 Thomas Klausner

        * Tighten out-of-range comparisons. (39c6e5aa8)
        * Fix out-of-range comparison in _XF86BigfontQueryFont (ac3d26251)
        * Check for symbol existence with #ifdef, not #if (61fdf93ef)
        * Stop truncating source to destination length if it is larger.
          (d122d7545)

2013-06-24 Alan Coopersmith

        * Require ANSI C89 pre-processor, drop pre-C89 token pasting support
          (88edf8083)

2016-10-08 Ulrich Sibiller

        * update Xfuncproto.h (7f98ab03b)

2016-10-07 Ulrich Sibiller

        * Align files with upstream libX11-1.6.0 (e2e45b2b3)

2012-12-16 Alan Coopersmith

        * Tell clang not to report -Wpadded warnings on public headers we
          can't fix (878040bf0)

2010-09-08 Adam Jackson

        * Zero buffer data in BufAlloc() (9b5f99c37)

2011-01-31 Erkki Seppälä

        * GetProp: Zero-initialized error so its resourceID field is
          initialized (13fe4d475)

2013-03-01 Alan Coopersmith

        * integer overflow in ReadInFile() in Xrm.c [CVE-2013-1981 7/13]
          (7992a9873)

2011-01-31 Erkki Seppälä

        * ximcp/imRmAttr: Handle leaking colormap_ret (78b0ca2fe)

2011-02-21 Samuel Thibault

        * Fix status reporting for braille patterns (b00312f5d)

2016-10-07 Ulrich Sibiller

        * Revert incomplete "Fix status reporting for braille patterns"
          (a2fded2e3)

2010-09-03 Alan Coopersmith

        * Sun's copyrights are now owned by Oracle (bd43a0640)

2016-10-07 Ulrich Sibiller

        * Assume size_t is always available, since it was defined in C89
          (5dbcf1987)
        * rename xf86bigfstr.h to xf86bigfproto.h (1078f9770)

2013-06-02 Thomas Klausner

        * cmsMath.c: Add missing stdio header for printf(3) in DEBUG build.
          (e03d8c215)

2013-05-17 Niveditha Rau

        * Make sure internal headers include required headers (26f7239a0)

2013-05-16 Alan Coopersmith

        * Free fs->properties in XF86BigfontQueryFont overflow error path
          (71fb99cb4)

2013-05-23 Julien Cristau

        * xkb: fix off-by-one in _XkbReadGetNamesReply and
          _XkbReadVirtualModMap (78ed23330)

2016-10-06 Ulrich Sibiller

        * Revert "Add a couple fixups for the security patches" (082e83130)

2013-03-07 Alan Coopersmith

        * Remove more unnecessary casts from Xmalloc/calloc calls (e15023b2a)

2013-03-16 Alan Coopersmith

        * Move big request comment in XOpenDisplay to the right place
          (47d0ea1ba)

2013-03-08 Alan Coopersmith

        * Fix very weird indenting in nx-X11/lib/X11/GetFProp.c (4988e9bd9)
        * XAllocClassHint: Assume calloc sets pointers in allocated memory to
          NULL (001aeb55b)
        * _xudc_code_to_glyph: check for NULL pointer *before* writing to it,
          not after (7ddc5b90f)

2013-03-01 Alan Coopersmith

        * Assume size_t is always available, since it was defined in C89
          (e18ccaaae)
        * unifdef XKB_IN_SERVER (2393e1acd)

2013-02-16 Alan Coopersmith

        * Convert more sprintf calls to snprintf (d31b81c10)

2013-02-15 Alan Coopersmith

        * XKeysymToString: move variable declarations to the scope of their
          usage (d43f4c398)
        * Preserve constness in casting arguments through the Data*()
          routines (5e0584c43)
        * XStringToKeysym: preserve constness when casting off unsignedness
          for strcmp (d91c145a4)
        * XRebindKeysym: Drop unnecessary const-removing cast (641704516)
        * cmsColNm.c: maintain constness of arguments to qsort helper
          function (5608b67f2)

2012-12-26 Alan Coopersmith

        * Remove unused DECnet ("DNETCONN") code from Xlib (19275f9e1)
        * Remove unused TLI ("STREAMSCONN") code from Xlib (acceb2cf6)

2011-05-20 Egbert Eich

        * Don't hard code path to Xcms.txt file. (53e2e92e3)

2012-10-22 Yaakov Selkowitz

        * XIM: remove Private and Public macros (11d6dac92)

2012-06-29 Alan Coopersmith

        * Convert XCreate{Pix,Bit}map...Data to use C99 designated
          initializers (97b9864ea)
        * XCreate{Pix,Bit}map...Data: Free pixmap in error path if XCreateGC
          fails (7a8721b8a)

2010-12-22 Philipp Reh

        * Events: Store event cookie when dequeuing event (c86806148)

2011-05-03 Jeremy Huddleston

        * clang analyzer: Don't warn about Xmalloc(0) (5062342d4)

2011-05-08 Jeremy Huddleston

        * Silence clang static analysis warnings for SetReqLen (c19cda6d6)

2011-05-17 Alan Coopersmith

        * Fix man page and comment references to use XFreeModifiermap
          (lowercase map) (c300a430d)

2011-10-10 Jeremy Huddleston

        * Mark XKeycodeToKeysym as _X_DEPRECATED (f3bbb81c4)

2011-10-10 Bodo Graumann

        * libX11: Fixing modifier key range in Xutil.h (Bug #21910)
          (cc4d5260e)

2011-10-27 Peter Hutterer

        * Switch GetEmptyReq and GetResReq to call _XGetRequest (3bf350742)

2011-10-14 Peter Hutterer

        * include: Add GetReqSized() for request buffers of specific size
          (3597915f6)

2011-10-27 Peter Hutterer

        * Use GetReqSized for GetReq and GetReqExtra (3155b9bb2)

2011-01-31 Erkki Seppälä

        * ximcp/imRmAttr: Handle leaking missing_list (79cb50e4c)
        * ximcp/imRm: Handle leaking colormap_ret (44e472068)
        * ximcp/imTrX: Handle failing XGetWindowProperty (89dc7ccfb)
        * ximcp/imLckup: Handle negative return value from _Xlcwctomb
          (81422098f)

2011-01-31 Ander Conselvan de Oliveira

        * lc/def/lcDefConv: Use Xcalloc to avoid use of uninitialized memory
          (a8598e062)

2011-02-21 Samuel Thibault

        * Fix status reporting for braille patterns (93a4f5c47)
        * Make the Local XIM request key releases for braille (2cca621e3)

2011-01-10 Erkki Seppälä

        * im/ximcp: release modifiermap before returning (e4815126b)

2011-04-12 Alan Coopersmith

        * Fix "attrinute" typo in comments in ximcp (018d938aa)

2011-03-24 Ander Conselvan de Oliveira

        * Fix leaks in _XimEncodingNegotiation error paths. (4aa79f1f1)
        * Fix memory leaks on _XimProtoCreateIC error paths. (3720ed7bf)
        * Fix memory leaks on _XimWriteCachedDefaultTree error paths.
          (b7cc762ba)
        * Fix memory leak on _XimCommitRecv error path. (7024f3d90)
        * Fix memory leaks on _XimCbDispatch error path. (60840dc31)
        * om: Fix memory leak on read_EncodingInfo error path. (9fa1e98dd)

2011-03-25 Ander Conselvan de Oliveira

        * om: Fix potential memory leak in init_om. (748cf8946)
        * om: Fix memory leaks on get_font_name error paths. (6fe8d44ca)

2011-10-09 Jeremy Huddleston

        * Fix potential uninitialized variable access in _XimMakeICAttrIDList
          (73a2898af)

2011-10-09 Yann Droneaud

        * Return name instead of value in XGetIMValues() and XSetIMValues()
          (bec22fe97)

2011-10-11 Yann Droneaud

        * Return name instead of False in XSetICValues() (cded3305d)

2011-10-14 Xue Wei

        * mbtocs should not truncate input (8d1e05940)

2011-10-14 Alan Coopersmith

        * Fix "nomal" -> "normal" typo in several comments (2f49f62a8)

2011-11-08 Andreas Wettstein

        * XIM: Allow modifier releases in compose sequences (#26705)
          (4ef27790b)

2011-02-21 Samuel Thibault

        * Match braille patterns with compose tree (b8b885daf)

2012-04-30 Peter Hutterer

        * Typo fix (79a5330db)

2012-03-15 Alan Coopersmith

        * Remove "register" qualifier that annoys Solaris Studio compiler
          (4c7f0af73)

2012-03-04 Keith Packard

        * Block for other threads in _XUserLockDisplay (3d37513eb)

2011-02-20 Marko Myllynen

        * Provide translation from XK_permille (ad5) to Unicode (U2030)
          (e8e91b69e)

2012-01-01 Ryan Pavlik

        * Use pthreads on MinGW also (fd7157723)

2011-12-14 Kusanagi Kouichi

        * XQueryColors: Split a request into multiple requests if necessary
          (5eb1147cc)

2011-11-29 Alan Coopersmith

        * Reject negative string counts in copy_string_list (30d4454e3)

2011-11-09 Alan Coopersmith

        * XlcSL.c: convert old-style function definitions to ANSI C89 style
          (0f089824e)

2011-10-17 Peter Hutterer

        * Add _XGetRequest as substitute for GetReq/GetReqExtra (02dad70a8)

2011-10-13 Choe Hwanjin

        * XIM: Make Xim handle NEED_SYNC_REPLY flag (1871ff031)

2011-05-04 Jeremy Huddleston

        * XKB: XkbComputeSectionBounds: Check correct bounds in default
          switch-case (7efa7da59)
        * Dead code removal (1d806a555)

2011-04-21 Alan Coopersmith

        * Delete special case code to append "/sparcv9" to i18n module path
          (8127b17dc)

2011-04-12 Alan Coopersmith

        * Convert malloc(strlen()); strcpy() sets to strdup (dde00b2f6)
        * Replace Xmalloc+bzero pairs with Xcalloc calls (7d7224d85)

2011-03-24 Ander Conselvan de Oliveira

        * Fix memory leaks on _XimGetAttributeID error paths. (369c95668)

2011-03-30 Ander Conselvan de Oliveira

        * xcms: Fix memory leaks on LINEAR_RGB_InitSCCData error path.
          (f50e651e8)
        * xcms: Fix error on LINEAR_RGB_InitSCCData error path. (fefb909a0)

2011-03-24 Ander Conselvan de Oliveira

        * FSWrap: fix potential leak in copy_string_list (dce81504f)

2011-03-23 Ander Conselvan de Oliveira

        * Fix memory leak with broken bitmap files in XReadBitmapFileData
          (0f7148695)

2011-03-21 Harshula Jayasuriya

        * Add #define XK_SINHALA (417e04111)

2011-01-18 Erkki Seppälä

        * xkb: XkbPropertyPtr determined allocation success from wrong
          variables (29ad23b98)

2011-01-10 Erkki Seppälä

        * keyBind: Use Xcalloc to initialize allocated _XKeytrans (bbeee4fd1)

2011-02-11 Alan Coopersmith

        * Clean up memory when first XCreateRegion succeeds and second fails
          (2618bd3fc)

2011-02-03 Erkki Seppälä

        * cmsProp: don't deal with uninitialized values, fail instead
          (07fae919a)

2011-01-31 Ander Conselvan de Oliveira

        * xcms/LRGB: don't double-free property_return (ae4e7538e)

2011-02-02 Alan Coopersmith

        * Xrm.c: ReadInFile: refactor fstat error handling (26270ab1c)
        * Expand GetSizeOfFile() macro at the one place it's called
          (563318af9)

2011-01-31 Erkki Seppälä

        * XlibInt: Use strncpy+zero termination instead of strcpy to enforce
          buffer size (20470a83e)
